package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CcAmex: ImageVector
    get() {
        if (_ccAmex != null) {
            return _ccAmex!!
        }
        _ccAmex = Builder(name = "CcAmex", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(325.1f, 167.8f)
                curveToRelative(0.0f, -16.4f, -14.1f, -18.4f, -27.4f, -18.4f)
                lineToRelative(-39.1f, -0.3f)
                verticalLineToRelative(69.3f)
                lineTo(275.0f, 218.4f)
                verticalLineToRelative(-25.1f)
                horizontalLineToRelative(18.0f)
                curveToRelative(18.4f, 0.0f, 14.5f, 10.3f, 14.8f, 25.1f)
                horizontalLineToRelative(16.6f)
                verticalLineToRelative(-13.5f)
                curveToRelative(0.0f, -9.2f, -1.5f, -15.1f, -11.0f, -18.4f)
                curveToRelative(7.4f, -3.0f, 11.8f, -10.7f, 11.7f, -18.7f)
                close()
                moveTo(295.7f, 179.1f)
                lineTo(275.0f, 179.1f)
                verticalLineToRelative(-15.3f)
                horizontalLineToRelative(21.0f)
                curveToRelative(5.1f, 0.0f, 10.7f, 1.0f, 10.7f, 7.4f)
                curveToRelative(0.0f, 6.6f, -5.3f, 7.9f, -11.0f, 7.9f)
                close()
                moveTo(279.0f, 268.6f)
                horizontalLineToRelative(-52.7f)
                lineToRelative(-21.0f, 22.8f)
                lineToRelative(-20.5f, -22.8f)
                horizontalLineToRelative(-66.5f)
                lineToRelative(-0.1f, 69.3f)
                horizontalLineToRelative(65.4f)
                lineToRelative(21.3f, -23.0f)
                lineToRelative(20.4f, 23.0f)
                horizontalLineToRelative(32.2f)
                lineToRelative(0.1f, -23.3f)
                curveToRelative(18.9f, 0.0f, 49.3f, 4.6f, 49.3f, -23.3f)
                curveToRelative(0.0f, -17.3f, -12.3f, -22.7f, -27.9f, -22.7f)
                close()
                moveTo(175.2f, 323.3f)
                horizontalLineToRelative(-40.6f)
                verticalLineToRelative(-13.8f)
                horizontalLineToRelative(36.3f)
                verticalLineToRelative(-14.1f)
                horizontalLineToRelative(-36.3f)
                verticalLineToRelative(-12.5f)
                horizontalLineToRelative(41.7f)
                lineToRelative(17.9f, 20.2f)
                close()
                moveTo(241.0f, 331.5f)
                lineToRelative(-25.3f, -28.1f)
                lineTo(241.0f, 276.0f)
                close()
                moveTo(278.8f, 300.5f)
                horizontalLineToRelative(-21.2f)
                verticalLineToRelative(-17.6f)
                horizontalLineToRelative(21.5f)
                curveToRelative(5.6f, 0.0f, 10.2f, 2.3f, 10.2f, 8.4f)
                curveToRelative(0.0f, 6.4f, -4.6f, 9.2f, -10.5f, 9.2f)
                close()
                moveTo(247.2f, 163.8f)
                verticalLineToRelative(-14.6f)
                horizontalLineToRelative(-55.5f)
                verticalLineToRelative(69.3f)
                horizontalLineToRelative(55.5f)
                verticalLineToRelative(-14.3f)
                horizontalLineToRelative(-38.9f)
                verticalLineToRelative(-13.8f)
                horizontalLineToRelative(37.8f)
                verticalLineToRelative(-14.1f)
                horizontalLineToRelative(-37.8f)
                verticalLineToRelative(-12.5f)
                close()
                moveTo(576.0f, 255.4f)
                horizontalLineToRelative(-0.2f)
                close()
                moveTo(381.4f, 287.3f)
                curveToRelative(0.0f, -16.4f, -14.1f, -18.7f, -27.1f, -18.7f)
                horizontalLineToRelative(-39.4f)
                lineToRelative(-0.1f, 69.3f)
                horizontalLineToRelative(16.6f)
                lineToRelative(0.1f, -25.3f)
                horizontalLineToRelative(17.6f)
                curveToRelative(11.0f, 0.0f, 14.8f, 2.0f, 14.8f, 13.8f)
                lineToRelative(-0.1f, 11.5f)
                horizontalLineToRelative(16.6f)
                lineToRelative(0.1f, -13.8f)
                curveToRelative(0.0f, -8.9f, -1.8f, -15.1f, -11.0f, -18.4f)
                curveToRelative(7.7f, -3.1f, 11.8f, -10.8f, 11.9f, -18.4f)
                close()
                moveTo(352.2f, 298.5f)
                horizontalLineToRelative(-20.7f)
                verticalLineToRelative(-15.6f)
                horizontalLineToRelative(21.0f)
                curveToRelative(5.1f, 0.0f, 10.7f, 1.0f, 10.7f, 7.4f)
                curveToRelative(0.0f, 6.9f, -5.4f, 8.2f, -11.0f, 8.2f)
                close()
                moveTo(179.4f, 218.5f)
                verticalLineToRelative(-69.3f)
                horizontalLineToRelative(-27.6f)
                lineToRelative(-19.7f, 47.0f)
                lineToRelative(-21.7f, -47.0f)
                lineTo(83.3f, 149.2f)
                verticalLineToRelative(65.7f)
                lineToRelative(-28.1f, -65.7f)
                lineTo(30.7f, 149.2f)
                lineTo(1.0f, 218.5f)
                horizontalLineToRelative(17.9f)
                lineToRelative(6.4f, -15.3f)
                horizontalLineToRelative(34.5f)
                lineToRelative(6.4f, 15.3f)
                lineTo(100.0f, 218.5f)
                verticalLineToRelative(-54.2f)
                lineToRelative(24.0f, 54.2f)
                horizontalLineToRelative(14.6f)
                lineToRelative(24.0f, -54.2f)
                verticalLineToRelative(54.2f)
                close()
                moveTo(31.2f, 188.8f)
                lineToRelative(11.2f, -27.6f)
                lineToRelative(11.5f, 27.6f)
                close()
                moveTo(508.6f, 347.7f)
                verticalLineToRelative(-4.5f)
                curveToRelative(-10.8f, 5.6f, -3.9f, 4.5f, -156.7f, 4.5f)
                curveToRelative(0.0f, -25.2f, 0.1f, -23.9f, 0.0f, -25.2f)
                curveToRelative(-1.7f, -0.1f, -3.2f, -0.1f, -9.4f, -0.1f)
                curveToRelative(0.0f, 17.9f, -0.1f, 6.8f, -0.1f, 25.3f)
                horizontalLineToRelative(-39.6f)
                curveToRelative(0.0f, -12.1f, 0.1f, -15.3f, 0.1f, -29.2f)
                curveToRelative(-10.0f, 6.0f, -22.8f, 6.4f, -34.3f, 6.2f)
                curveToRelative(0.0f, 14.7f, -0.1f, 8.3f, -0.1f, 23.0f)
                horizontalLineToRelative(-48.9f)
                curveToRelative(-5.1f, -5.7f, -2.7f, -3.1f, -15.4f, -17.4f)
                curveToRelative(-3.2f, 3.5f, -12.8f, 13.9f, -16.1f, 17.4f)
                horizontalLineToRelative(-82.0f)
                verticalLineToRelative(-92.3f)
                horizontalLineToRelative(83.1f)
                curveToRelative(5.0f, 5.6f, 2.8f, 3.1f, 15.5f, 17.2f)
                curveToRelative(3.2f, -3.5f, 12.2f, -13.4f, 15.7f, -17.2f)
                horizontalLineToRelative(58.0f)
                curveToRelative(9.8f, 0.0f, 18.0f, 1.9f, 24.3f, 5.6f)
                verticalLineToRelative(-5.6f)
                curveToRelative(54.3f, 0.0f, 64.3f, -1.4f, 75.7f, 5.1f)
                verticalLineToRelative(-5.1f)
                horizontalLineToRelative(78.2f)
                verticalLineToRelative(5.2f)
                curveToRelative(11.4f, -6.9f, 19.6f, -5.2f, 64.9f, -5.2f)
                verticalLineToRelative(5.0f)
                curveToRelative(10.3f, -5.9f, 16.6f, -5.2f, 54.3f, -5.0f)
                lineTo(575.8f, 80.0f)
                curveToRelative(0.0f, -26.5f, -21.5f, -48.0f, -48.0f, -48.0f)
                horizontalLineToRelative(-480.0f)
                curveToRelative(-26.5f, 0.0f, -48.0f, 21.5f, -48.0f, 48.0f)
                verticalLineToRelative(109.8f)
                curveToRelative(9.4f, -21.9f, 19.7f, -46.0f, 23.1f, -53.9f)
                horizontalLineToRelative(39.7f)
                curveToRelative(4.3f, 10.1f, 1.6f, 3.7f, 9.0f, 21.1f)
                verticalLineToRelative(-21.1f)
                horizontalLineToRelative(46.0f)
                curveToRelative(2.9f, 6.2f, 11.1f, 24.0f, 13.9f, 30.0f)
                curveToRelative(5.8f, -13.6f, 10.1f, -23.9f, 12.6f, -30.0f)
                horizontalLineToRelative(103.0f)
                curveToRelative(0.0f, -0.1f, 11.5f, 0.0f, 11.6f, 0.0f)
                curveToRelative(43.7f, 0.2f, 53.6f, -0.8f, 64.4f, 5.3f)
                verticalLineToRelative(-5.3f)
                lineTo(363.0f, 135.9f)
                verticalLineToRelative(9.3f)
                curveToRelative(7.6f, -6.1f, 17.9f, -9.3f, 30.7f, -9.3f)
                horizontalLineToRelative(27.6f)
                curveToRelative(0.0f, 0.5f, 1.9f, 0.3f, 2.3f, 0.3f)
                lineTo(456.0f, 136.2f)
                curveToRelative(4.2f, 9.8f, 2.6f, 6.0f, 8.8f, 20.6f)
                verticalLineToRelative(-20.6f)
                horizontalLineToRelative(43.3f)
                curveToRelative(4.9f, 8.0f, -1.0f, -1.8f, 11.2f, 18.4f)
                verticalLineToRelative(-18.4f)
                horizontalLineToRelative(39.9f)
                verticalLineToRelative(92.0f)
                horizontalLineToRelative(-41.6f)
                curveToRelative(-5.4f, -9.0f, -1.4f, -2.2f, -13.2f, -21.9f)
                verticalLineToRelative(21.9f)
                horizontalLineToRelative(-52.8f)
                curveToRelative(-6.4f, -14.8f, -0.1f, -0.3f, -6.6f, -15.3f)
                horizontalLineToRelative(-19.0f)
                curveToRelative(-4.2f, 10.0f, -2.2f, 5.2f, -6.4f, 15.3f)
                horizontalLineToRelative(-26.8f)
                curveToRelative(-12.3f, 0.0f, -22.3f, -3.0f, -29.7f, -8.9f)
                verticalLineToRelative(8.9f)
                horizontalLineToRelative(-66.5f)
                curveToRelative(-0.3f, -13.9f, -0.1f, -24.8f, -0.1f, -24.8f)
                curveToRelative(-1.8f, -0.3f, -3.4f, -0.2f, -9.8f, -0.2f)
                verticalLineToRelative(25.1f)
                lineTo(151.2f, 228.3f)
                verticalLineToRelative(-11.4f)
                curveToRelative(-2.5f, 5.6f, -2.7f, 5.9f, -5.1f, 11.4f)
                horizontalLineToRelative(-29.5f)
                curveToRelative(-4.0f, -8.9f, -2.9f, -6.4f, -5.1f, -11.4f)
                verticalLineToRelative(11.4f)
                lineTo(58.6f, 228.3f)
                curveToRelative(-4.2f, -10.1f, -2.2f, -5.3f, -6.4f, -15.3f)
                lineTo(33.0f, 213.0f)
                curveToRelative(-4.2f, 10.0f, -2.2f, 5.2f, -6.4f, 15.3f)
                lineTo(0.0f, 228.3f)
                lineTo(0.0f, 432.0f)
                curveToRelative(0.0f, 26.5f, 21.5f, 48.0f, 48.0f, 48.0f)
                horizontalLineToRelative(480.1f)
                curveToRelative(26.5f, 0.0f, 48.0f, -21.5f, 48.0f, -48.0f)
                verticalLineToRelative(-90.4f)
                curveToRelative(-12.7f, 8.3f, -32.7f, 6.1f, -67.5f, 6.1f)
                close()
                moveTo(544.9f, 283.2f)
                lineTo(575.0f, 283.2f)
                verticalLineToRelative(-14.6f)
                horizontalLineToRelative(-32.9f)
                curveToRelative(-12.8f, 0.0f, -23.8f, 6.6f, -23.8f, 20.7f)
                curveToRelative(0.0f, 33.0f, 42.7f, 12.8f, 42.7f, 27.4f)
                curveToRelative(0.0f, 5.1f, -4.3f, 6.4f, -8.4f, 6.4f)
                horizontalLineToRelative(-32.0f)
                lineToRelative(-0.1f, 14.8f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.4f, 0.0f, 17.6f, -1.8f, 22.5f, -8.9f)
                verticalLineToRelative(-25.8f)
                curveToRelative(-10.5f, -13.8f, -39.3f, -1.3f, -39.3f, -13.5f)
                curveToRelative(0.0f, -5.8f, 4.6f, -6.5f, 9.2f, -6.5f)
                close()
                moveTo(487.9f, 323.0f)
                horizontalLineToRelative(-32.2f)
                lineToRelative(-0.1f, 14.8f)
                horizontalLineToRelative(32.2f)
                curveToRelative(14.8f, 0.0f, 26.2f, -5.6f, 26.2f, -22.0f)
                curveToRelative(0.0f, -33.2f, -42.9f, -11.2f, -42.9f, -26.3f)
                curveToRelative(0.0f, -5.6f, 4.9f, -6.4f, 9.2f, -6.4f)
                horizontalLineToRelative(30.4f)
                verticalLineToRelative(-14.6f)
                horizontalLineToRelative(-33.2f)
                curveToRelative(-12.8f, 0.0f, -23.5f, 6.6f, -23.5f, 20.7f)
                curveToRelative(0.0f, 33.0f, 42.7f, 12.5f, 42.7f, 27.4f)
                curveToRelative(-0.1f, 5.4f, -4.7f, 6.4f, -8.8f, 6.4f)
                close()
                moveTo(445.7f, 282.9f)
                verticalLineToRelative(-14.3f)
                horizontalLineToRelative(-55.2f)
                lineToRelative(-0.1f, 69.3f)
                horizontalLineToRelative(55.2f)
                lineToRelative(0.1f, -14.3f)
                lineToRelative(-38.6f, -0.3f)
                verticalLineToRelative(-13.8f)
                lineTo(445.0f, 309.5f)
                verticalLineToRelative(-14.1f)
                horizontalLineToRelative(-37.8f)
                verticalLineToRelative(-12.5f)
                close()
                moveTo(389.4f, 174.8f)
                curveToRelative(-0.3f, 0.2f, -1.4f, 2.2f, -1.4f, 7.6f)
                curveToRelative(0.0f, 6.0f, 0.9f, 7.7f, 1.1f, 7.9f)
                curveToRelative(0.2f, 0.1f, 1.1f, 0.5f, 3.4f, 0.5f)
                lineToRelative(7.3f, -16.9f)
                curveToRelative(-1.1f, 0.0f, -2.1f, -0.1f, -3.1f, -0.1f)
                curveToRelative(-5.6f, 0.0f, -7.0f, 0.7f, -7.3f, 1.0f)
                close()
                moveTo(409.8f, 164.3f)
                horizontalLineToRelative(-0.1f)
                close()
                moveTo(393.6f, 149.1f)
                curveToRelative(-23.5f, 0.0f, -34.0f, 12.0f, -34.0f, 35.3f)
                curveToRelative(0.0f, 22.2f, 10.2f, 34.0f, 33.0f, 34.0f)
                horizontalLineToRelative(19.2f)
                lineToRelative(6.4f, -15.3f)
                horizontalLineToRelative(34.3f)
                lineToRelative(6.6f, 15.3f)
                horizontalLineToRelative(33.7f)
                verticalLineToRelative(-51.9f)
                lineToRelative(31.2f, 51.9f)
                horizontalLineToRelative(23.6f)
                verticalLineToRelative(-69.0f)
                horizontalLineToRelative(-16.9f)
                verticalLineToRelative(48.1f)
                lineToRelative(-29.1f, -48.1f)
                horizontalLineToRelative(-25.3f)
                verticalLineToRelative(65.4f)
                lineToRelative(-27.9f, -65.4f)
                horizontalLineToRelative(-24.8f)
                lineToRelative(-23.5f, 54.5f)
                horizontalLineToRelative(-7.4f)
                curveToRelative(-13.3f, 0.0f, -16.1f, -8.1f, -16.1f, -19.9f)
                curveToRelative(0.0f, -23.8f, 15.7f, -20.0f, 33.1f, -19.7f)
                verticalLineToRelative(-15.2f)
                close()
                moveTo(435.7f, 161.2f)
                lineToRelative(11.2f, 27.6f)
                horizontalLineToRelative(-22.8f)
                close()
                moveTo(334.6f, 149.2f)
                verticalLineToRelative(69.3f)
                horizontalLineToRelative(16.9f)
                verticalLineToRelative(-69.3f)
                close()
            }
        }
        .build()
        return _ccAmex!!
    }

private var _ccAmex: ImageVector? = null
