package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Joomla: ImageVector
    get() {
        if (_joomla != null) {
            return _joomla!!
        }
        _joomla = Builder(name = "Joomla", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.6f, 92.1f)
                curveTo(0.6f, 58.8f, 27.4f, 32.0f, 60.4f, 32.0f)
                curveToRelative(30.0f, 0.0f, 54.5f, 21.9f, 59.2f, 50.2f)
                curveToRelative(32.6f, -7.6f, 67.1f, 0.6f, 96.5f, 30.0f)
                lineToRelative(-44.3f, 44.3f)
                curveToRelative(-20.5f, -20.5f, -42.6f, -16.3f, -55.4f, -3.5f)
                curveToRelative(-14.3f, 14.3f, -14.3f, 37.9f, 0.0f, 52.2f)
                lineToRelative(99.5f, 99.5f)
                lineToRelative(-44.0f, 44.3f)
                curveToRelative(-87.7f, -87.2f, -49.7f, -49.7f, -99.8f, -99.7f)
                curveToRelative(-26.8f, -26.5f, -35.0f, -64.8f, -24.8f, -98.9f)
                curveTo(20.4f, 144.6f, 0.6f, 120.7f, 0.6f, 92.1f)
                close()
                moveTo(130.1f, 208.5f)
                lineToRelative(44.3f, 44.3f)
                curveToRelative(10.0f, -10.0f, 89.7f, -89.7f, 99.7f, -99.8f)
                curveToRelative(14.3f, -14.3f, 37.6f, -14.3f, 51.9f, 0.0f)
                curveToRelative(12.8f, 12.8f, 17.0f, 35.0f, -3.5f, 55.4f)
                lineToRelative(44.0f, 44.3f)
                curveToRelative(31.2f, -31.2f, 38.5f, -67.6f, 28.9f, -101.2f)
                curveToRelative(29.2f, -4.1f, 51.9f, -29.2f, 51.9f, -59.5f)
                curveToRelative(0.0f, -33.2f, -26.8f, -60.1f, -59.8f, -60.1f)
                curveToRelative(-30.3f, 0.0f, -55.4f, 22.5f, -59.5f, 51.6f)
                curveToRelative(-33.8f, -9.9f, -71.7f, -1.5f, -98.3f, 25.1f)
                curveToRelative(-18.3f, 19.1f, -71.1f, 71.5f, -99.6f, 99.9f)
                close()
                moveTo(396.4f, 360.7f)
                curveToRelative(8.2f, -32.7f, -0.9f, -68.5f, -26.3f, -93.9f)
                curveToRelative(-11.8f, -12.2f, 5.0f, 4.7f, -99.5f, -99.7f)
                lineToRelative(-44.3f, 44.3f)
                lineToRelative(99.7f, 99.7f)
                curveToRelative(14.3f, 14.3f, 14.3f, 37.6f, 0.0f, 51.9f)
                curveToRelative(-12.8f, 12.8f, -35.0f, 17.0f, -55.4f, -3.5f)
                lineToRelative(-44.0f, 44.3f)
                curveToRelative(27.6f, 30.2f, 68.0f, 38.8f, 102.7f, 28.0f)
                curveToRelative(5.5f, 27.4f, 29.7f, 48.1f, 58.9f, 48.1f)
                curveToRelative(33.0f, 0.0f, 59.8f, -26.8f, 59.8f, -60.1f)
                curveToRelative(0.0f, -30.2f, -22.5f, -55.0f, -51.6f, -59.1f)
                close()
                moveTo(312.1f, 307.6f)
                lineToRelative(-44.0f, -44.3f)
                curveToRelative(-87.0f, 86.4f, -50.4f, 50.4f, -99.7f, 99.8f)
                curveToRelative(-14.3f, 14.3f, -37.6f, 14.3f, -51.9f, 0.0f)
                curveToRelative(-13.1f, -13.4f, -16.9f, -35.3f, 3.2f, -55.4f)
                lineToRelative(-44.0f, -44.3f)
                curveToRelative(-30.2f, 30.2f, -38.0f, 65.2f, -29.5f, 98.3f)
                curveToRelative(-26.7f, 6.0f, -46.2f, 29.9f, -46.2f, 58.2f)
                curveTo(0.0f, 453.2f, 26.8f, 480.0f, 59.8f, 480.0f)
                curveToRelative(28.6f, 0.0f, 52.5f, -19.8f, 58.6f, -46.7f)
                curveToRelative(32.7f, 8.2f, 68.5f, -0.6f, 94.2f, -26.0f)
                curveToRelative(32.1f, -32.0f, 12.2f, -12.4f, 99.5f, -99.7f)
                close()
            }
        }
        .build()
        return _joomla!!
    }

private var _joomla: ImageVector? = null
