package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Laravel: ImageVector
    get() {
        if (_laravel != null) {
            return _laravel!!
        }
        _laravel = Builder(name = "Laravel", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(504.4f, 115.83f)
                arcToRelative(5.72f, 5.72f, 0.0f, false, false, -0.28f, -0.68f)
                arcToRelative(8.52f, 8.52f, 0.0f, false, false, -0.53f, -1.25f)
                arcToRelative(6.0f, 6.0f, 0.0f, false, false, -0.54f, -0.71f)
                arcToRelative(9.36f, 9.36f, 0.0f, false, false, -0.72f, -0.94f)
                curveToRelative(-0.23f, -0.22f, -0.52f, -0.4f, -0.77f, -0.6f)
                arcToRelative(8.84f, 8.84f, 0.0f, false, false, -0.9f, -0.68f)
                lineTo(404.4f, 55.55f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, -8.0f, 0.0f)
                lineTo(300.12f, 111.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(8.07f, 8.07f, 0.0f, false, false, -0.88f, 0.69f)
                arcToRelative(7.68f, 7.68f, 0.0f, false, false, -0.78f, 0.6f)
                arcToRelative(8.23f, 8.23f, 0.0f, false, false, -0.72f, 0.93f)
                curveToRelative(-0.17f, 0.24f, -0.39f, 0.45f, -0.54f, 0.71f)
                arcToRelative(9.7f, 9.7f, 0.0f, false, false, -0.52f, 1.25f)
                curveToRelative(-0.08f, 0.23f, -0.21f, 0.44f, -0.28f, 0.68f)
                arcToRelative(8.08f, 8.08f, 0.0f, false, false, -0.28f, 2.08f)
                lineTo(296.12f, 223.18f)
                lineToRelative(-80.22f, 46.19f)
                lineTo(215.9f, 63.44f)
                arcToRelative(7.8f, 7.8f, 0.0f, false, false, -0.28f, -2.09f)
                curveToRelative(-0.06f, -0.24f, -0.2f, -0.45f, -0.28f, -0.68f)
                arcToRelative(8.35f, 8.35f, 0.0f, false, false, -0.52f, -1.24f)
                curveToRelative(-0.14f, -0.26f, -0.37f, -0.47f, -0.54f, -0.72f)
                arcToRelative(9.36f, 9.36f, 0.0f, false, false, -0.72f, -0.94f)
                arcToRelative(9.46f, 9.46f, 0.0f, false, false, -0.78f, -0.6f)
                arcToRelative(9.8f, 9.8f, 0.0f, false, false, -0.88f, -0.68f)
                horizontalLineToRelative(0.0f)
                lineTo(115.61f, 1.07f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, -8.0f, 0.0f)
                lineTo(11.34f, 56.49f)
                horizontalLineToRelative(0.0f)
                arcToRelative(6.52f, 6.52f, 0.0f, false, false, -0.88f, 0.69f)
                arcToRelative(7.81f, 7.81f, 0.0f, false, false, -0.79f, 0.6f)
                arcToRelative(8.15f, 8.15f, 0.0f, false, false, -0.71f, 0.93f)
                curveToRelative(-0.18f, 0.25f, -0.4f, 0.46f, -0.55f, 0.72f)
                arcToRelative(7.88f, 7.88f, 0.0f, false, false, -0.51f, 1.24f)
                arcToRelative(6.46f, 6.46f, 0.0f, false, false, -0.29f, 0.67f)
                arcToRelative(8.18f, 8.18f, 0.0f, false, false, -0.28f, 2.1f)
                verticalLineToRelative(329.7f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, 4.0f, 6.95f)
                lineToRelative(192.5f, 110.84f)
                arcToRelative(8.83f, 8.83f, 0.0f, false, false, 1.33f, 0.54f)
                curveToRelative(0.21f, 0.08f, 0.41f, 0.2f, 0.63f, 0.26f)
                arcToRelative(7.92f, 7.92f, 0.0f, false, false, 4.1f, 0.0f)
                curveToRelative(0.2f, -0.05f, 0.37f, -0.16f, 0.55f, -0.22f)
                arcToRelative(8.6f, 8.6f, 0.0f, false, false, 1.4f, -0.58f)
                lineTo(404.4f, 400.09f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, 4.0f, -6.95f)
                lineTo(408.4f, 287.88f)
                lineToRelative(92.24f, -53.11f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, 4.0f, -7.0f)
                lineTo(504.64f, 117.92f)
                arcTo(8.63f, 8.63f, 0.0f, false, false, 504.4f, 115.83f)
                close()
                moveTo(111.6f, 17.28f)
                horizontalLineToRelative(0.0f)
                lineToRelative(80.19f, 46.15f)
                lineToRelative(-80.2f, 46.18f)
                lineTo(31.41f, 63.44f)
                close()
                moveTo(199.85f, 77.28f)
                lineTo(199.85f, 278.6f)
                lineToRelative(-46.53f, 26.79f)
                lineToRelative(-33.69f, 19.4f)
                lineTo(119.63f, 123.5f)
                lineToRelative(46.53f, -26.79f)
                close()
                moveTo(199.85f, 490.06f)
                lineTo(23.37f, 388.5f)
                lineTo(23.37f, 77.32f)
                lineTo(57.06f, 96.7f)
                lineToRelative(46.52f, 26.8f)
                lineTo(103.58f, 338.68f)
                arcToRelative(6.94f, 6.94f, 0.0f, false, false, 0.12f, 0.9f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, false, 0.16f, 1.18f)
                horizontalLineToRelative(0.0f)
                arcToRelative(5.92f, 5.92f, 0.0f, false, false, 0.38f, 0.9f)
                arcToRelative(6.38f, 6.38f, 0.0f, false, false, 0.42f, 1.0f)
                verticalLineToRelative(0.0f)
                arcToRelative(8.54f, 8.54f, 0.0f, false, false, 0.6f, 0.78f)
                arcToRelative(7.62f, 7.62f, 0.0f, false, false, 0.66f, 0.84f)
                lineToRelative(0.0f, 0.0f)
                curveToRelative(0.23f, 0.22f, 0.52f, 0.38f, 0.77f, 0.58f)
                arcToRelative(8.93f, 8.93f, 0.0f, false, false, 0.86f, 0.66f)
                lineToRelative(0.0f, 0.0f)
                lineToRelative(0.0f, 0.0f)
                lineToRelative(92.19f, 52.18f)
                close()
                moveTo(207.85f, 383.89f)
                lineTo(127.79f, 338.57f)
                lineTo(211.88f, 290.16f)
                lineTo(304.14f, 237.05f)
                lineTo(384.27f, 283.18f)
                lineTo(325.47f, 316.74f)
                close()
                moveTo(392.37f, 388.46f)
                lineTo(215.88f, 490.11f)
                lineTo(215.88f, 397.8f)
                lineTo(346.6f, 323.2f)
                lineToRelative(45.77f, -26.15f)
                close()
                moveTo(392.37f, 269.33f)
                lineTo(358.68f, 250.0f)
                lineToRelative(-46.53f, -26.79f)
                lineTo(312.15f, 131.79f)
                lineToRelative(33.69f, 19.4f)
                lineTo(392.37f, 178.0f)
                close()
                moveTo(400.37f, 164.05f)
                lineTo(320.17f, 117.88f)
                lineTo(400.37f, 71.72f)
                lineTo(480.55f, 117.87f)
                close()
                moveTo(408.37f, 269.33f)
                lineTo(408.37f, 178.0f)
                lineTo(455.0f, 151.19f)
                lineToRelative(33.68f, -19.4f)
                verticalLineToRelative(91.39f)
                horizontalLineToRelative(0.0f)
                close()
            }
        }
        .build()
        return _laravel!!
    }

private var _laravel: ImageVector? = null
