package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Swift: ImageVector
    get() {
        if (_swift != null) {
            return _swift!!
        }
        _swift = Builder(name = "Swift", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(448.0f, 156.09f)
                curveToRelative(0.0f, -4.51f, -0.08f, -9.0f, -0.2f, -13.52f)
                arcToRelative(196.31f, 196.31f, 0.0f, false, false, -2.58f, -29.42f)
                arcToRelative(99.62f, 99.62f, 0.0f, false, false, -9.22f, -28.0f)
                arcTo(94.08f, 94.08f, 0.0f, false, false, 394.84f, 44.0f)
                arcToRelative(99.17f, 99.17f, 0.0f, false, false, -28.0f, -9.22f)
                arcToRelative(195.0f, 195.0f, 0.0f, false, false, -29.43f, -2.59f)
                curveToRelative(-4.51f, -0.12f, -9.0f, -0.17f, -13.52f, -0.2f)
                lineTo(124.14f, 31.99f)
                curveToRelative(-4.51f, 0.0f, -9.0f, 0.08f, -13.52f, 0.2f)
                curveToRelative(-2.45f, 0.07f, -4.91f, 0.15f, -7.37f, 0.27f)
                arcToRelative(171.68f, 171.68f, 0.0f, false, false, -22.06f, 2.32f)
                arcToRelative(103.06f, 103.06f, 0.0f, false, false, -21.21f, 6.1f)
                quadToRelative(-3.46f, 1.45f, -6.81f, 3.12f)
                arcToRelative(94.66f, 94.66f, 0.0f, false, false, -18.39f, 12.32f)
                curveToRelative(-1.88f, 1.61f, -3.69f, 3.28f, -5.43f, 5.0f)
                arcTo(93.86f, 93.86f, 0.0f, false, false, 12.0f, 85.17f)
                arcToRelative(99.45f, 99.45f, 0.0f, false, false, -9.22f, 28.0f)
                arcToRelative(196.31f, 196.31f, 0.0f, false, false, -2.54f, 29.4f)
                curveToRelative(-0.13f, 4.51f, -0.18f, 9.0f, -0.21f, 13.52f)
                verticalLineToRelative(199.83f)
                curveToRelative(0.0f, 4.51f, 0.08f, 9.0f, 0.21f, 13.51f)
                arcToRelative(196.08f, 196.08f, 0.0f, false, false, 2.58f, 29.42f)
                arcToRelative(99.3f, 99.3f, 0.0f, false, false, 9.22f, 28.0f)
                arcTo(94.31f, 94.31f, 0.0f, false, false, 53.17f, 468.0f)
                arcToRelative(99.47f, 99.47f, 0.0f, false, false, 28.0f, 9.21f)
                arcToRelative(195.0f, 195.0f, 0.0f, false, false, 29.43f, 2.59f)
                curveToRelative(4.5f, 0.12f, 9.0f, 0.17f, 13.52f, 0.2f)
                lineTo(323.91f, 480.0f)
                curveToRelative(4.51f, 0.0f, 9.0f, -0.08f, 13.52f, -0.2f)
                arcToRelative(196.59f, 196.59f, 0.0f, false, false, 29.44f, -2.59f)
                arcToRelative(99.57f, 99.57f, 0.0f, false, false, 28.0f, -9.21f)
                arcTo(94.22f, 94.22f, 0.0f, false, false, 436.0f, 426.84f)
                arcToRelative(99.3f, 99.3f, 0.0f, false, false, 9.22f, -28.0f)
                arcToRelative(194.79f, 194.79f, 0.0f, false, false, 2.59f, -29.42f)
                curveToRelative(0.12f, -4.5f, 0.17f, -9.0f, 0.2f, -13.51f)
                lineTo(448.01f, 172.14f)
                curveToRelative(-0.01f, -5.35f, -0.01f, -10.7f, -0.01f, -16.05f)
                close()
                moveTo(378.12f, 397.09f)
                curveToRelative(-20.0f, -38.93f, -57.23f, -29.27f, -76.31f, -19.47f)
                curveToRelative(-1.72f, 1.0f, -3.48f, 2.0f, -5.25f, 3.0f)
                lineToRelative(-0.42f, 0.25f)
                curveToRelative(-39.5f, 21.0f, -92.53f, 22.54f, -145.85f, -0.38f)
                arcTo(234.64f, 234.64f, 0.0f, false, true, 45.0f, 290.12f)
                arcToRelative(230.63f, 230.63f, 0.0f, false, false, 39.17f, 23.37f)
                curveToRelative(56.36f, 26.4f, 113.0f, 24.49f, 153.0f, 0.0f)
                curveToRelative(-57.0f, -43.85f, -104.6f, -101.0f, -141.09f, -147.22f)
                arcToRelative(197.09f, 197.09f, 0.0f, false, true, -18.78f, -25.9f)
                curveToRelative(43.7f, 40.0f, 112.7f, 90.22f, 137.48f, 104.12f)
                curveToRelative(-52.57f, -55.49f, -98.89f, -123.94f, -96.72f, -121.74f)
                curveToRelative(82.79f, 83.42f, 159.18f, 130.59f, 159.18f, 130.59f)
                curveToRelative(2.88f, 1.58f, 5.0f, 2.85f, 6.73f, 4.0f)
                arcToRelative(127.44f, 127.44f, 0.0f, false, false, 4.16f, -12.47f)
                curveToRelative(13.22f, -48.33f, -1.66f, -103.58f, -35.31f, -149.2f)
                curveTo(329.61f, 141.75f, 375.0f, 229.34f, 356.4f, 303.42f)
                curveToRelative(-0.44f, 1.73f, -0.95f, 3.4f, -1.44f, 5.09f)
                curveToRelative(38.52f, 47.4f, 28.04f, 98.17f, 23.13f, 88.59f)
                close()
            }
        }
        .build()
        return _swift!!
    }

private var _swift: ImageVector? = null
