package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Wix: ImageVector
    get() {
        if (_wix != null) {
            return _wix!!
        }
        _wix = Builder(name = "Wix", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(393.38f, 131.69f)
                curveToRelative(0.0f, 13.03f, 2.08f, 32.69f, -28.68f, 43.83f)
                curveToRelative(-9.52f, 3.45f, -15.95f, 9.66f, -15.95f, 9.66f)
                curveToRelative(0.0f, -31.0f, 4.72f, -42.22f, 17.4f, -48.86f)
                curveToRelative(9.75f, -5.11f, 27.23f, -4.63f, 27.23f, -4.63f)
                close()
                moveTo(277.58f, 167.23f)
                lineToRelative(-34.24f, 132.66f)
                lineToRelative(-28.48f, -108.57f)
                curveToRelative(-7.69f, -31.99f, -20.81f, -48.53f, -48.43f, -48.53f)
                curveToRelative(-27.37f, 0.0f, -40.66f, 16.18f, -48.43f, 48.53f)
                lineTo(89.52f, 299.89f)
                lineTo(55.28f, 167.23f)
                curveTo(49.73f, 140.51f, 23.86f, 128.96f, 0.0f, 131.96f)
                lineToRelative(65.57f, 247.93f)
                reflectiveCurveToRelative(21.63f, 1.56f, 32.46f, -3.96f)
                curveToRelative(14.22f, -7.25f, 20.98f, -12.84f, 29.59f, -46.57f)
                curveToRelative(7.67f, -30.07f, 29.11f, -118.41f, 31.12f, -124.7f)
                curveToRelative(4.76f, -14.94f, 11.09f, -13.81f, 15.4f, 0.0f)
                curveToRelative(1.97f, 6.3f, 23.45f, 94.63f, 31.12f, 124.7f)
                curveToRelative(8.6f, 33.73f, 15.37f, 39.32f, 29.59f, 46.57f)
                curveToRelative(10.82f, 5.52f, 32.46f, 3.96f, 32.46f, 3.96f)
                lineToRelative(65.57f, -247.93f)
                curveToRelative(-24.42f, -3.07f, -49.82f, 8.93f, -55.3f, 35.27f)
                close()
                moveTo(393.36f, 172.44f)
                reflectiveCurveToRelative(-4.1f, 6.34f, -13.46f, 11.57f)
                curveToRelative(-6.01f, 3.36f, -11.78f, 5.64f, -17.97f, 8.61f)
                curveToRelative(-15.14f, 7.26f, -13.18f, 13.95f, -13.18f, 35.2f)
                verticalLineToRelative(152.07f)
                reflectiveCurveToRelative(16.55f, 2.09f, 27.37f, -3.43f)
                curveToRelative(13.93f, -7.1f, 17.13f, -13.95f, 17.26f, -44.78f)
                lineTo(393.38f, 181.41f)
                lineToRelative(-0.02f, 0.01f)
                verticalLineToRelative(-8.98f)
                close()
                moveTo(556.8f, 256.52f)
                lineTo(640.0f, 132.78f)
                reflectiveCurveToRelative(-35.11f, -5.98f, -52.5f, 9.85f)
                curveToRelative(-13.3f, 12.1f, -24.41f, 29.55f, -54.18f, 72.47f)
                curveToRelative(-0.47f, 0.73f, -6.25f, 10.54f, -13.07f, 0.0f)
                curveToRelative(-29.29f, -42.23f, -40.8f, -60.29f, -54.18f, -72.47f)
                curveToRelative(-17.39f, -15.83f, -52.5f, -9.85f, -52.5f, -9.85f)
                lineToRelative(83.2f, 123.74f)
                lineToRelative(-82.97f, 123.36f)
                reflectiveCurveToRelative(36.57f, 4.62f, 53.95f, -11.21f)
                curveToRelative(11.49f, -10.46f, 17.58f, -20.37f, 52.51f, -70.72f)
                curveToRelative(6.81f, -10.52f, 12.57f, -0.77f, 13.07f, 0.0f)
                curveToRelative(29.4f, 42.38f, 39.23f, 58.06f, 53.14f, 70.72f)
                curveToRelative(17.39f, 15.83f, 53.32f, 11.21f, 53.32f, 11.21f)
                lineTo(556.8f, 256.52f)
                close()
            }
        }
        .build()
        return _wix!!
    }

private var _wix: ImageVector? = null
