package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Calculator: ImageVector
    get() {
        if (_calculator != null) {
            return _calculator!!
        }
        _calculator = Builder(name = "Calculator", defaultWidth = 448.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(400.0f, 0.0f)
                lineTo(48.0f, 0.0f)
                curveTo(22.4f, 0.0f, 0.0f, 22.4f, 0.0f, 48.0f)
                verticalLineToRelative(416.0f)
                curveToRelative(0.0f, 25.6f, 22.4f, 48.0f, 48.0f, 48.0f)
                horizontalLineToRelative(352.0f)
                curveToRelative(25.6f, 0.0f, 48.0f, -22.4f, 48.0f, -48.0f)
                lineTo(448.0f, 48.0f)
                curveToRelative(0.0f, -25.6f, -22.4f, -48.0f, -48.0f, -48.0f)
                close()
                moveTo(128.0f, 435.2f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                lineTo(76.8f, 448.0f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                verticalLineToRelative(-38.4f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(38.4f)
                close()
                moveTo(128.0f, 307.2f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                lineTo(76.8f, 320.0f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                verticalLineToRelative(-38.4f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(38.4f)
                close()
                moveTo(256.0f, 435.2f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                horizontalLineToRelative(-38.4f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                verticalLineToRelative(-38.4f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(38.4f)
                close()
                moveTo(256.0f, 307.2f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                horizontalLineToRelative(-38.4f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                verticalLineToRelative(-38.4f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(38.4f)
                close()
                moveTo(384.0f, 435.2f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                horizontalLineToRelative(-38.4f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                lineTo(320.0f, 268.8f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(166.4f)
                close()
                moveTo(384.0f, 179.2f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                lineTo(76.8f, 192.0f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                lineTo(64.0f, 76.8f)
                curveTo(64.0f, 70.4f, 70.4f, 64.0f, 76.8f, 64.0f)
                horizontalLineToRelative(294.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(102.4f)
                close()
            }
        }
        .build()
        return _calculator!!
    }

private var _calculator: ImageVector? = null
