package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.DumpsterFire: ImageVector
    get() {
        if (_dumpsterFire != null) {
            return _dumpsterFire!!
        }
        _dumpsterFire = Builder(name = "DumpsterFire", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(418.7f, 104.1f)
                lineToRelative(0.2f, -0.2f)
                lineToRelative(-14.4f, -72.0f)
                lineTo(304.0f, 31.9f)
                verticalLineToRelative(128.0f)
                horizontalLineToRelative(60.8f)
                curveToRelative(16.2f, -19.3f, 34.2f, -38.2f, 53.9f, -55.8f)
                close()
                moveTo(272.0f, 32.0f)
                lineTo(171.5f, 32.0f)
                lineToRelative(-25.6f, 128.0f)
                lineTo(272.0f, 160.0f)
                lineTo(272.0f, 32.0f)
                close()
                moveTo(461.3f, 104.1f)
                curveToRelative(18.2f, 16.3f, 35.5f, 33.7f, 51.1f, 51.5f)
                curveToRelative(5.7f, -5.6f, 11.4f, -11.1f, 17.3f, -16.3f)
                lineToRelative(21.3f, -19.0f)
                lineToRelative(21.3f, 19.0f)
                curveToRelative(1.1f, 0.9f, 2.1f, 2.1f, 3.1f, 3.1f)
                curveToRelative(-0.1f, -0.8f, 0.2f, -1.5f, 0.0f, -2.3f)
                lineToRelative(-24.0f, -96.0f)
                curveTo(549.7f, 37.0f, 543.3f, 32.0f, 536.0f, 32.0f)
                horizontalLineToRelative(-98.9f)
                lineToRelative(12.3f, 61.5f)
                lineToRelative(11.9f, 10.6f)
                close()
                moveTo(16.0f, 160.0f)
                horizontalLineToRelative(97.3f)
                lineToRelative(25.6f, -128.0f)
                lineTo(40.0f, 32.0f)
                curveToRelative(-7.3f, 0.0f, -13.7f, 5.0f, -15.5f, 12.1f)
                lineToRelative(-24.0f, 96.0f)
                curveTo(-2.0f, 150.2f, 5.6f, 160.0f, 16.0f, 160.0f)
                close()
                moveTo(340.6f, 192.0f)
                lineTo(32.0f, 192.0f)
                lineToRelative(4.0f, 32.0f)
                lineTo(16.0f, 224.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, 7.2f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.8f, 7.2f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(28.0f)
                lineToRelative(20.0f, 160.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 8.8f, 7.2f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                verticalLineToRelative(-16.0f)
                horizontalLineToRelative(208.8f)
                curveToRelative(-30.2f, -33.7f, -48.8f, -77.9f, -48.8f, -126.4f)
                curveToRelative(0.0f, -35.9f, 19.9f, -82.9f, 52.6f, -129.6f)
                close()
                moveTo(551.1f, 163.2f)
                curveToRelative(-14.9f, 13.3f, -28.3f, 27.2f, -40.2f, 41.2f)
                curveToRelative(-19.5f, -25.8f, -43.6f, -52.0f, -71.0f, -76.4f)
                curveToRelative(-70.2f, 62.7f, -120.0f, 144.3f, -120.0f, 193.6f)
                curveToRelative(0.0f, 87.5f, 71.6f, 158.4f, 160.0f, 158.4f)
                reflectiveCurveToRelative(160.0f, -70.9f, 160.0f, -158.4f)
                curveToRelative(0.1f, -36.6f, -37.0f, -112.2f, -88.8f, -158.4f)
                close()
                moveTo(532.5f, 392.6f)
                curveToRelative(-14.7f, 10.7f, -32.9f, 17.0f, -52.5f, 17.0f)
                curveToRelative(-49.0f, 0.0f, -88.9f, -33.5f, -88.9f, -88.0f)
                curveToRelative(0.0f, -27.1f, 16.5f, -51.0f, 49.4f, -91.9f)
                curveToRelative(4.7f, 5.6f, 67.1f, 88.1f, 67.1f, 88.1f)
                lineToRelative(39.8f, -47.0f)
                curveToRelative(2.8f, 4.8f, 5.4f, 9.5f, 7.7f, 14.0f)
                curveToRelative(18.6f, 36.7f, 10.8f, 83.6f, -22.6f, 107.8f)
                close()
            }
        }
        .build()
        return _dumpsterFire!!
    }

private var _dumpsterFire: ImageVector? = null
