package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.FootballBall: ImageVector
    get() {
        if (_footballBall != null) {
            return _footballBall!!
        }
        _footballBall = Builder(name = "FootballBall", defaultWidth = 496.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(481.5f, 60.3f)
                curveToRelative(-4.8f, -18.2f, -19.1f, -32.5f, -37.3f, -37.4f)
                curveTo(420.3f, 16.5f, 383.0f, 8.9f, 339.4f, 8.0f)
                lineTo(496.0f, 164.8f)
                curveToRelative(-0.8f, -43.5f, -8.2f, -80.6f, -14.5f, -104.5f)
                close()
                moveTo(14.5f, 451.7f)
                curveToRelative(4.8f, 18.2f, 19.1f, 32.5f, 37.3f, 37.4f)
                curveToRelative(23.9f, 6.4f, 61.2f, 14.0f, 104.8f, 14.9f)
                lineTo(0.0f, 347.2f)
                curveToRelative(0.8f, 43.5f, 8.2f, 80.6f, 14.5f, 104.5f)
                close()
                moveTo(4.2f, 283.4f)
                lineTo(220.4f, 500.0f)
                curveToRelative(132.5f, -19.4f, 248.8f, -118.7f, 271.5f, -271.4f)
                lineTo(275.6f, 12.0f)
                curveTo(143.1f, 31.4f, 26.8f, 130.7f, 4.2f, 283.4f)
                close()
                moveTo(321.5f, 159.8f)
                curveToRelative(3.1f, -3.1f, 8.2f, -3.1f, 11.3f, 0.0f)
                lineToRelative(11.3f, 11.3f)
                curveToRelative(3.1f, 3.1f, 3.1f, 8.2f, 0.0f, 11.3f)
                lineToRelative(-28.3f, 28.3f)
                lineToRelative(28.3f, 28.3f)
                curveToRelative(3.1f, 3.1f, 3.1f, 8.2f, 0.0f, 11.3f)
                lineToRelative(-11.3f, 11.3f)
                curveToRelative(-3.1f, 3.1f, -8.2f, 3.1f, -11.3f, 0.0f)
                lineToRelative(-28.3f, -28.3f)
                lineToRelative(-22.6f, 22.7f)
                lineToRelative(28.3f, 28.3f)
                curveToRelative(3.1f, 3.1f, 3.1f, 8.2f, 0.0f, 11.3f)
                lineToRelative(-11.3f, 11.3f)
                curveToRelative(-3.1f, 3.1f, -8.2f, 3.1f, -11.3f, 0.0f)
                lineTo(248.0f, 278.6f)
                lineToRelative(-22.6f, 22.6f)
                lineToRelative(28.3f, 28.3f)
                curveToRelative(3.1f, 3.1f, 3.1f, 8.2f, 0.0f, 11.3f)
                lineToRelative(-11.3f, 11.3f)
                curveToRelative(-3.1f, 3.1f, -8.2f, 3.1f, -11.3f, 0.0f)
                lineToRelative(-28.3f, -28.3f)
                lineToRelative(-28.3f, 28.3f)
                curveToRelative(-3.1f, 3.1f, -8.2f, 3.1f, -11.3f, 0.0f)
                lineToRelative(-11.3f, -11.3f)
                curveToRelative(-3.1f, -3.1f, -3.1f, -8.2f, 0.0f, -11.3f)
                lineToRelative(28.3f, -28.3f)
                lineToRelative(-28.3f, -28.2f)
                curveToRelative(-3.1f, -3.1f, -3.1f, -8.2f, 0.0f, -11.3f)
                lineToRelative(11.3f, -11.3f)
                curveToRelative(3.1f, -3.1f, 8.2f, -3.1f, 11.3f, 0.0f)
                lineToRelative(28.3f, 28.3f)
                lineToRelative(22.6f, -22.6f)
                lineToRelative(-28.3f, -28.3f)
                curveToRelative(-3.1f, -3.1f, -3.1f, -8.2f, 0.0f, -11.3f)
                lineToRelative(11.3f, -11.3f)
                curveToRelative(3.1f, -3.1f, 8.2f, -3.1f, 11.3f, 0.0f)
                lineToRelative(28.3f, 28.3f)
                lineToRelative(22.6f, -22.6f)
                lineToRelative(-28.3f, -28.3f)
                curveToRelative(-3.1f, -3.1f, -3.1f, -8.2f, 0.0f, -11.3f)
                lineToRelative(11.3f, -11.3f)
                curveToRelative(3.1f, -3.1f, 8.2f, -3.1f, 11.3f, 0.0f)
                lineToRelative(28.3f, 28.3f)
                lineToRelative(28.3f, -28.5f)
                close()
            }
        }
        .build()
        return _footballBall!!
    }

private var _footballBall: ImageVector? = null
