package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Glasses: ImageVector
    get() {
        if (_glasses != null) {
            return _glasses!!
        }
        _glasses = Builder(name = "Glasses", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(574.1f, 280.37f)
                lineTo(528.75f, 98.66f)
                curveToRelative(-5.91f, -23.7f, -21.59f, -44.05f, -43.0f, -55.81f)
                curveToRelative(-21.44f, -11.73f, -46.97f, -14.11f, -70.19f, -6.33f)
                lineToRelative(-15.25f, 5.08f)
                curveToRelative(-8.39f, 2.79f, -12.92f, 11.86f, -10.12f, 20.24f)
                lineToRelative(5.06f, 15.18f)
                curveToRelative(2.79f, 8.38f, 11.85f, 12.91f, 20.23f, 10.12f)
                lineToRelative(13.18f, -4.39f)
                curveToRelative(10.87f, -3.62f, 23.0f, -3.57f, 33.16f, 1.73f)
                curveToRelative(10.29f, 5.37f, 17.57f, 14.56f, 20.37f, 25.82f)
                lineToRelative(38.46f, 153.82f)
                curveToRelative(-22.19f, -6.81f, -49.79f, -12.46f, -81.2f, -12.46f)
                curveToRelative(-34.77f, 0.0f, -73.98f, 7.02f, -114.85f, 26.74f)
                horizontalLineToRelative(-73.18f)
                curveToRelative(-40.87f, -19.74f, -80.08f, -26.75f, -114.86f, -26.75f)
                curveToRelative(-31.42f, 0.0f, -59.02f, 5.65f, -81.21f, 12.46f)
                lineToRelative(38.46f, -153.83f)
                curveToRelative(2.79f, -11.25f, 10.09f, -20.45f, 20.38f, -25.81f)
                curveToRelative(10.16f, -5.3f, 22.28f, -5.35f, 33.15f, -1.73f)
                lineToRelative(13.17f, 4.39f)
                curveToRelative(8.38f, 2.79f, 17.44f, -1.74f, 20.23f, -10.12f)
                lineToRelative(5.06f, -15.18f)
                curveToRelative(2.8f, -8.38f, -1.73f, -17.45f, -10.12f, -20.24f)
                lineToRelative(-15.25f, -5.08f)
                curveToRelative(-23.22f, -7.78f, -48.75f, -5.41f, -70.19f, 6.33f)
                curveToRelative(-21.41f, 11.77f, -37.09f, 32.11f, -43.0f, 55.8f)
                lineTo(1.9f, 280.37f)
                arcTo(64.218f, 64.218f, 0.0f, false, false, 0.0f, 295.86f)
                verticalLineToRelative(70.25f)
                curveTo(0.0f, 429.01f, 51.58f, 480.0f, 115.2f, 480.0f)
                horizontalLineToRelative(37.12f)
                curveToRelative(60.28f, 0.0f, 110.37f, -45.94f, 114.88f, -105.37f)
                lineToRelative(2.93f, -38.63f)
                horizontalLineToRelative(35.75f)
                lineToRelative(2.93f, 38.63f)
                curveTo(313.31f, 434.06f, 363.4f, 480.0f, 423.68f, 480.0f)
                horizontalLineToRelative(37.12f)
                curveToRelative(63.62f, 0.0f, 115.2f, -50.99f, 115.2f, -113.88f)
                verticalLineToRelative(-70.25f)
                curveToRelative(0.0f, -5.23f, -0.64f, -10.43f, -1.9f, -15.5f)
                close()
                moveTo(203.38f, 369.79f)
                curveToRelative(-1.97f, 25.91f, -24.4f, 46.21f, -51.06f, 46.21f)
                lineTo(115.2f, 416.0f)
                curveTo(86.97f, 416.0f, 64.0f, 393.62f, 64.0f, 366.11f)
                verticalLineToRelative(-37.54f)
                curveToRelative(18.12f, -6.49f, 43.42f, -12.92f, 72.58f, -12.92f)
                curveToRelative(23.86f, 0.0f, 47.26f, 4.33f, 69.93f, 12.92f)
                lineToRelative(-3.13f, 41.22f)
                close()
                moveTo(512.0f, 366.12f)
                curveToRelative(0.0f, 27.51f, -22.97f, 49.88f, -51.2f, 49.88f)
                horizontalLineToRelative(-37.12f)
                curveToRelative(-26.67f, 0.0f, -49.1f, -20.3f, -51.06f, -46.21f)
                lineToRelative(-3.13f, -41.22f)
                curveToRelative(22.67f, -8.59f, 46.08f, -12.92f, 69.95f, -12.92f)
                curveToRelative(29.12f, 0.0f, 54.43f, 6.44f, 72.55f, 12.93f)
                verticalLineToRelative(37.54f)
                close()
            }
        }
        .build()
        return _glasses!!
    }

private var _glasses: ImageVector? = null
