package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Torah: ImageVector
    get() {
        if (_torah != null) {
            return _torah!!
        }
        _torah = Builder(name = "Torah", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(320.05f, 366.48f)
                lineToRelative(17.72f, -29.64f)
                horizontalLineToRelative(-35.46f)
                close()
                moveTo(419.26f, 200.48f)
                lineTo(382.4f, 200.48f)
                lineToRelative(18.46f, 30.82f)
                close()
                moveTo(48.0f, 0.0f)
                curveTo(21.49f, 0.0f, 0.0f, 14.33f, 0.0f, 32.0f)
                verticalLineToRelative(448.0f)
                curveToRelative(0.0f, 17.67f, 21.49f, 32.0f, 48.0f, 32.0f)
                reflectiveCurveToRelative(48.0f, -14.33f, 48.0f, -32.0f)
                lineTo(96.0f, 32.0f)
                curveTo(96.0f, 14.33f, 74.51f, 0.0f, 48.0f, 0.0f)
                close()
                moveTo(220.74f, 311.5f)
                horizontalLineToRelative(36.85f)
                lineToRelative(-18.46f, -30.82f)
                close()
                moveTo(382.45f, 311.5f)
                horizontalLineToRelative(36.86f)
                lineToRelative(-18.45f, -30.8f)
                close()
                moveTo(128.0f, 464.0f)
                horizontalLineToRelative(384.0f)
                lineTo(512.0f, 48.0f)
                lineTo(128.0f, 48.0f)
                close()
                moveTo(194.77f, 185.87f)
                arcToRelative(21.22f, 21.22f, 0.0f, false, true, 18.48f, -10.71f)
                horizontalLineToRelative(59.45f)
                lineToRelative(29.13f, -48.71f)
                arcToRelative(21.13f, 21.13f, 0.0f, false, true, 18.22f, -10.37f)
                arcTo(20.76f, 20.76f, 0.0f, false, true, 338.0f, 126.29f)
                lineToRelative(29.25f, 48.86f)
                horizontalLineToRelative(59.52f)
                arcToRelative(21.12f, 21.12f, 0.0f, false, true, 18.1f, 32.0f)
                lineTo(415.63f, 256.0f)
                lineTo(445.0f, 305.0f)
                arcToRelative(20.69f, 20.69f, 0.0f, false, true, 0.24f, 21.12f)
                arcToRelative(21.25f, 21.25f, 0.0f, false, true, -18.48f, 10.72f)
                horizontalLineToRelative(-59.47f)
                lineToRelative(-29.13f, 48.7f)
                arcToRelative(21.13f, 21.13f, 0.0f, false, true, -18.16f, 10.4f)
                arcToRelative(20.79f, 20.79f, 0.0f, false, true, -18.0f, -10.22f)
                lineToRelative(-29.25f, -48.88f)
                horizontalLineToRelative(-59.5f)
                arcToRelative(21.11f, 21.11f, 0.0f, false, true, -18.1f, -32.0f)
                lineTo(224.36f, 256.0f)
                lineTo(195.0f, 207.0f)
                arcToRelative(20.7f, 20.7f, 0.0f, false, true, -0.23f, -21.13f)
                close()
                moveTo(592.0f, 0.0f)
                curveToRelative(-26.51f, 0.0f, -48.0f, 14.33f, -48.0f, 32.0f)
                verticalLineToRelative(448.0f)
                curveToRelative(0.0f, 17.67f, 21.49f, 32.0f, 48.0f, 32.0f)
                reflectiveCurveToRelative(48.0f, -14.33f, 48.0f, -32.0f)
                lineTo(640.0f, 32.0f)
                curveToRelative(0.0f, -17.67f, -21.49f, -32.0f, -48.0f, -32.0f)
                close()
                moveTo(320.0f, 145.53f)
                lineToRelative(-17.78f, 29.62f)
                horizontalLineToRelative(35.46f)
                close()
                moveTo(257.55f, 200.53f)
                horizontalLineToRelative(-36.81f)
                lineToRelative(18.44f, 30.8f)
                close()
                moveTo(287.13f, 311.53f)
                horizontalLineToRelative(65.79f)
                lineTo(386.09f, 256.0f)
                lineToRelative(-33.23f, -55.52f)
                horizontalLineToRelative(-65.79f)
                lineTo(253.9f, 256.0f)
                close()
            }
        }
        .build()
        return _torah!!
    }

private var _torah: ImageVector? = null
