package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Assemblyscript: ImageVector
    get() {
        if (_assemblyscript != null) {
            return _assemblyscript!!
        }
        _assemblyscript = Builder(name = "Assemblyscript", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.0f, 0.0f)
                verticalLineToRelative(24.0f)
                horizontalLineToRelative(24.0f)
                lineTo(24.0f, 0.0f)
                horizontalLineToRelative(-9.225f)
                curveToRelative(0.0f, 1.406f, -1.04f, 2.813f, -2.756f, 2.813f)
                arcTo(2.766f, 2.766f, 0.0f, false, true, 9.234f, 0.0f)
                close()
                moveTo(18.204f, 10.947f)
                curveToRelative(0.707f, 0.0f, 1.314f, 0.137f, 1.82f, 0.412f)
                curveToRelative(0.517f, 0.264f, 0.96f, 0.717f, 1.33f, 1.361f)
                lineToRelative(-1.726f, 1.108f)
                curveToRelative(-0.19f, -0.338f, -0.395f, -0.58f, -0.617f, -0.728f)
                arcToRelative(1.422f, 1.422f, 0.0f, false, false, -0.807f, -0.222f)
                curveToRelative(-0.327f, 0.0f, -0.586f, 0.09f, -0.776f, 0.27f)
                arcToRelative(0.896f, 0.896f, 0.0f, false, false, -0.285f, 0.68f)
                curveToRelative(0.0f, 0.337f, 0.106f, 0.596f, 0.317f, 0.775f)
                curveToRelative(0.222f, 0.17f, 0.57f, 0.36f, 1.045f, 0.57f)
                lineToRelative(0.554f, 0.238f)
                curveToRelative(0.474f, 0.2f, 0.891f, 0.411f, 1.25f, 0.633f)
                curveToRelative(0.37f, 0.21f, 0.675f, 0.453f, 0.918f, 0.728f)
                curveToRelative(0.253f, 0.264f, 0.443f, 0.57f, 0.57f, 0.918f)
                curveToRelative(0.137f, 0.337f, 0.206f, 0.738f, 0.206f, 1.203f)
                arcToRelative(3.0f, 3.0f, 0.0f, false, true, -0.285f, 1.33f)
                curveToRelative(-0.18f, 0.38f, -0.433f, 0.701f, -0.76f, 0.965f)
                arcToRelative(3.419f, 3.419f, 0.0f, false, true, -1.171f, 0.601f)
                curveToRelative(-0.443f, 0.127f, -0.929f, 0.19f, -1.456f, 0.19f)
                arcToRelative(5.31f, 5.31f, 0.0f, false, true, -1.41f, -0.174f)
                arcToRelative(4.624f, 4.624f, 0.0f, false, true, -1.139f, -0.475f)
                arcToRelative(3.922f, 3.922f, 0.0f, false, true, -0.886f, -0.712f)
                arcToRelative(4.48f, 4.48f, 0.0f, false, true, -0.602f, -0.902f)
                lineTo(16.1f, 18.67f)
                curveToRelative(0.242f, 0.39f, 0.527f, 0.712f, 0.855f, 0.966f)
                curveToRelative(0.337f, 0.253f, 0.78f, 0.38f, 1.33f, 0.38f)
                curveToRelative(0.463f, 0.0f, 0.827f, -0.1f, 1.091f, -0.301f)
                curveToRelative(0.275f, -0.211f, 0.412f, -0.475f, 0.412f, -0.792f)
                curveToRelative(0.0f, -0.38f, -0.143f, -0.664f, -0.428f, -0.854f)
                curveToRelative(-0.285f, -0.19f, -0.68f, -0.396f, -1.187f, -0.618f)
                lineToRelative(-0.554f, -0.237f)
                arcToRelative(8.12f, 8.12f, 0.0f, false, true, -1.092f, -0.554f)
                arcToRelative(3.64f, 3.64f, 0.0f, false, true, -0.839f, -0.696f)
                arcToRelative(2.887f, 2.887f, 0.0f, false, true, -0.538f, -0.903f)
                arcToRelative(3.375f, 3.375f, 0.0f, false, true, -0.19f, -1.187f)
                curveToRelative(0.0f, -0.411f, 0.074f, -0.796f, 0.222f, -1.155f)
                arcToRelative(2.91f, 2.91f, 0.0f, false, true, 0.649f, -0.934f)
                curveToRelative(0.285f, -0.264f, 0.628f, -0.47f, 1.029f, -0.617f)
                curveToRelative(0.4f, -0.148f, 0.849f, -0.222f, 1.345f, -0.222f)
                close()
                moveTo(9.408f, 10.979f)
                horizontalLineToRelative(0.19f)
                lineToRelative(4.922f, 10.858f)
                horizontalLineToRelative(-2.327f)
                lineToRelative(-0.506f, -1.219f)
                lineTo(7.318f, 20.618f)
                lineToRelative(-0.506f, 1.219f)
                lineTo(4.675f, 21.837f)
                close()
                moveTo(9.471f, 14.967f)
                arcToRelative(22.21f, 22.21f, 0.0f, false, true, -0.206f, 0.697f)
                lineToRelative(-0.205f, 0.649f)
                arcToRelative(6.979f, 6.979f, 0.0f, false, true, -0.222f, 0.585f)
                lineToRelative(-0.776f, 1.868f)
                horizontalLineToRelative(2.834f)
                lineToRelative(-0.776f, -1.868f)
                arcToRelative(15.492f, 15.492f, 0.0f, false, true, -0.237f, -0.633f)
                arcToRelative(23.741f, 23.741f, 0.0f, false, true, -0.412f, -1.298f)
                close()
            }
        }
        .build()
        return _assemblyscript!!
    }

private var _assemblyscript: ImageVector? = null
