package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Bbc: ImageVector
    get() {
        if (_bbc != null) {
            return _bbc!!
        }
        _bbc = Builder(name = "Bbc", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp, viewportWidth
                = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.004f, 13.0f)
                curveToRelative(0.0f, 0.744f, -0.925f, 0.7f, -0.925f, 0.7f)
                horizontalLineToRelative(-0.925f)
                verticalLineToRelative(-1.343f)
                horizontalLineToRelative(0.925f)
                curveToRelative(0.952f, -0.007f, 0.925f, 0.644f, 0.925f, 0.644f)
                moveToRelative(-1.85f, -2.693f)
                horizontalLineToRelative(0.704f)
                curveToRelative(0.732f, 0.04f, 0.705f, 0.584f, 0.705f, 0.584f)
                curveToRelative(0.0f, 0.677f, -0.81f, 0.688f, -0.81f, 0.688f)
                horizontalLineToRelative(-0.6f)
                close()
                moveTo(12.833f, 11.844f)
                reflectiveCurveToRelative(0.633f, -0.27f, 0.627f, -0.985f)
                curveToRelative(0.0f, 0.0f, 0.096f, -1.173f, -1.458f, -1.316f)
                horizontalLineToRelative(-1.724f)
                verticalLineToRelative(4.917f)
                horizontalLineToRelative(1.977f)
                reflectiveCurveToRelative(1.65f, 0.004f, 1.65f, -1.388f)
                curveToRelative(0.0f, 0.0f, 0.04f, -0.947f, -1.072f, -1.228f)
                moveTo(8.37f, 8.58f)
                horizontalLineToRelative(7.258f)
                verticalLineToRelative(6.84f)
                lineTo(8.371f, 15.42f)
                close()
                moveTo(4.633f, 13.0f)
                curveToRelative(0.0f, 0.744f, -0.925f, 0.7f, -0.925f, 0.7f)
                horizontalLineToRelative(-0.925f)
                verticalLineToRelative(-1.343f)
                horizontalLineToRelative(0.925f)
                curveToRelative(0.952f, -0.007f, 0.925f, 0.644f, 0.925f, 0.644f)
                moveToRelative(-1.85f, -2.693f)
                horizontalLineToRelative(0.705f)
                curveToRelative(0.732f, 0.04f, 0.704f, 0.584f, 0.704f, 0.584f)
                curveToRelative(0.0f, 0.677f, -0.81f, 0.688f, -0.81f, 0.688f)
                horizontalLineToRelative(-0.599f)
                close()
                moveTo(4.462f, 11.844f)
                reflectiveCurveToRelative(0.633f, -0.27f, 0.627f, -0.985f)
                curveToRelative(0.0f, 0.0f, 0.097f, -1.173f, -1.457f, -1.316f)
                lineTo(1.908f, 9.543f)
                verticalLineToRelative(4.917f)
                horizontalLineToRelative(1.976f)
                reflectiveCurveToRelative(1.651f, 0.004f, 1.651f, -1.388f)
                curveToRelative(0.0f, 0.0f, 0.04f, -0.947f, -1.073f, -1.228f)
                moveTo(0.0f, 8.58f)
                horizontalLineToRelative(7.259f)
                verticalLineToRelative(6.84f)
                lineTo(0.0f, 15.42f)
                close()
                moveTo(22.52f, 9.896f)
                verticalLineToRelative(0.908f)
                reflectiveCurveToRelative(-0.887f, -0.545f, -1.867f, -0.556f)
                curveToRelative(0.0f, 0.0f, -1.828f, -0.036f, -1.91f, 1.752f)
                curveToRelative(0.0f, 0.0f, -0.066f, 1.645f, 1.888f, 1.738f)
                curveToRelative(0.0f, 0.0f, 0.82f, 0.099f, 1.932f, -0.61f)
                verticalLineToRelative(0.94f)
                reflectiveCurveToRelative(-1.492f, 0.887f, -3.22f, 0.204f)
                curveToRelative(0.0f, 0.0f, -1.454f, -0.53f, -1.509f, -2.272f)
                curveToRelative(0.0f, 0.0f, -0.06f, -1.79f, 1.878f, -2.385f)
                curveToRelative(0.0f, 0.0f, 0.517f, -0.198f, 1.447f, -0.11f)
                curveToRelative(0.0f, 0.0f, 0.556f, 0.055f, 1.36f, 0.39f)
                moveToRelative(-5.778f, 5.525f)
                lineTo(24.0f, 15.42f)
                lineTo(24.0f, 8.58f)
                horizontalLineToRelative(-7.259f)
                close()
            }
        }
        .build()
        return _bbc!!
    }

private var _bbc: ImageVector? = null
