package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Civicrm: ImageVector
    get() {
        if (_civicrm != null) {
            return _civicrm!!
        }
        _civicrm = Builder(name = "Civicrm", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(22.565f, 9.054f)
                curveToRelative(0.248f, -0.477f, 0.45f, -1.125f, 0.235f, -1.786f)
                curveToRelative(-0.25f, -0.766f, -0.939f, -1.275f, -2.051f, -1.511f)
                lineToRelative(-7.052f, -1.5f)
                lineTo(6.496f, 0.405f)
                curveTo(6.418f, 0.363f, 5.717f, 0.0f, 4.951f, 0.0f)
                curveTo(4.38f, 0.0f, 3.888f, 0.198f, 3.527f, 0.571f)
                curveToRelative(-0.337f, 0.349f, -0.539f, 0.834f, -0.603f, 1.444f)
                arcToRelative(3.184f, 3.184f, 0.0f, false, false, -0.199f, -0.006f)
                curveToRelative(-1.089f, 0.0f, -1.648f, 0.456f, -1.926f, 0.839f)
                curveTo(0.369f, 3.44f, 0.315f, 4.241f, 0.638f, 5.23f)
                lineToRelative(2.649f, 8.118f)
                lineToRelative(0.251f, 7.033f)
                curveToRelative(0.044f, 1.222f, 0.719f, 2.536f, 2.098f, 2.537f)
                curveToRelative(0.264f, 0.0f, 0.537f, -0.051f, 0.82f, -0.15f)
                curveToRelative(0.328f, 0.556f, 0.92f, 1.232f, 1.864f, 1.232f)
                curveToRelative(0.666f, 0.0f, 1.324f, -0.357f, 1.956f, -1.063f)
                lineToRelative(5.11f, -5.697f)
                lineToRelative(6.783f, -4.283f)
                curveToRelative(0.147f, -0.094f, 1.444f, -0.95f, 1.398f, -2.229f)
                curveToRelative(-0.022f, -0.642f, -0.362f, -1.202f, -1.002f, -1.674f)
                close()
                moveTo(7.396f, 20.166f)
                lineToRelative(-2.328f, -7.134f)
                lineToRelative(-0.316f, -8.847f)
                lineToRelative(8.326f, 1.771f)
                lineToRelative(6.771f, 3.622f)
                lineToRelative(-5.63f, 6.279f)
                lineToRelative(-6.823f, 4.309f)
                close()
                moveTo(20.377f, 7.51f)
                curveToRelative(0.545f, 0.116f, 0.709f, 0.279f, 0.72f, 0.313f)
                curveToRelative(0.021f, 0.063f, -0.017f, 0.196f, -0.087f, 0.344f)
                lineToRelative(-1.623f, -0.868f)
                lineToRelative(0.99f, 0.211f)
                close()
                moveTo(4.951f, 1.792f)
                curveToRelative(0.269f, 0.0f, 0.607f, 0.145f, 0.7f, 0.193f)
                lineToRelative(1.738f, 0.929f)
                lineToRelative(-2.693f, -0.573f)
                curveToRelative(0.013f, -0.323f, 0.08f, -0.484f, 0.12f, -0.526f)
                curveToRelative(0.012f, -0.011f, 0.062f, -0.023f, 0.135f, -0.023f)
                close()
                moveTo(2.341f, 4.674f)
                curveToRelative(-0.195f, -0.595f, -0.093f, -0.773f, -0.092f, -0.774f)
                curveToRelative(0.019f, -0.026f, 0.167f, -0.099f, 0.476f, -0.099f)
                curveToRelative(0.083f, 0.0f, 0.159f, 0.005f, 0.221f, 0.011f)
                lineToRelative(0.109f, 3.05f)
                lineToRelative(-0.714f, -2.188f)
                close()
                moveTo(5.329f, 20.316f)
                lineToRelative(-0.029f, -0.798f)
                lineToRelative(0.514f, 1.574f)
                arcToRelative(0.68f, 0.68f, 0.0f, false, true, -0.178f, 0.034f)
                curveToRelative(-0.146f, 0.0f, -0.293f, -0.5f, -0.307f, -0.81f)
                close()
                moveTo(8.943f, 21.74f)
                curveToRelative(-0.414f, 0.463f, -0.62f, 0.468f, -0.622f, 0.468f)
                curveToRelative(-0.058f, 0.0f, -0.185f, -0.132f, -0.301f, -0.317f)
                lineToRelative(1.818f, -1.148f)
                lineToRelative(-0.895f, 0.997f)
                close()
                moveTo(21.213f, 11.441f)
                lineToRelative(-1.445f, 0.913f)
                lineToRelative(1.695f, -1.89f)
                curveToRelative(0.249f, 0.174f, 0.313f, 0.298f, 0.314f, 0.329f)
                curveToRelative(0.006f, 0.133f, -0.287f, 0.468f, -0.564f, 0.648f)
                close()
            }
        }
        .build()
        return _civicrm!!
    }

private var _civicrm: ImageVector? = null
