package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Dacia: ImageVector
    get() {
        if (_dacia != null) {
            return _dacia!!
        }
        _dacia = Builder(name = "Dacia", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.48f, 10.112f)
                verticalLineToRelative(3.884f)
                horizontalLineToRelative(-1.11f)
                verticalLineToRelative(-3.884f)
                horizontalLineToRelative(1.11f)
                close()
                moveTo(15.558f, 10.072f)
                verticalLineToRelative(0.789f)
                horizontalLineToRelative(-2.232f)
                curveToRelative(-0.068f, 0.002f, -1.06f, 0.047f, -1.06f, 1.173f)
                curveToRelative(0.0f, 0.928f, 0.697f, 1.174f, 1.065f, 1.174f)
                horizontalLineToRelative(2.226f)
                verticalLineToRelative(0.788f)
                horizontalLineToRelative(-2.42f)
                curveToRelative(-0.143f, 0.0f, -0.646f, -0.019f, -1.12f, -0.268f)
                curveToRelative(-0.608f, -0.319f, -0.916f, -0.877f, -0.916f, -1.66f)
                curveToRelative(0.0f, -0.826f, 0.341f, -1.412f, 1.015f, -1.743f)
                curveToRelative(0.489f, -0.24f, 0.982f, -0.254f, 1.047f, -0.255f)
                horizontalLineToRelative(2.395f)
                close()
                moveTo(2.928f, 10.071f)
                curveToRelative(0.143f, 0.0f, 0.646f, 0.019f, 1.12f, 0.268f)
                curveToRelative(0.608f, 0.319f, 0.916f, 0.877f, 0.916f, 1.66f)
                curveToRelative(0.0f, 0.826f, -0.341f, 1.412f, -1.015f, 1.743f)
                curveToRelative(-0.489f, 0.24f, -0.982f, 0.254f, -1.046f, 0.255f)
                lineTo(0.0f, 13.997f)
                verticalLineToRelative(-3.923f)
                horizontalLineToRelative(2.928f)
                close()
                moveTo(21.119f, 10.004f)
                curveToRelative(0.059f, 0.0f, 0.118f, 0.002f, 0.176f, 0.007f)
                curveToRelative(0.506f, 0.047f, 0.749f, 0.234f, 0.784f, 0.259f)
                curveToRelative(0.198f, 0.15f, 0.386f, 0.47f, 0.494f, 0.676f)
                curveToRelative(0.175f, 0.358f, 0.348f, 0.717f, 0.519f, 1.077f)
                curveToRelative(0.255f, 0.537f, 0.586f, 1.243f, 0.908f, 1.974f)
                horizontalLineToRelative(-1.198f)
                lineToRelative(-0.13f, -0.274f)
                lineToRelative(-0.029f, -0.062f)
                lineToRelative(-0.213f, -0.453f)
                horizontalLineToRelative(-2.648f)
                lineToRelative(-0.213f, 0.453f)
                lineToRelative(-0.029f, 0.062f)
                lineToRelative(-0.13f, 0.274f)
                horizontalLineToRelative(-1.2f)
                curveToRelative(0.322f, -0.731f, 0.653f, -1.437f, 0.908f, -1.974f)
                curveToRelative(0.168f, -0.354f, 0.335f, -0.699f, 0.519f, -1.077f)
                curveToRelative(0.108f, -0.205f, 0.296f, -0.525f, 0.494f, -0.676f)
                curveToRelative(0.035f, -0.024f, 0.278f, -0.212f, 0.784f, -0.259f)
                curveToRelative(0.058f, -0.005f, 0.117f, -0.007f, 0.176f, -0.007f)
                horizontalLineToRelative(0.028f)
                close()
                moveTo(8.025f, 10.004f)
                curveToRelative(0.059f, 0.0f, 0.118f, 0.002f, 0.176f, 0.007f)
                curveToRelative(0.506f, 0.047f, 0.749f, 0.234f, 0.784f, 0.259f)
                curveToRelative(0.198f, 0.15f, 0.386f, 0.47f, 0.494f, 0.676f)
                curveToRelative(0.175f, 0.358f, 0.348f, 0.717f, 0.519f, 1.077f)
                curveToRelative(0.255f, 0.537f, 0.586f, 1.243f, 0.908f, 1.974f)
                lineTo(9.707f, 13.997f)
                lineToRelative(-0.13f, -0.274f)
                lineToRelative(-0.029f, -0.062f)
                lineToRelative(-0.213f, -0.453f)
                lineTo(6.686f, 13.208f)
                lineToRelative(-0.213f, 0.453f)
                lineToRelative(-0.029f, 0.062f)
                lineToRelative(-0.13f, 0.274f)
                lineTo(5.116f, 13.997f)
                curveToRelative(0.322f, -0.731f, 0.653f, -1.437f, 0.908f, -1.974f)
                curveToRelative(0.168f, -0.354f, 0.335f, -0.699f, 0.519f, -1.077f)
                curveToRelative(0.107f, -0.206f, 0.296f, -0.526f, 0.493f, -0.676f)
                curveToRelative(0.035f, -0.024f, 0.278f, -0.212f, 0.784f, -0.259f)
                curveToRelative(0.058f, -0.005f, 0.117f, -0.007f, 0.176f, -0.007f)
                horizontalLineToRelative(0.029f)
                close()
                moveTo(2.734f, 10.86f)
                lineTo(1.08f, 10.86f)
                verticalLineToRelative(2.347f)
                horizontalLineToRelative(1.659f)
                curveToRelative(0.068f, -0.002f, 1.06f, -0.048f, 1.06f, -1.173f)
                curveToRelative(0.0f, -0.928f, -0.697f, -1.174f, -1.065f, -1.174f)
                close()
                moveTo(21.105f, 10.887f)
                curveToRelative(-0.206f, 0.0f, -0.28f, 0.096f, -0.327f, 0.154f)
                arcToRelative(2.852f, 2.852f, 0.0f, false, false, -0.145f, 0.296f)
                lineToRelative(-0.194f, 0.433f)
                lineToRelative(-0.03f, 0.067f)
                lineToRelative(-0.015f, 0.034f)
                lineToRelative(-0.03f, 0.067f)
                lineToRelative(-0.199f, 0.439f)
                lineToRelative(-0.015f, 0.033f)
                lineToRelative(-0.024f, 0.054f)
                horizontalLineToRelative(1.96f)
                reflectiveCurveToRelative(-0.366f, -0.81f, -0.507f, -1.126f)
                curveToRelative(0.0f, 0.0f, -0.111f, -0.252f, -0.145f, -0.296f)
                curveToRelative(-0.048f, -0.059f, -0.123f, -0.155f, -0.329f, -0.155f)
                close()
                moveTo(8.01f, 10.887f)
                curveToRelative(-0.206f, 0.0f, -0.28f, 0.096f, -0.327f, 0.154f)
                arcToRelative(2.852f, 2.852f, 0.0f, false, false, -0.145f, 0.296f)
                lineToRelative(-0.194f, 0.433f)
                lineToRelative(-0.03f, 0.067f)
                lineToRelative(-0.016f, 0.033f)
                lineToRelative(-0.03f, 0.067f)
                lineToRelative(-0.199f, 0.439f)
                lineToRelative(-0.015f, 0.033f)
                lineToRelative(-0.024f, 0.054f)
                horizontalLineToRelative(1.96f)
                lineToRelative(-0.238f, -0.527f)
                lineToRelative(-0.03f, -0.067f)
                lineToRelative(-0.24f, -0.533f)
                reflectiveCurveToRelative(-0.111f, -0.252f, -0.145f, -0.296f)
                curveToRelative(-0.046f, -0.057f, -0.121f, -0.153f, -0.327f, -0.153f)
                close()
            }
        }
        .build()
        return _dacia!!
    }

private var _dacia: ImageVector? = null
