package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Fastlane: ImageVector
    get() {
        if (_fastlane != null) {
            return _fastlane!!
        }
        _fastlane = Builder(name = "Fastlane", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.144f, 19.182f)
                arcToRelative(1.445f, 1.445f, 0.0f, false, false, -1.237f, -0.868f)
                lineToRelative(-1.615f, -4.976f)
                lineToRelative(-0.37f, -1.135f)
                curveToRelative(-0.017f, 0.01f, -0.112f, 0.052f, -0.13f, 0.06f)
                curveToRelative(-0.008f, 0.01f, -0.025f, 0.01f, -0.033f, 0.018f)
                arcToRelative(0.366f, 0.366f, 0.0f, false, false, -0.07f, 0.037f)
                arcToRelative(0.472f, 0.472f, 0.0f, false, true, -0.102f, 0.043f)
                curveToRelative(-0.043f, 0.016f, -0.078f, 0.034f, -0.12f, 0.042f)
                curveToRelative(-0.035f, 0.01f, -0.07f, 0.027f, -0.104f, 0.036f)
                curveToRelative(-0.04f, 0.01f, -0.083f, 0.025f, -0.126f, 0.034f)
                curveToRelative(-0.034f, 0.01f, -0.068f, 0.017f, -0.103f, 0.026f)
                arcToRelative(0.584f, 0.584f, 0.0f, false, true, -0.137f, 0.017f)
                curveToRelative(-0.035f, 0.01f, -0.07f, 0.01f, -0.103f, 0.017f)
                curveToRelative(-0.028f, 0.0f, -0.054f, 0.0f, -0.08f, 0.01f)
                horizontalLineToRelative(-0.16f)
                curveToRelative(-0.052f, 0.0f, -0.095f, 0.0f, -0.146f, -0.01f)
                curveToRelative(-0.035f, 0.0f, -0.07f, 0.0f, -0.095f, -0.01f)
                lineToRelative(-0.165f, -0.025f)
                curveToRelative(-0.026f, -0.01f, -0.052f, -0.01f, -0.086f, -0.017f)
                arcToRelative(2.456f, 2.456f, 0.0f, false, true, -0.25f, -0.06f)
                arcToRelative(2.498f, 2.498f, 0.0f, false, true, -1.633f, -3.137f)
                curveTo(1.7f, 7.97f, 3.102f, 7.23f, 4.417f, 7.65f)
                lineToRelative(0.344f, -1.1f)
                arcTo(3.673f, 3.673f, 0.0f, false, false, 0.167f, 8.94f)
                arcToRelative(3.674f, 3.674f, 0.0f, false, false, 2.39f, 4.59f)
                arcToRelative(3.877f, 3.877f, 0.0f, false, false, 1.624f, 0.128f)
                lineToRelative(1.634f, 5.035f)
                arcToRelative(1.432f, 1.432f, 0.0f, false, false, -0.232f, 0.267f)
                arcToRelative(1.47f, 1.47f, 0.0f, false, false, 0.387f, 2.053f)
                arcToRelative(1.47f, 1.47f, 0.0f, false, false, 2.2f, -0.662f)
                arcToRelative(1.572f, 1.572f, 0.0f, false, false, -0.03f, -1.167f)
                close()
                moveTo(11.901f, 0.412f)
                arcToRelative(3.656f, 3.656f, 0.0f, false, false, -3.62f, 3.697f)
                curveToRelative(0.01f, 0.54f, 0.147f, 1.09f, 0.38f, 1.58f)
                lineTo(4.381f, 8.8f)
                arcToRelative(1.468f, 1.468f, 0.0f, false, false, -0.327f, -0.138f)
                arcToRelative(1.47f, 1.47f, 0.0f, false, false, -1.83f, 0.997f)
                curveToRelative(-0.233f, 0.78f, 0.214f, 1.596f, 0.996f, 1.83f)
                curveToRelative(0.103f, 0.032f, 0.207f, 0.05f, 0.31f, 0.05f)
                curveToRelative(0.404f, 0.025f, 0.8f, -0.11f, 1.09f, -0.38f)
                curveToRelative(0.2f, -0.18f, 0.354f, -0.4f, 0.43f, -0.678f)
                arcToRelative(1.44f, 1.44f, 0.0f, false, false, 0.018f, -0.764f)
                lineToRelative(4.237f, -3.08f)
                lineToRelative(0.962f, -0.702f)
                curveToRelative(-0.017f, -0.018f, -0.077f, -0.086f, -0.094f, -0.103f)
                lineToRelative(-0.026f, -0.026f)
                curveToRelative(-0.017f, -0.018f, -0.035f, -0.036f, -0.052f, -0.06f)
                arcToRelative(0.46f, 0.46f, 0.0f, false, true, -0.07f, -0.087f)
                arcToRelative(1.952f, 1.952f, 0.0f, false, false, -0.076f, -0.103f)
                curveToRelative(-0.026f, -0.026f, -0.043f, -0.06f, -0.07f, -0.086f)
                arcToRelative(1.027f, 1.027f, 0.0f, false, true, -0.068f, -0.11f)
                arcToRelative(0.56f, 0.56f, 0.0f, false, false, -0.06f, -0.096f)
                arcToRelative(0.746f, 0.746f, 0.0f, false, true, -0.06f, -0.12f)
                curveToRelative(-0.017f, -0.034f, -0.034f, -0.06f, -0.043f, -0.095f)
                lineToRelative(-0.026f, -0.07f)
                curveToRelative(-0.006f, -0.017f, -0.014f, -0.042f, -0.023f, -0.06f)
                curveToRelative(-0.01f, -0.034f, -0.025f, -0.07f, -0.034f, -0.094f)
                curveToRelative(-0.016f, -0.044f, -0.025f, -0.096f, -0.042f, -0.147f)
                lineToRelative(-0.025f, -0.096f)
                curveToRelative(-0.01f, -0.05f, -0.017f, -0.11f, -0.026f, -0.163f)
                curveToRelative(0.0f, -0.025f, -0.01f, -0.05f, -0.018f, -0.085f)
                arcToRelative(2.269f, 2.269f, 0.0f, false, true, -0.017f, -0.26f)
                arcToRelative(2.502f, 2.502f, 0.0f, false, true, 2.475f, -2.526f)
                arcToRelative(2.502f, 2.502f, 0.0f, false, true, 2.526f, 2.475f)
                lineToRelative(1.152f, -0.01f)
                curveTo(15.576f, 2.01f, 13.92f, 0.386f, 11.9f, 0.41f)
                close()
                moveTo(23.809f, 9.076f)
                arcToRelative(3.664f, 3.664f, 0.0f, false, false, -4.632f, -2.303f)
                arcToRelative(3.803f, 3.803f, 0.0f, false, false, -1.385f, 0.851f)
                lineToRelative(-4.28f, -3.109f)
                curveToRelative(0.026f, -0.113f, 0.034f, -0.233f, 0.034f, -0.354f)
                arcToRelative(1.483f, 1.483f, 0.0f, false, false, -1.512f, -1.435f)
                arcToRelative(1.483f, 1.483f, 0.0f, false, false, -1.436f, 1.513f)
                arcToRelative(1.47f, 1.47f, 0.0f, false, false, 0.744f, 1.23f)
                curveToRelative(0.232f, 0.128f, 0.5f, 0.205f, 0.782f, 0.197f)
                curveToRelative(0.267f, -0.01f, 0.525f, -0.086f, 0.73f, -0.224f)
                lineToRelative(4.239f, 3.077f)
                lineToRelative(0.962f, 0.705f)
                lineToRelative(0.07f, -0.12f)
                curveToRelative(0.008f, -0.008f, 0.008f, -0.025f, 0.016f, -0.034f)
                curveToRelative(0.008f, -0.027f, 0.025f, -0.044f, 0.034f, -0.07f)
                curveToRelative(0.017f, -0.034f, 0.034f, -0.06f, 0.05f, -0.094f)
                arcToRelative(0.46f, 0.46f, 0.0f, false, false, 0.07f, -0.112f)
                lineToRelative(0.06f, -0.085f)
                curveToRelative(0.026f, -0.035f, 0.052f, -0.07f, 0.086f, -0.104f)
                curveToRelative(0.026f, -0.026f, 0.043f, -0.05f, 0.07f, -0.086f)
                lineToRelative(0.094f, -0.095f)
                lineToRelative(0.077f, -0.078f)
                curveToRelative(0.018f, -0.017f, 0.035f, -0.034f, 0.06f, -0.05f)
                curveToRelative(0.018f, -0.018f, 0.036f, -0.027f, 0.053f, -0.044f)
                arcToRelative(0.282f, 0.282f, 0.0f, false, true, 0.086f, -0.06f)
                curveToRelative(0.04f, -0.026f, 0.084f, -0.052f, 0.12f, -0.078f)
                arcToRelative(0.528f, 0.528f, 0.0f, false, true, 0.084f, -0.05f)
                curveToRelative(0.052f, -0.027f, 0.094f, -0.053f, 0.146f, -0.08f)
                curveToRelative(0.026f, -0.008f, 0.052f, -0.025f, 0.077f, -0.033f)
                arcToRelative(2.51f, 2.51f, 0.0f, false, true, 3.412f, 1.477f)
                arcToRelative(2.507f, 2.507f, 0.0f, false, true, -1.572f, 3.17f)
                lineToRelative(0.37f, 1.09f)
                curveToRelative(1.9f, -0.627f, 2.93f, -2.7f, 2.294f, -4.615f)
                close()
                moveTo(21.643f, 9.696f)
                arcToRelative(1.474f, 1.474f, 0.0f, false, false, -1.881f, -0.895f)
                arcToRelative(1.532f, 1.532f, 0.0f, false, false, -0.284f, 0.14f)
                curveToRelative(-0.344f, 0.214f, -0.584f, 0.56f, -0.662f, 0.945f)
                curveToRelative(-0.05f, 0.258f, -0.043f, 0.533f, 0.052f, 0.8f)
                curveToRelative(0.094f, 0.257f, 0.24f, 0.463f, 0.438f, 0.627f)
                lineToRelative(-1.616f, 4.976f)
                lineToRelative(-0.37f, 1.134f)
                curveToRelative(0.018f, 0.0f, 0.112f, 0.026f, 0.138f, 0.026f)
                curveToRelative(0.017f, 0.0f, 0.026f, 0.0f, 0.043f, 0.01f)
                curveToRelative(0.028f, 0.008f, 0.054f, 0.008f, 0.08f, 0.017f)
                curveToRelative(0.035f, 0.01f, 0.07f, 0.017f, 0.104f, 0.025f)
                curveToRelative(0.043f, 0.01f, 0.086f, 0.026f, 0.13f, 0.035f)
                curveToRelative(0.033f, 0.01f, 0.068f, 0.017f, 0.102f, 0.034f)
                lineToRelative(0.12f, 0.05f)
                curveToRelative(0.035f, 0.018f, 0.07f, 0.027f, 0.103f, 0.044f)
                curveToRelative(0.04f, 0.017f, 0.076f, 0.043f, 0.12f, 0.06f)
                curveToRelative(0.033f, 0.017f, 0.06f, 0.034f, 0.093f, 0.052f)
                curveToRelative(0.026f, 0.01f, 0.043f, 0.025f, 0.06f, 0.043f)
                curveToRelative(0.018f, 0.01f, 0.035f, 0.024f, 0.052f, 0.033f)
                curveToRelative(0.026f, 0.018f, 0.06f, 0.035f, 0.086f, 0.06f)
                arcToRelative(0.58f, 0.58f, 0.0f, false, true, 0.113f, 0.096f)
                curveToRelative(0.025f, 0.016f, 0.05f, 0.042f, 0.077f, 0.06f)
                curveToRelative(0.043f, 0.033f, 0.077f, 0.076f, 0.12f, 0.12f)
                curveToRelative(0.02f, 0.016f, 0.043f, 0.034f, 0.06f, 0.06f)
                curveToRelative(0.06f, 0.06f, 0.11f, 0.13f, 0.164f, 0.197f)
                arcToRelative(2.505f, 2.505f, 0.0f, false, true, -0.516f, 3.497f)
                arcToRelative(2.507f, 2.507f, 0.0f, false, true, -3.5f, -0.515f)
                lineToRelative(-0.927f, 0.686f)
                curveToRelative(1.205f, 1.616f, 3.5f, 1.96f, 5.116f, 0.757f)
                curveToRelative(1.615f, -1.203f, 1.96f, -3.497f, 0.756f, -5.112f)
                arcToRelative(3.82f, 3.82f, 0.0f, false, false, -1.237f, -1.058f)
                lineToRelative(1.632f, -5.036f)
                arcToRelative(1.479f, 1.479f, 0.0f, false, false, 1.238f, -1.968f)
                close()
                moveTo(18.2f, 18.905f)
                arcToRelative(1.446f, 1.446f, 0.0f, false, false, -1.315f, -0.558f)
                arcToRelative(1.38f, 1.38f, 0.0f, false, false, -0.748f, 0.3f)
                curveToRelative(-0.215f, 0.163f, -0.37f, 0.378f, -0.465f, 0.61f)
                lineTo(9.243f, 19.257f)
                curveToRelative(0.0f, 0.017f, 0.01f, 0.12f, 0.02f, 0.137f)
                curveToRelative(0.0f, 0.018f, 0.0f, 0.026f, 0.01f, 0.043f)
                curveToRelative(0.0f, 0.026f, 0.01f, 0.052f, 0.01f, 0.078f)
                curveToRelative(0.0f, 0.034f, 0.007f, 0.07f, 0.007f, 0.112f)
                curveToRelative(0.0f, 0.043f, 0.0f, 0.086f, 0.01f, 0.128f)
                verticalLineToRelative(0.112f)
                curveToRelative(0.0f, 0.043f, -0.01f, 0.086f, -0.01f, 0.13f)
                curveToRelative(0.0f, 0.034f, -0.01f, 0.068f, -0.01f, 0.11f)
                curveToRelative(-0.01f, 0.044f, -0.02f, 0.087f, -0.02f, 0.138f)
                curveToRelative(-0.007f, 0.035f, -0.007f, 0.07f, -0.015f, 0.103f)
                curveToRelative(-0.01f, 0.025f, -0.01f, 0.05f, -0.017f, 0.08f)
                curveToRelative(-0.01f, 0.014f, -0.01f, 0.04f, -0.018f, 0.06f)
                curveToRelative(-0.01f, 0.03f, -0.017f, 0.066f, -0.026f, 0.1f)
                curveToRelative(-0.017f, 0.043f, -0.034f, 0.095f, -0.052f, 0.14f)
                curveToRelative(-0.01f, 0.032f, -0.025f, 0.06f, -0.034f, 0.092f)
                arcToRelative(2.771f, 2.771f, 0.0f, false, true, -0.077f, 0.146f)
                curveToRelative(-0.016f, 0.025f, -0.024f, 0.05f, -0.033f, 0.077f)
                arcToRelative(2.132f, 2.132f, 0.0f, false, true, -0.138f, 0.215f)
                arcToRelative(2.504f, 2.504f, 0.0f, false, true, -3.49f, 0.583f)
                arcToRelative(2.501f, 2.501f, 0.0f, false, true, -0.585f, -3.489f)
                lineToRelative(-0.937f, -0.67f)
                arcToRelative(3.658f, 3.658f, 0.0f, false, false, 0.86f, 5.096f)
                arcToRelative(3.656f, 3.656f, 0.0f, false, false, 5.095f, -0.86f)
                curveToRelative(0.318f, -0.445f, 0.524f, -0.97f, 0.628f, -1.502f)
                horizontalLineToRelative(5.294f)
                arcToRelative(1.479f, 1.479f, 0.0f, false, false, 2.252f, 0.567f)
                curveToRelative(0.61f, -0.508f, 0.73f, -1.436f, 0.232f, -2.08f)
                close()
            }
        }
        .build()
        return _fastlane!!
    }

private var _fastlane: ImageVector? = null
