package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Filezilla: ImageVector
    get() {
        if (_filezilla != null) {
            return _filezilla!!
        }
        _filezilla = Builder(name = "Filezilla", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.999f, 1.861f)
                lineTo(23.999f, 0.803f)
                arcToRelative(0.81f, 0.81f, 0.0f, false, true, -0.568f, -0.236f)
                arcToRelative(0.81f, 0.81f, 0.0f, false, true, -0.234f, -0.567f)
                horizontalLineToRelative(-1.06f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, -1.608f, 0.0f)
                horizontalLineToRelative(-1.06f)
                arcToRelative(0.805f, 0.805f, 0.0f, false, true, -1.608f, 0.0f)
                horizontalLineToRelative(-1.059f)
                arcToRelative(0.807f, 0.807f, 0.0f, false, true, -0.845f, 0.765f)
                arcToRelative(0.808f, 0.808f, 0.0f, false, true, -0.764f, -0.765f)
                horizontalLineToRelative(-1.06f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, -1.609f, 0.0f)
                horizontalLineToRelative(-1.058f)
                arcToRelative(0.805f, 0.805f, 0.0f, false, true, -1.608f, 0.0f)
                horizontalLineToRelative(-1.06f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, -0.825f, 0.774f)
                arcTo(0.803f, 0.803f, 0.0f, false, true, 7.197f, 0.0f)
                horizontalLineToRelative(-1.06f)
                arcTo(0.806f, 0.806f, 0.0f, false, true, 4.53f, 0.0f)
                lineTo(3.47f, 0.0f)
                arcToRelative(0.803f, 0.803f, 0.0f, false, true, -1.607f, 0.0f)
                lineTo(0.803f, 0.0f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, -0.802f, 0.803f)
                lineTo(0.001f, 1.86f)
                arcToRelative(0.804f, 0.804f, 0.0f, false, true, 0.0f, 1.607f)
                verticalLineToRelative(1.06f)
                arcToRelative(0.803f, 0.803f, 0.0f, false, true, 0.0f, 1.607f)
                verticalLineToRelative(1.059f)
                arcToRelative(0.805f, 0.805f, 0.0f, false, true, 0.0f, 1.608f)
                verticalLineToRelative(1.06f)
                arcToRelative(0.803f, 0.803f, 0.0f, true, true, 0.0f, 1.607f)
                verticalLineToRelative(1.06f)
                arcToRelative(0.803f, 0.803f, 0.0f, false, true, 0.0f, 1.606f)
                verticalLineToRelative(1.06f)
                arcToRelative(0.803f, 0.803f, 0.0f, true, true, 0.0f, 1.608f)
                verticalLineToRelative(1.06f)
                curveToRelative(0.444f, 0.017f, 0.79f, 0.388f, 0.774f, 0.83f)
                arcToRelative(0.801f, 0.801f, 0.0f, false, true, -0.774f, 0.775f)
                verticalLineToRelative(1.061f)
                arcToRelative(0.803f, 0.803f, 0.0f, true, true, 0.0f, 1.608f)
                verticalLineToRelative(1.06f)
                arcTo(0.805f, 0.805f, 0.0f, false, true, 0.804f, 24.0f)
                horizontalLineToRelative(1.06f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, 1.607f, 0.0f)
                horizontalLineToRelative(1.06f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, 1.608f, 0.0f)
                horizontalLineToRelative(1.059f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, 1.609f, 0.0f)
                horizontalLineToRelative(1.06f)
                arcToRelative(0.804f, 0.804f, 0.0f, false, true, 1.607f, 0.0f)
                horizontalLineToRelative(1.06f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, 1.607f, 0.0f)
                lineTo(15.2f, 24.0f)
                arcToRelative(0.807f, 0.807f, 0.0f, false, true, 1.61f, 0.0f)
                horizontalLineToRelative(1.058f)
                arcToRelative(0.807f, 0.807f, 0.0f, false, true, 1.61f, 0.0f)
                horizontalLineToRelative(1.059f)
                arcToRelative(0.804f, 0.804f, 0.0f, false, true, 1.606f, 0.0f)
                horizontalLineToRelative(1.054f)
                curveToRelative(0.0f, -0.21f, 0.086f, -0.418f, 0.235f, -0.568f)
                arcToRelative(0.808f, 0.808f, 0.0f, false, true, 0.567f, -0.234f)
                verticalLineToRelative(-1.06f)
                arcToRelative(0.805f, 0.805f, 0.0f, false, true, 0.0f, -1.606f)
                verticalLineToRelative(-1.06f)
                arcToRelative(0.805f, 0.805f, 0.0f, false, true, 0.0f, -1.608f)
                verticalLineToRelative(-1.06f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, 0.0f, -1.608f)
                verticalLineToRelative(-1.061f)
                arcToRelative(0.804f, 0.804f, 0.0f, false, true, 0.0f, -1.608f)
                lineTo(23.999f, 11.47f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, 0.0f, -1.608f)
                verticalLineToRelative(-1.06f)
                arcToRelative(0.804f, 0.804f, 0.0f, false, true, 0.0f, -1.607f)
                verticalLineToRelative(-1.06f)
                arcToRelative(0.805f, 0.805f, 0.0f, false, true, 0.0f, -1.606f)
                verticalLineToRelative(-1.06f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, 0.0f, -1.608f)
                close()
                moveTo(19.932f, 11.697f)
                lineTo(13.53f, 17.92f)
                curveToRelative(0.58f, 0.09f, 1.14f, 0.225f, 1.742f, 0.225f)
                curveToRelative(1.464f, 0.0f, 3.147f, -0.445f, 4.285f, -0.916f)
                lineToRelative(-0.584f, 2.745f)
                curveToRelative(-1.675f, 0.805f, -2.7f, 0.87f, -3.701f, 0.87f)
                curveToRelative(-1.095f, 0.0f, -2.144f, -0.356f, -3.215f, -0.356f)
                curveToRelative(-0.602f, 0.0f, -1.473f, 0.045f, -2.008f, 0.4f)
                lineToRelative(-1.16f, -2.052f)
                lineToRelative(6.604f, -6.54f)
                horizontalLineToRelative(-7.6f)
                lineToRelative(-1.45f, 6.806f)
                horizontalLineToRelative(-3.17f)
                lineTo(6.577f, 3.528f)
                horizontalLineToRelative(10.487f)
                lineToRelative(-0.67f, 3.145f)
                lineTo(9.097f, 6.673f)
                lineToRelative(-0.624f, 2.924f)
                horizontalLineToRelative(11.973f)
                close()
            }
        }
        .build()
        return _filezilla!!
    }

private var _filezilla: ImageVector? = null
