package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Garmin: ImageVector
    get() {
        if (_garmin != null) {
            return _garmin!!
        }
        _garmin = Builder(name = "Garmin", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.265f, 12.024f)
                arcToRelative(0.289f, 0.289f, 0.0f, false, false, -0.236f, -0.146f)
                horizontalLineToRelative(-0.182f)
                arcToRelative(0.289f, 0.289f, 0.0f, false, false, -0.234f, 0.146f)
                lineToRelative(-1.449f, 3.025f)
                curveToRelative(-0.041f, 0.079f, 0.004f, 0.138f, 0.094f, 0.138f)
                horizontalLineToRelative(0.335f)
                curveToRelative(0.132f, 0.0f, 0.193f, -0.061f, 0.228f, -0.134f)
                curveToRelative(0.037f, -0.073f, 0.116f, -0.234f, 0.13f, -0.266f)
                curveToRelative(0.02f, -0.045f, 0.083f, -0.071f, 0.175f, -0.071f)
                horizontalLineToRelative(1.559f)
                curveToRelative(0.089f, 0.0f, 0.148f, 0.016f, 0.175f, 0.071f)
                curveToRelative(0.018f, 0.035f, 0.098f, 0.179f, 0.136f, 0.256f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, 0.234f, 0.142f)
                horizontalLineToRelative(0.486f)
                curveToRelative(0.089f, 0.0f, 0.13f, -0.069f, 0.098f, -0.132f)
                curveToRelative(-0.034f, -0.061f, -1.549f, -3.029f, -1.549f, -3.029f)
                close()
                moveTo(5.351f, 14.248f)
                curveToRelative(-0.089f, 0.0f, -0.132f, -0.067f, -0.094f, -0.148f)
                lineToRelative(0.571f, -1.222f)
                curveToRelative(0.039f, -0.081f, 0.1f, -0.081f, 0.136f, 0.0f)
                lineToRelative(0.555f, 1.222f)
                curveToRelative(0.037f, 0.081f, -0.006f, 0.148f, -0.096f, 0.148f)
                lineTo(5.351f, 14.248f)
                close()
                moveTo(17.456f, 12.047f)
                verticalLineToRelative(3.001f)
                curveToRelative(0.0f, 0.083f, 0.073f, 0.138f, 0.163f, 0.138f)
                horizontalLineToRelative(0.396f)
                curveToRelative(0.089f, 0.0f, 0.163f, -0.057f, 0.163f, -0.146f)
                verticalLineToRelative(-2.998f)
                curveToRelative(0.0f, -0.089f, -0.059f, -0.163f, -0.148f, -0.163f)
                horizontalLineToRelative(-0.411f)
                curveToRelative(-0.09f, -0.001f, -0.163f, 0.054f, -0.163f, 0.168f)
                close()
                moveTo(10.825f, 13.927f)
                curveToRelative(-0.051f, -0.073f, -0.022f, -0.154f, 0.063f, -0.181f)
                curveToRelative(0.0f, 0.0f, 0.342f, -0.102f, 0.506f, -0.25f)
                curveToRelative(0.165f, -0.146f, 0.246f, -0.36f, 0.246f, -0.636f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.096f, -0.457f)
                arcToRelative(0.787f, 0.787f, 0.0f, false, false, -0.27f, -0.303f)
                arcToRelative(1.276f, 1.276f, 0.0f, false, false, -0.423f, -0.171f)
                curveToRelative(-0.165f, -0.035f, -0.386f, -0.047f, -0.386f, -0.047f)
                arcToRelative(8.81f, 8.81f, 0.0f, false, false, -0.325f, -0.008f)
                lineTo(8.495f, 11.874f)
                arcToRelative(0.164f, 0.164f, 0.0f, false, false, -0.163f, 0.163f)
                verticalLineToRelative(2.998f)
                curveToRelative(0.0f, 0.089f, 0.073f, 0.146f, 0.163f, 0.146f)
                horizontalLineToRelative(0.388f)
                curveToRelative(0.089f, 0.0f, 0.163f, -0.057f, 0.163f, -0.146f)
                verticalLineToRelative(-1.193f)
                reflectiveCurveToRelative(0.002f, 0.0f, 0.002f, -0.002f)
                lineToRelative(0.738f, -0.002f)
                curveToRelative(0.089f, 0.0f, 0.205f, 0.061f, 0.258f, 0.134f)
                lineToRelative(0.766f, 1.077f)
                curveToRelative(0.071f, 0.096f, 0.138f, 0.132f, 0.228f, 0.132f)
                horizontalLineToRelative(0.508f)
                curveToRelative(0.089f, 0.0f, 0.104f, -0.085f, 0.073f, -0.128f)
                curveToRelative(-0.032f, -0.038f, -0.794f, -1.126f, -0.794f, -1.126f)
                close()
                moveTo(10.514f, 13.317f)
                arcToRelative(1.57f, 1.57f, 0.0f, false, true, -0.213f, 0.028f)
                arcToRelative(8.807f, 8.807f, 0.0f, false, true, -0.325f, 0.006f)
                horizontalLineToRelative(-0.763f)
                arcToRelative(0.164f, 0.164f, 0.0f, false, true, -0.163f, -0.163f)
                verticalLineToRelative(-0.608f)
                curveToRelative(0.0f, -0.089f, 0.073f, -0.163f, 0.163f, -0.163f)
                horizontalLineToRelative(0.762f)
                curveToRelative(0.089f, 0.0f, 0.236f, 0.004f, 0.325f, 0.006f)
                curveToRelative(0.0f, 0.0f, 0.114f, 0.004f, 0.213f, 0.028f)
                arcToRelative(0.629f, 0.629f, 0.0f, false, true, 0.24f, 0.098f)
                arcToRelative(0.358f, 0.358f, 0.0f, false, true, 0.126f, 0.148f)
                arcToRelative(0.473f, 0.473f, 0.0f, false, true, 0.0f, 0.374f)
                arcToRelative(0.352f, 0.352f, 0.0f, false, true, -0.126f, 0.148f)
                arcToRelative(0.617f, 0.617f, 0.0f, false, true, -0.239f, 0.098f)
                close()
                moveTo(22.317f, 11.878f)
                curveToRelative(-0.089f, 0.0f, -0.163f, 0.059f, -0.163f, 0.146f)
                verticalLineToRelative(1.919f)
                curveToRelative(0.0f, 0.089f, -0.051f, 0.11f, -0.114f, 0.047f)
                lineToRelative(-1.921f, -1.992f)
                arcToRelative(0.376f, 0.376f, 0.0f, false, false, -0.276f, -0.118f)
                horizontalLineToRelative(-0.362f)
                curveToRelative(-0.114f, 0.0f, -0.163f, 0.061f, -0.163f, 0.122f)
                verticalLineToRelative(3.068f)
                curveToRelative(0.0f, 0.061f, 0.059f, 0.12f, 0.148f, 0.12f)
                horizontalLineToRelative(0.362f)
                curveToRelative(0.089f, 0.0f, 0.152f, -0.049f, 0.152f, -0.132f)
                lineToRelative(0.002f, -2.021f)
                curveToRelative(0.0f, -0.089f, 0.051f, -0.11f, 0.114f, -0.045f)
                lineToRelative(2.004f, 2.082f)
                arcToRelative(0.36f, 0.36f, 0.0f, false, false, 0.279f, 0.116f)
                horizontalLineToRelative(0.272f)
                arcToRelative(0.164f, 0.164f, 0.0f, false, false, 0.163f, -0.163f)
                verticalLineToRelative(-2.986f)
                arcToRelative(0.164f, 0.164f, 0.0f, false, false, -0.163f, -0.163f)
                horizontalLineToRelative(-0.334f)
                close()
                moveTo(14.482f, 13.748f)
                curveToRelative(-0.043f, 0.079f, -0.116f, 0.077f, -0.159f, 0.0f)
                lineToRelative(-0.939f, -1.724f)
                arcToRelative(0.262f, 0.262f, 0.0f, false, false, -0.236f, -0.146f)
                horizontalLineToRelative(-0.51f)
                arcToRelative(0.164f, 0.164f, 0.0f, false, false, -0.163f, 0.163f)
                verticalLineToRelative(2.996f)
                curveToRelative(0.0f, 0.089f, 0.059f, 0.15f, 0.163f, 0.15f)
                horizontalLineToRelative(0.317f)
                curveToRelative(0.089f, 0.0f, 0.154f, -0.057f, 0.154f, -0.142f)
                curveToRelative(0.0f, -0.041f, 0.002f, -2.179f, 0.004f, -2.179f)
                curveToRelative(0.004f, 0.0f, 1.173f, 2.177f, 1.173f, 2.177f)
                arcToRelative(0.105f, 0.105f, 0.0f, false, false, 0.189f, 0.0f)
                reflectiveCurveToRelative(1.179f, -2.173f, 1.181f, -2.173f)
                curveToRelative(0.004f, 0.0f, 0.002f, 2.11f, 0.002f, 2.173f)
                curveToRelative(0.0f, 0.087f, 0.069f, 0.142f, 0.159f, 0.142f)
                horizontalLineToRelative(0.364f)
                curveToRelative(0.089f, 0.0f, 0.163f, -0.045f, 0.163f, -0.163f)
                lineTo(16.344f, 12.04f)
                arcToRelative(0.164f, 0.164f, 0.0f, false, false, -0.163f, -0.163f)
                horizontalLineToRelative(-0.488f)
                arcToRelative(0.265f, 0.265f, 0.0f, false, false, -0.244f, 0.142f)
                lineToRelative(-0.967f, 1.729f)
                close()
                moveTo(0.0f, 13.529f)
                curveToRelative(0.0f, 1.616f, 1.653f, 1.697f, 1.984f, 1.697f)
                curveToRelative(1.098f, 0.0f, 1.561f, -0.297f, 1.58f, -0.309f)
                arcToRelative(0.29f, 0.29f, 0.0f, false, false, 0.152f, -0.264f)
                verticalLineToRelative(-1.116f)
                arcToRelative(0.186f, 0.186f, 0.0f, false, false, -0.187f, -0.187f)
                lineTo(2.151f, 13.35f)
                curveToRelative(-0.104f, 0.0f, -0.171f, 0.083f, -0.171f, 0.187f)
                verticalLineToRelative(0.116f)
                curveToRelative(0.0f, 0.104f, 0.067f, 0.187f, 0.171f, 0.187f)
                horizontalLineToRelative(0.797f)
                arcToRelative(0.14f, 0.14f, 0.0f, false, true, 0.14f, 0.14f)
                verticalLineToRelative(0.52f)
                curveToRelative(-0.157f, 0.065f, -0.874f, 0.274f, -1.451f, 0.136f)
                curveToRelative(-0.836f, -0.199f, -0.901f, -0.89f, -0.901f, -1.096f)
                curveToRelative(0.0f, -0.173f, 0.053f, -1.043f, 1.079f, -1.13f)
                curveToRelative(0.831f, -0.071f, 1.378f, 0.264f, 1.384f, 0.268f)
                curveToRelative(0.098f, 0.051f, 0.199f, 0.014f, 0.254f, -0.089f)
                lineToRelative(0.104f, -0.209f)
                curveToRelative(0.043f, -0.085f, 0.028f, -0.175f, -0.077f, -0.246f)
                curveToRelative(-0.006f, -0.004f, -0.59f, -0.319f, -1.494f, -0.319f)
                curveTo(0.055f, 11.813f, 0.0f, 13.354f, 0.0f, 13.529f)
                close()
                moveTo(22.134f, 11.051f)
                horizontalLineToRelative(-2.165f)
                curveToRelative(-0.079f, 0.0f, -0.148f, -0.039f, -0.187f, -0.108f)
                reflectiveCurveToRelative(-0.039f, -0.146f, 0.0f, -0.215f)
                lineToRelative(1.084f, -1.874f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, true, 0.187f, -0.108f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, true, 0.187f, 0.108f)
                lineToRelative(1.084f, 1.874f)
                arcToRelative(0.203f, 0.203f, 0.0f, false, true, 0.0f, 0.215f)
                arcToRelative(0.22f, 0.22f, 0.0f, false, true, -0.19f, 0.108f)
                close()
                moveTo(23.622f, 14.498f)
                curveToRelative(0.207f, 0.0f, 0.378f, 0.169f, 0.378f, 0.378f)
                arcToRelative(0.379f, 0.379f, 0.0f, false, true, -0.378f, 0.378f)
                arcToRelative(0.379f, 0.379f, 0.0f, false, true, -0.378f, -0.378f)
                arcToRelative(0.38f, 0.38f, 0.0f, false, true, 0.378f, -0.378f)
                close()
                moveTo(23.624f, 15.198f)
                curveToRelative(0.173f, 0.0f, 0.305f, -0.14f, 0.305f, -0.321f)
                reflectiveCurveToRelative(-0.13f, -0.321f, -0.305f, -0.321f)
                reflectiveCurveToRelative(-0.307f, 0.14f, -0.307f, 0.321f)
                curveToRelative(0.0f, 0.18f, 0.13f, 0.321f, 0.307f, 0.321f)
                close()
                moveTo(23.478f, 14.655f)
                horizontalLineToRelative(0.169f)
                curveToRelative(0.102f, 0.0f, 0.152f, 0.041f, 0.152f, 0.124f)
                curveToRelative(0.0f, 0.071f, -0.045f, 0.122f, -0.114f, 0.122f)
                lineToRelative(0.126f, 0.195f)
                horizontalLineToRelative(-0.077f)
                lineToRelative(-0.124f, -0.195f)
                horizontalLineToRelative(-0.061f)
                verticalLineToRelative(0.195f)
                horizontalLineToRelative(-0.073f)
                verticalLineToRelative(-0.441f)
                horizontalLineToRelative(0.002f)
                close()
                moveTo(23.551f, 14.844f)
                horizontalLineToRelative(0.085f)
                curveToRelative(0.055f, 0.0f, 0.091f, -0.012f, 0.091f, -0.069f)
                curveToRelative(0.0f, -0.051f, -0.045f, -0.065f, -0.091f, -0.065f)
                horizontalLineToRelative(-0.085f)
                verticalLineToRelative(0.134f)
                close()
            }
        }
        .build()
        return _garmin!!
    }

private var _garmin: ImageVector? = null
