package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Jekyll: ImageVector
    get() {
        if (_jekyll != null) {
            return _jekyll!!
        }
        _jekyll = Builder(name = "Jekyll", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.073f, 24.0f)
                curveToRelative(-0.348f, 0.0f, -0.689f, -0.063f, -1.02f, -0.189f)
                curveToRelative(-1.375f, -0.525f, -2.104f, -2.02f, -1.726f, -3.402f)
                lineToRelative(-0.015f, -0.006f)
                lineToRelative(0.09f, -0.226f)
                lineTo(12.399f, 2.01f)
                curveToRelative(0.105f, -0.27f, 0.057f, -0.91f, 0.006f, -1.267f)
                curveToRelative(-0.016f, -0.085f, -0.016f, -0.161f, 0.008f, -0.24f)
                lineToRelative(0.008f, -0.023f)
                lineToRelative(0.006f, -0.015f)
                lineTo(12.427f, 0.458f)
                lineToRelative(0.009f, -0.019f)
                curveToRelative(0.108f, -0.292f, 0.45f, -0.439f, 1.008f, -0.439f)
                curveToRelative(0.673f, 0.0f, 1.602f, 0.21f, 2.551f, 0.573f)
                curveToRelative(0.797f, 0.307f, 1.523f, 0.689f, 2.033f, 1.075f)
                curveToRelative(0.602f, 0.45f, 0.842f, 0.854f, 0.707f, 1.2f)
                lineToRelative(-0.031f, 0.045f)
                lineToRelative(-0.016f, 0.015f)
                curveToRelative(-0.045f, 0.061f, -0.09f, 0.12f, -0.15f, 0.165f)
                curveToRelative(-0.314f, 0.271f, -0.764f, 0.735f, -0.84f, 0.945f)
                lineToRelative(-7.063f, 18.421f)
                lineToRelative(-0.016f, -0.006f)
                curveToRelative(-0.494f, 0.948f, -1.457f, 1.557f, -2.543f, 1.561f)
                lineTo(8.07f, 23.994f)
                lineToRelative(0.003f, 0.006f)
                close()
                moveTo(5.886f, 20.282f)
                lineToRelative(-0.02f, 0.05f)
                curveToRelative(-0.447f, 1.201f, 0.162f, 2.557f, 1.364f, 3.018f)
                curveToRelative(0.271f, 0.105f, 0.551f, 0.154f, 0.837f, 0.154f)
                curveToRelative(0.971f, 0.0f, 1.83f, -0.585f, 2.188f, -1.5f)
                lineToRelative(0.027f, -0.061f)
                lineToRelative(6.959f, -18.09f)
                curveToRelative(0.146f, -0.39f, 0.84f, -1.02f, 0.979f, -1.14f)
                lineToRelative(0.016f, -0.016f)
                curveToRelative(0.012f, -0.015f, 0.02f, -0.015f, 0.02f, -0.03f)
                curveToRelative(0.0f, -0.06f, -0.061f, -0.27f, -0.557f, -0.645f)
                curveToRelative(-0.479f, -0.36f, -1.154f, -0.72f, -1.904f, -1.005f)
                curveToRelative(-0.868f, -0.328f, -1.768f, -0.539f, -2.368f, -0.539f)
                curveToRelative(-0.39f, 0.0f, -0.524f, 0.082f, -0.545f, 0.126f)
                verticalLineToRelative(0.04f)
                curveToRelative(0.016f, 0.104f, 0.147f, 1.035f, -0.034f, 1.515f)
                lineToRelative(-6.962f, 18.12f)
                verticalLineToRelative(0.003f)
                close()
                moveTo(14.836f, 8.775f)
                reflectiveCurveToRelative(-0.964f, 1.109f, -1.843f, 1.509f)
                curveToRelative(-0.88f, 0.398f, -1.529f, 0.293f, -2.32f, 0.756f)
                curveToRelative(-0.789f, 0.461f, -1.188f, 1.103f, -1.188f, 1.103f)
                lineTo(6.27f, 20.505f)
                curveToRelative(-0.348f, 0.944f, 0.168f, 2.05f, 1.125f, 2.42f)
                curveToRelative(0.96f, 0.369f, 2.04f, -0.12f, 2.412f, -1.056f)
                lineToRelative(5.029f, -13.094f)
                close()
                moveTo(9.905f, 18.76f)
                curveToRelative(0.104f, -0.041f, 0.225f, 0.0f, 0.266f, 0.105f)
                curveToRelative(0.042f, 0.104f, 0.0f, 0.222f, -0.105f, 0.264f)
                curveToRelative(-0.104f, 0.043f, -0.225f, 0.0f, -0.266f, -0.104f)
                curveToRelative(-0.042f, -0.097f, 0.0f, -0.216f, 0.105f, -0.265f)
                close()
                moveTo(8.891f, 16.958f)
                curveToRelative(-0.152f, 0.068f, -0.334f, 0.0f, -0.397f, -0.155f)
                curveToRelative(-0.07f, -0.152f, 0.0f, -0.334f, 0.154f, -0.397f)
                curveToRelative(0.154f, -0.07f, 0.335f, 0.0f, 0.398f, 0.153f)
                curveToRelative(0.074f, 0.15f, 0.008f, 0.314f, -0.155f, 0.39f)
                verticalLineToRelative(0.009f)
                close()
                moveTo(9.177f, 15.862f)
                curveToRelative(-0.123f, -0.288f, 0.0f, -0.623f, 0.287f, -0.758f)
                curveToRelative(0.285f, -0.124f, 0.615f, 0.0f, 0.75f, 0.285f)
                curveToRelative(0.121f, 0.289f, 0.0f, 0.624f, -0.285f, 0.757f)
                curveToRelative(-0.3f, 0.126f, -0.629f, 0.0f, -0.765f, -0.285f)
                lineToRelative(0.013f, 0.001f)
                close()
                moveTo(11.603f, 13.604f)
                curveToRelative(0.153f, -0.074f, 0.335f, 0.0f, 0.398f, 0.15f)
                curveToRelative(0.07f, 0.154f, 0.0f, 0.336f, -0.153f, 0.399f)
                curveToRelative(-0.155f, 0.07f, -0.337f, 0.0f, -0.399f, -0.155f)
                curveToRelative(-0.074f, -0.152f, 0.0f, -0.334f, 0.154f, -0.397f)
                verticalLineToRelative(0.003f)
                close()
                moveTo(10.31f, 12.225f)
                curveToRelative(0.105f, -0.042f, 0.226f, 0.0f, 0.266f, 0.105f)
                curveToRelative(0.043f, 0.104f, 0.0f, 0.226f, -0.104f, 0.266f)
                curveToRelative(-0.104f, 0.042f, -0.226f, 0.0f, -0.265f, -0.104f)
                curveToRelative(-0.044f, -0.106f, 0.006f, -0.227f, 0.103f, -0.267f)
                close()
                moveTo(13.681f, 1.14f)
                curveToRelative(0.1f, -0.261f, 0.993f, -0.162f, 1.995f, 0.226f)
                curveToRelative(0.999f, 0.384f, 1.729f, 0.909f, 1.63f, 1.17f)
                curveToRelative(-0.104f, 0.264f, -0.997f, 0.164f, -1.996f, -0.221f)
                curveToRelative(-1.005f, -0.385f, -1.734f, -0.91f, -1.632f, -1.176f)
                horizontalLineToRelative(0.003f)
                close()
            }
        }
        .build()
        return _jekyll!!
    }

private var _jekyll: ImageVector? = null
