package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Labview: ImageVector
    get() {
        if (_labview != null) {
            return _labview!!
        }
        _labview = Builder(name = "Labview", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.176f, 4.469f)
                arcToRelative(0.817f, 0.817f, 0.0f, false, false, -0.768f, 0.816f)
                verticalLineToRelative(7.055f)
                arcToRelative(0.816f, 0.816f, 0.0f, false, false, 1.182f, 0.73f)
                lineToRelative(7.058f, -3.527f)
                arcToRelative(0.818f, 0.818f, 0.0f, false, false, 0.0f, -1.463f)
                lineTo(9.59f, 4.553f)
                arcToRelative(0.808f, 0.808f, 0.0f, false, false, -0.414f, -0.084f)
                close()
                moveTo(11.094f, 7.576f)
                horizontalLineToRelative(0.638f)
                verticalLineToRelative(0.916f)
                horizontalLineToRelative(0.916f)
                verticalLineToRelative(0.639f)
                horizontalLineToRelative(-0.916f)
                verticalLineToRelative(0.918f)
                horizontalLineToRelative(-0.638f)
                lineTo(11.094f, 9.13f)
                horizontalLineToRelative(-0.918f)
                verticalLineToRelative(-0.639f)
                horizontalLineToRelative(0.918f)
                verticalLineToRelative(-0.916f)
                close()
                moveTo(6.342f, 15.086f)
                verticalLineToRelative(0.367f)
                horizontalLineToRelative(0.262f)
                curveToRelative(0.086f, 0.0f, 0.136f, 0.05f, 0.136f, 0.137f)
                verticalLineToRelative(3.869f)
                horizontalLineToRelative(0.41f)
                verticalLineToRelative(-0.273f)
                arcToRelative(2.6f, 2.6f, 0.0f, false, false, -0.011f, -0.256f)
                horizontalLineToRelative(0.011f)
                reflectiveCurveToRelative(0.281f, 0.603f, 1.028f, 0.603f)
                curveToRelative(0.82f, 0.0f, 1.41f, -0.646f, 1.41f, -1.635f)
                curveToRelative(0.0f, -0.97f, -0.522f, -1.642f, -1.361f, -1.642f)
                curveToRelative(-0.802f, 0.0f, -1.065f, 0.598f, -1.065f, 0.598f)
                lineTo(7.15f, 16.854f)
                reflectiveCurveToRelative(0.012f, -0.113f, 0.012f, -0.256f)
                verticalLineToRelative(-1.131f)
                curveToRelative(0.0f, -0.267f, -0.112f, -0.381f, -0.379f, -0.381f)
                horizontalLineToRelative(-0.441f)
                close()
                moveTo(9.197f, 15.086f)
                verticalLineToRelative(0.387f)
                horizontalLineToRelative(0.063f)
                curveToRelative(0.118f, 0.0f, 0.18f, 0.018f, 0.224f, 0.136f)
                lineToRelative(1.436f, 3.85f)
                horizontalLineToRelative(0.467f)
                lineToRelative(1.437f, -3.85f)
                curveToRelative(0.044f, -0.118f, 0.105f, -0.136f, 0.223f, -0.136f)
                horizontalLineToRelative(0.834f)
                verticalLineToRelative(3.601f)
                horizontalLineToRelative(-0.41f)
                verticalLineToRelative(0.385f)
                horizontalLineToRelative(1.25f)
                verticalLineToRelative(-0.385f)
                horizontalLineToRelative(-0.418f)
                verticalLineToRelative(-3.601f)
                horizontalLineToRelative(0.418f)
                verticalLineToRelative(-0.387f)
                horizontalLineToRelative(-1.805f)
                curveToRelative(-0.31f, 0.0f, -0.404f, 0.056f, -0.516f, 0.361f)
                lineToRelative(-1.076f, 2.942f)
                curveToRelative(-0.08f, 0.223f, -0.168f, 0.566f, -0.168f, 0.566f)
                horizontalLineToRelative(-0.011f)
                reflectiveCurveToRelative(-0.088f, -0.343f, -0.168f, -0.566f)
                lineTo(9.9f, 15.447f)
                curveToRelative(-0.105f, -0.298f, -0.199f, -0.361f, -0.51f, -0.361f)
                horizontalLineToRelative(-0.193f)
                close()
                moveTo(15.119f, 15.086f)
                verticalLineToRelative(0.387f)
                horizontalLineToRelative(0.404f)
                verticalLineToRelative(3.607f)
                curveToRelative(0.0f, 0.268f, 0.112f, 0.379f, 0.38f, 0.379f)
                horizontalLineToRelative(1.89f)
                curveToRelative(0.268f, 0.0f, 0.379f, -0.111f, 0.379f, -0.379f)
                verticalLineToRelative(-0.435f)
                horizontalLineToRelative(-0.404f)
                verticalLineToRelative(0.29f)
                curveToRelative(0.0f, 0.094f, -0.05f, 0.14f, -0.137f, 0.14f)
                horizontalLineToRelative(-1.535f)
                curveToRelative(-0.087f, 0.0f, -0.137f, -0.046f, -0.137f, -0.14f)
                verticalLineToRelative(-1.484f)
                horizontalLineToRelative(1.64f)
                verticalLineToRelative(-0.387f)
                horizontalLineToRelative(-1.64f)
                verticalLineToRelative(-1.591f)
                horizontalLineToRelative(1.492f)
                curveToRelative(0.087f, 0.0f, 0.137f, 0.043f, 0.137f, 0.136f)
                verticalLineToRelative(0.293f)
                horizontalLineToRelative(0.41f)
                verticalLineToRelative(-0.435f)
                curveToRelative(0.0f, -0.268f, -0.112f, -0.381f, -0.379f, -0.381f)
                horizontalLineToRelative(-2.5f)
                close()
                moveTo(0.0f, 15.088f)
                verticalLineToRelative(0.385f)
                horizontalLineToRelative(0.268f)
                curveToRelative(0.086f, 0.0f, 0.136f, 0.043f, 0.136f, 0.136f)
                verticalLineToRelative(3.471f)
                curveToRelative(0.0f, 0.268f, 0.112f, 0.379f, 0.38f, 0.379f)
                horizontalLineToRelative(1.81f)
                curveToRelative(0.267f, 0.0f, 0.379f, -0.111f, 0.379f, -0.379f)
                verticalLineToRelative(-0.435f)
                horizontalLineToRelative(-0.41f)
                verticalLineToRelative(0.29f)
                curveToRelative(0.0f, 0.094f, -0.05f, 0.137f, -0.137f, 0.137f)
                lineTo(0.976f, 19.072f)
                curveToRelative(-0.086f, 0.0f, -0.136f, -0.043f, -0.136f, -0.136f)
                verticalLineToRelative(-3.47f)
                curveToRelative(0.0f, -0.267f, -0.112f, -0.378f, -0.38f, -0.378f)
                lineTo(0.0f, 15.088f)
                close()
                moveTo(18.334f, 15.088f)
                verticalLineToRelative(0.385f)
                horizontalLineToRelative(0.076f)
                curveToRelative(0.118f, 0.0f, 0.197f, 0.018f, 0.229f, 0.136f)
                lineToRelative(1.002f, 3.85f)
                horizontalLineToRelative(0.515f)
                lineToRelative(0.897f, -3.047f)
                curveToRelative(0.08f, -0.28f, 0.156f, -0.64f, 0.156f, -0.64f)
                horizontalLineToRelative(0.012f)
                reflectiveCurveToRelative(0.067f, 0.366f, 0.142f, 0.646f)
                lineToRelative(0.815f, 3.041f)
                horizontalLineToRelative(0.515f)
                lineToRelative(1.008f, -3.85f)
                curveToRelative(0.031f, -0.118f, 0.106f, -0.136f, 0.23f, -0.136f)
                lineTo(24.0f, 15.473f)
                verticalLineToRelative(-0.385f)
                horizontalLineToRelative(-0.193f)
                curveToRelative(-0.311f, 0.0f, -0.453f, 0.055f, -0.528f, 0.36f)
                lineToRelative(-0.76f, 3.015f)
                curveToRelative(-0.055f, 0.224f, -0.1f, 0.467f, -0.1f, 0.467f)
                horizontalLineToRelative(-0.01f)
                reflectiveCurveToRelative(-0.039f, -0.243f, -0.1f, -0.467f)
                lineToRelative(-0.877f, -3.358f)
                horizontalLineToRelative(-0.43f)
                lineToRelative(-0.963f, 3.358f)
                curveToRelative(-0.062f, 0.224f, -0.12f, 0.467f, -0.12f, 0.467f)
                horizontalLineToRelative(-0.01f)
                reflectiveCurveToRelative(-0.039f, -0.243f, -0.095f, -0.467f)
                lineToRelative(-0.757f, -3.016f)
                curveToRelative(-0.075f, -0.304f, -0.219f, -0.36f, -0.53f, -0.36f)
                horizontalLineToRelative(-0.193f)
                close()
                moveTo(4.637f, 16.256f)
                curveToRelative(-0.274f, 0.0f, -1.02f, 0.094f, -1.02f, 0.53f)
                verticalLineToRelative(0.298f)
                horizontalLineToRelative(0.404f)
                verticalLineToRelative(-0.2f)
                curveToRelative(0.0f, -0.23f, 0.454f, -0.273f, 0.61f, -0.273f)
                curveToRelative(0.572f, 0.0f, 0.808f, 0.23f, 0.808f, 0.883f)
                verticalLineToRelative(0.037f)
                horizontalLineToRelative(-0.173f)
                curveToRelative(-0.542f, 0.0f, -1.916f, 0.038f, -1.916f, 1.076f)
                curveToRelative(0.0f, 0.622f, 0.54f, 0.926f, 1.062f, 0.926f)
                curveToRelative(0.784f, 0.0f, 1.046f, -0.678f, 1.04f, -0.678f)
                horizontalLineToRelative(0.01f)
                reflectiveCurveToRelative(-0.005f, 0.094f, -0.005f, 0.23f)
                curveToRelative(0.0f, 0.256f, 0.106f, 0.374f, 0.373f, 0.374f)
                horizontalLineToRelative(0.43f)
                verticalLineToRelative(-0.367f)
                horizontalLineToRelative(-0.262f)
                curveToRelative(-0.087f, 0.0f, -0.137f, -0.044f, -0.137f, -0.137f)
                verticalLineToRelative(-1.498f)
                curveToRelative(0.0f, -0.672f, -0.236f, -1.201f, -1.224f, -1.201f)
                close()
                moveTo(8.164f, 16.643f)
                curveToRelative(0.578f, 0.0f, 0.988f, 0.49f, 0.988f, 1.255f)
                curveToRelative(0.0f, 0.796f, -0.452f, 1.262f, -1.006f, 1.262f)
                curveToRelative(-0.671f, 0.0f, -0.996f, -0.628f, -0.996f, -1.256f)
                curveToRelative(0.0f, -0.889f, 0.492f, -1.261f, 1.014f, -1.261f)
                close()
                moveTo(5.258f, 17.867f)
                horizontalLineToRelative(0.181f)
                verticalLineToRelative(0.143f)
                curveToRelative(0.0f, 0.54f, -0.362f, 1.162f, -0.959f, 1.162f)
                curveToRelative(-0.466f, 0.0f, -0.695f, -0.298f, -0.695f, -0.59f)
                curveToRelative(0.0f, -0.703f, 0.982f, -0.715f, 1.473f, -0.715f)
                close()
            }
        }
        .build()
        return _labview!!
    }

private var _labview: ImageVector? = null
