package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Microgenetics: ImageVector
    get() {
        if (_microgenetics != null) {
            return _microgenetics!!
        }
        _microgenetics = Builder(name = "Microgenetics", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.008f, 6.0f)
                curveToRelative(2.595f, 0.0f, 4.31f, 1.263f, 5.583f, 2.726f)
                lineToRelative(0.248f, 0.293f)
                curveToRelative(0.082f, 0.101f, 0.164f, 0.2f, 0.242f, 0.3f)
                curveToRelative(0.434f, 0.569f, 0.809f, 1.146f, 1.17f, 1.674f)
                curveToRelative(0.24f, 0.356f, 0.465f, 0.693f, 0.689f, 1.008f)
                lineToRelative(0.227f, 0.32f)
                curveToRelative(0.074f, 0.105f, 0.148f, 0.211f, 0.24f, 0.31f)
                curveToRelative(0.928f, 1.171f, 1.889f, 1.9f, 3.283f, 1.991f)
                curveToRelative(0.195f, -0.845f, 0.301f, -1.721f, 0.301f, -2.621f)
                reflectiveCurveToRelative(-0.105f, -1.776f, -0.301f, -2.621f)
                curveToRelative(-1.395f, 0.091f, -2.355f, 0.819f, -3.301f, 1.991f)
                curveToRelative(-0.18f, -0.246f, -0.357f, -0.51f, -0.555f, -0.796f)
                curveToRelative(-0.375f, -0.566f, -0.809f, -1.208f, -1.32f, -1.845f)
                curveToRelative(1.006f, -1.169f, 2.25f, -2.175f, 3.932f, -2.557f)
                curveTo(20.453f, 2.49f, 16.523f, 0.0f, 12.008f, 0.0f)
                curveToRelative(-4.5f, 0.0f, -8.44f, 2.49f, -10.49f, 6.173f)
                curveToRelative(1.681f, 0.384f, 2.923f, 1.388f, 3.931f, 2.556f)
                curveToRelative(0.086f, 0.09f, 0.168f, 0.18f, 0.249f, 0.285f)
                lineToRelative(0.237f, 0.3f)
                curveToRelative(0.479f, 0.615f, 0.914f, 1.245f, 1.305f, 1.845f)
                lineToRelative(0.555f, 0.826f)
                lineToRelative(0.24f, 0.329f)
                curveToRelative(0.074f, 0.104f, 0.165f, 0.21f, 0.239f, 0.315f)
                curveToRelative(1.051f, 1.439f, 2.115f, 2.43f, 3.75f, 2.43f)
                curveToRelative(1.65f, 0.0f, 2.701f, -0.99f, 3.765f, -2.43f)
                lineToRelative(0.375f, 0.555f)
                curveToRelative(0.451f, 0.66f, 0.932f, 1.38f, 1.455f, 2.055f)
                curveToRelative(-1.273f, 1.471f, -3.0f, 2.73f, -5.595f, 2.73f)
                curveToRelative(-2.594f, 0.0f, -4.304f, -1.275f, -5.579f, -2.73f)
                lineToRelative(-0.24f, -0.3f)
                lineToRelative(-0.24f, -0.3f)
                curveToRelative(-0.435f, -0.57f, -0.81f, -1.154f, -1.17f, -1.68f)
                curveToRelative(-0.239f, -0.36f, -0.465f, -0.69f, -0.689f, -1.006f)
                lineToRelative(-0.226f, -0.33f)
                curveToRelative(-0.074f, -0.104f, -0.149f, -0.21f, -0.24f, -0.314f)
                curveTo(2.664f, 10.2f, 1.703f, 9.465f, 0.309f, 9.375f)
                curveToRelative(-0.195f, 0.849f, -0.3f, 1.725f, -0.3f, 2.625f)
                reflectiveCurveToRelative(0.102f, 1.776f, 0.29f, 2.621f)
                curveToRelative(1.398f, -0.091f, 2.355f, -0.819f, 3.295f, -1.991f)
                curveToRelative(0.172f, 0.246f, 0.354f, 0.51f, 0.544f, 0.796f)
                curveToRelative(0.375f, 0.566f, 0.806f, 1.208f, 1.313f, 1.845f)
                curveToRelative(-1.009f, 1.169f, -2.253f, 2.175f, -3.93f, 2.557f)
                curveTo(3.566f, 21.51f, 7.494f, 24.0f, 12.008f, 24.0f)
                curveToRelative(4.515f, 0.0f, 8.441f, -2.49f, 10.49f, -6.173f)
                curveToRelative(-1.68f, -0.384f, -2.922f, -1.388f, -3.93f, -2.556f)
                curveToRelative(-0.086f, -0.09f, -0.17f, -0.18f, -0.25f, -0.285f)
                lineToRelative(-0.236f, -0.3f)
                curveToRelative(-0.48f, -0.615f, -0.916f, -1.245f, -1.305f, -1.845f)
                lineTo(16.223f, 12.0f)
                curveToRelative(-0.074f, -0.111f, -0.154f, -0.225f, -0.23f, -0.33f)
                curveToRelative(-0.078f, -0.111f, -0.154f, -0.219f, -0.232f, -0.325f)
                curveToRelative(-1.051f, -1.44f, -2.1f, -2.431f, -3.75f, -2.431f)
                reflectiveCurveToRelative(-2.699f, 0.99f, -3.75f, 2.431f)
                lineToRelative(-0.375f, -0.56f)
                curveToRelative(-0.436f, -0.669f, -0.916f, -1.38f, -1.456f, -2.059f)
                curveTo(7.703f, 7.263f, 9.383f, 6.0f, 12.008f, 6.0f)
            }
        }
        .build()
        return _microgenetics!!
    }

private var _microgenetics: ImageVector? = null
