package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.NodeDotJs: ImageVector
    get() {
        if (_nodeDotJs != null) {
            return _nodeDotJs!!
        }
        _nodeDotJs = Builder(name = "NodeDotJs", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.998f, 24.0f)
                curveToRelative(-0.321f, 0.0f, -0.641f, -0.084f, -0.922f, -0.247f)
                lineToRelative(-2.936f, -1.737f)
                curveToRelative(-0.438f, -0.245f, -0.224f, -0.332f, -0.08f, -0.383f)
                curveToRelative(0.585f, -0.203f, 0.703f, -0.25f, 1.328f, -0.604f)
                curveToRelative(0.065f, -0.037f, 0.151f, -0.023f, 0.218f, 0.017f)
                lineToRelative(2.256f, 1.339f)
                curveToRelative(0.082f, 0.045f, 0.197f, 0.045f, 0.272f, 0.0f)
                lineToRelative(8.795f, -5.076f)
                curveToRelative(0.082f, -0.047f, 0.134f, -0.141f, 0.134f, -0.238f)
                verticalLineTo(6.921f)
                curveToRelative(0.0f, -0.099f, -0.053f, -0.192f, -0.137f, -0.242f)
                lineToRelative(-8.791f, -5.072f)
                curveToRelative(-0.081f, -0.047f, -0.189f, -0.047f, -0.271f, 0.0f)
                lineTo(3.075f, 6.68f)
                curveTo(2.99f, 6.729f, 2.936f, 6.825f, 2.936f, 6.921f)
                verticalLineToRelative(10.15f)
                curveToRelative(0.0f, 0.097f, 0.054f, 0.189f, 0.139f, 0.235f)
                lineToRelative(2.409f, 1.392f)
                curveToRelative(1.307f, 0.654f, 2.108f, -0.116f, 2.108f, -0.89f)
                verticalLineTo(7.787f)
                curveToRelative(0.0f, -0.142f, 0.114f, -0.253f, 0.256f, -0.253f)
                horizontalLineToRelative(1.115f)
                curveToRelative(0.139f, 0.0f, 0.255f, 0.112f, 0.255f, 0.253f)
                verticalLineToRelative(10.021f)
                curveToRelative(0.0f, 1.745f, -0.95f, 2.745f, -2.604f, 2.745f)
                curveToRelative(-0.508f, 0.0f, -0.909f, 0.0f, -2.026f, -0.551f)
                lineTo(2.28f, 18.675f)
                curveToRelative(-0.57f, -0.329f, -0.922f, -0.945f, -0.922f, -1.604f)
                verticalLineTo(6.921f)
                curveToRelative(0.0f, -0.659f, 0.353f, -1.275f, 0.922f, -1.603f)
                lineToRelative(8.795f, -5.082f)
                curveToRelative(0.557f, -0.315f, 1.296f, -0.315f, 1.848f, 0.0f)
                lineToRelative(8.794f, 5.082f)
                curveToRelative(0.57f, 0.329f, 0.924f, 0.944f, 0.924f, 1.603f)
                verticalLineToRelative(10.15f)
                curveToRelative(0.0f, 0.659f, -0.354f, 1.273f, -0.924f, 1.604f)
                lineToRelative(-8.794f, 5.078f)
                curveTo(12.643f, 23.916f, 12.324f, 24.0f, 11.998f, 24.0f)
                close()
                moveTo(19.099f, 13.993f)
                curveToRelative(0.0f, -1.9f, -1.284f, -2.406f, -3.987f, -2.763f)
                curveToRelative(-2.731f, -0.361f, -3.009f, -0.548f, -3.009f, -1.187f)
                curveToRelative(0.0f, -0.528f, 0.235f, -1.233f, 2.258f, -1.233f)
                curveToRelative(1.807f, 0.0f, 2.473f, 0.389f, 2.747f, 1.607f)
                curveToRelative(0.024f, 0.115f, 0.129f, 0.199f, 0.247f, 0.199f)
                horizontalLineToRelative(1.141f)
                curveToRelative(0.071f, 0.0f, 0.138f, -0.031f, 0.186f, -0.081f)
                curveToRelative(0.048f, -0.054f, 0.074f, -0.123f, 0.067f, -0.196f)
                curveToRelative(-0.177f, -2.098f, -1.571f, -3.076f, -4.388f, -3.076f)
                curveToRelative(-2.508f, 0.0f, -4.004f, 1.058f, -4.004f, 2.833f)
                curveToRelative(0.0f, 1.925f, 1.488f, 2.457f, 3.895f, 2.695f)
                curveToRelative(2.88f, 0.282f, 3.103f, 0.703f, 3.103f, 1.269f)
                curveToRelative(0.0f, 0.983f, -0.789f, 1.402f, -2.642f, 1.402f)
                curveToRelative(-2.327f, 0.0f, -2.839f, -0.584f, -3.011f, -1.742f)
                curveToRelative(-0.02f, -0.124f, -0.126f, -0.215f, -0.253f, -0.215f)
                horizontalLineToRelative(-1.137f)
                curveToRelative(-0.141f, 0.0f, -0.254f, 0.112f, -0.254f, 0.253f)
                curveToRelative(0.0f, 1.482f, 0.806f, 3.248f, 4.655f, 3.248f)
                curveTo(17.501f, 17.007f, 19.099f, 15.91f, 19.099f, 13.993f)
                close()
            }
        }
        .build()
        return _nodeDotJs!!
    }

private var _nodeDotJs: ImageVector? = null
