package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.NuxtDotJs: ImageVector
    get() {
        if (_nuxtDotJs != null) {
            return _nuxtDotJs!!
        }
        _nuxtDotJs = Builder(name = "NuxtDotJs", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.7237f, 20.273f)
                lineToRelative(0.023f, -0.045f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, false, 0.053f, -0.117f)
                lineToRelative(0.002f, -0.005f)
                arcToRelative(1.1601f, 1.1601f, 0.0f, false, false, 0.054f, -0.607f)
                lineToRelative(0.001f, 0.007f)
                arcToRelative(1.7952f, 1.7952f, 0.0f, false, false, -0.235f, -0.6232f)
                lineToRelative(0.005f, 0.008f)
                lineToRelative(-5.3177f, -9.3541f)
                lineToRelative(-0.812f, -1.4202f)
                lineToRelative(-0.8072f, 1.4202f)
                lineToRelative(-5.3146f, 9.3541f)
                arcToRelative(1.8502f, 1.8502f, 0.0f, false, false, -0.204f, 0.6041f)
                lineToRelative(-0.001f, 0.011f)
                arcToRelative(1.2572f, 1.2572f, 0.0f, false, false, 0.08f, 0.7131f)
                lineToRelative(-0.003f, -0.008f)
                arcToRelative(0.8091f, 0.8091f, 0.0f, false, false, 0.05f, 0.102f)
                lineToRelative(-0.002f, -0.004f)
                curveToRelative(0.16f, 0.275f, 0.5f, 0.602f, 1.2501f, 0.602f)
                horizontalLineToRelative(9.8993f)
                curveToRelative(0.157f, 0.0f, 0.925f, -0.032f, 1.2801f, -0.637f)
                close()
                moveTo(13.496f, 10.956f)
                lineToRelative(4.8595f, 8.549f)
                lineTo(8.6384f, 19.505f)
                close()
                moveTo(23.7462f, 18.891f)
                lineTo(16.7293f, 6.5292f)
                curveToRelative(-0.072f, -0.13f, -0.477f, -0.787f, -1.1821f, -0.787f)
                curveToRelative(-0.317f, 0.0f, -0.772f, 0.135f, -1.1421f, 0.785f)
                lineToRelative(-0.9071f, 1.5902f)
                lineToRelative(0.807f, 1.4202f)
                lineToRelative(1.2502f, -2.2123f)
                lineToRelative(6.9419f, 12.1815f)
                horizontalLineToRelative(-2.6404f)
                arcToRelative(1.1871f, 1.1871f, 0.0f, false, true, -0.058f, 0.6081f)
                lineToRelative(0.003f, -0.008f)
                arcToRelative(0.7721f, 0.7721f, 0.0f, false, true, -0.057f, 0.126f)
                lineToRelative(0.002f, -0.004f)
                lineToRelative(-0.023f, 0.045f)
                curveToRelative(-0.355f, 0.6051f, -1.1221f, 0.6371f, -1.2721f, 0.6371f)
                horizontalLineToRelative(4.1295f)
                curveToRelative(0.152f, 0.0f, 0.917f, -0.032f, 1.2721f, -0.637f)
                curveToRelative(0.157f, -0.2751f, 0.27f, -0.7372f, -0.107f, -1.3822f)
                close()
                moveTo(7.3022f, 20.308f)
                arcToRelative(0.9891f, 0.9891f, 0.0f, false, true, -0.045f, -0.092f)
                lineToRelative(-0.002f, -0.006f)
                arcToRelative(1.2282f, 1.2282f, 0.0f, false, true, -0.084f, -0.712f)
                lineToRelative(-0.001f, 0.007f)
                lineTo(1.4985f, 19.505f)
                lineToRelative(8.43f, -14.834f)
                lineToRelative(2.7674f, 4.8647f)
                lineToRelative(0.802f, -1.4202f)
                lineToRelative(-2.4122f, -4.2495f)
                curveToRelative(-0.067f, -0.122f, -0.4751f, -0.7771f, -1.1772f, -0.7771f)
                curveToRelative(-0.317f, 0.0f, -0.772f, 0.137f, -1.1421f, 0.7871f)
                lineTo(0.2274f, 18.8898f)
                curveToRelative(-0.0721f, 0.13f, -0.4251f, 0.8121f, -0.0751f, 1.4172f)
                curveToRelative(0.16f, 0.275f, 0.5f, 0.6021f, 1.2502f, 0.6021f)
                horizontalLineToRelative(7.1518f)
                curveToRelative(-0.745f, 0.0f, -1.09f, -0.322f, -1.2501f, -0.602f)
                close()
            }
        }
        .build()
        return _nuxtDotJs!!
    }

private var _nuxtDotJs: ImageVector? = null
