package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Packagist: ImageVector
    get() {
        if (_packagist != null) {
            return _packagist!!
        }
        _packagist = Builder(name = "Packagist", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.214f, 23.975f)
                curveToRelative(-0.098f, -0.053f, -0.329f, -0.062f, -1.615f, -0.062f)
                horizontalLineToRelative(-1.26f)
                lineToRelative(-0.017f, -0.088f)
                lineToRelative(-0.096f, -0.431f)
                arcToRelative(3.622f, 3.622f, 0.0f, false, true, -0.07f, -0.354f)
                curveToRelative(0.005f, -0.007f, -0.012f, -0.056f, -0.038f, -0.107f)
                lineToRelative(-0.048f, -0.094f)
                lineToRelative(-0.547f, 0.085f)
                curveToRelative(-0.301f, 0.046f, -0.598f, 0.1f, -0.659f, 0.116f)
                curveToRelative(-0.1f, 0.03f, -0.11f, 0.03f, -0.103f, 0.004f)
                curveToRelative(0.038f, -0.14f, 0.044f, -0.201f, 0.028f, -0.266f)
                curveToRelative(-0.018f, -0.07f, -0.017f, -0.072f, 0.238f, -0.645f)
                curveToRelative(0.276f, -0.622f, 0.266f, -0.594f, 0.237f, -0.634f)
                curveToRelative(-0.018f, -0.025f, -0.042f, -0.02f, -0.307f, 0.07f)
                curveToRelative(-0.159f, 0.05f, -0.294f, 0.093f, -0.301f, 0.09f)
                arcToRelative(16.82f, 16.82f, 0.0f, false, true, 0.414f, -0.732f)
                curveToRelative(0.451f, -0.773f, 0.566f, -0.976f, 0.566f, -1.003f)
                curveToRelative(0.0f, -0.01f, -0.12f, -0.146f, -0.271f, -0.304f)
                curveToRelative(-0.15f, -0.157f, -0.311f, -0.329f, -0.357f, -0.384f)
                arcToRelative(0.584f, 0.584f, 0.0f, false, false, -0.112f, -0.11f)
                curveToRelative(-0.05f, -0.017f, -0.264f, -0.231f, -0.738f, -0.734f)
                arcToRelative(16.196f, 16.196f, 0.0f, false, false, -0.525f, -0.542f)
                curveToRelative(-0.062f, -0.05f, -0.077f, -0.074f, -0.107f, -0.175f)
                arcToRelative(6.511f, 6.511f, 0.0f, false, false, -0.291f, -0.714f)
                lineToRelative(-0.096f, -0.201f)
                verticalLineToRelative(-0.178f)
                curveToRelative(0.0f, -0.271f, -0.056f, -0.542f, -0.277f, -1.331f)
                lineToRelative(-0.054f, -0.191f)
                lineToRelative(-0.087f, -0.01f)
                curveToRelative(-0.193f, -0.017f, -0.283f, -0.123f, -0.431f, -0.504f)
                arcToRelative(6.231f, 6.231f, 0.0f, false, false, -0.231f, -0.472f)
                curveToRelative(-0.1f, -0.191f, -0.221f, -0.428f, -0.271f, -0.532f)
                lineToRelative(-0.086f, -0.185f)
                lineToRelative(-0.08f, -0.01f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, -0.361f, 0.05f)
                curveToRelative(-0.12f, 0.05f, -0.345f, 0.063f, -0.618f, 0.037f)
                lineToRelative(-0.399f, -0.038f)
                lineToRelative(-0.199f, -0.02f)
                lineToRelative(-0.107f, -0.191f)
                curveToRelative(-0.161f, -0.284f, -0.161f, -0.285f, -0.238f, -0.324f)
                curveToRelative(-0.09f, -0.046f, -0.161f, -0.046f, -0.572f, 0.0f)
                lineToRelative(-0.325f, 0.035f)
                lineToRelative(-0.245f, -0.035f)
                curveToRelative(-0.645f, -0.094f, -0.797f, -0.166f, -0.797f, -0.375f)
                curveToRelative(0.0f, -0.042f, -0.045f, -0.261f, -0.102f, -0.489f)
                curveToRelative(-0.13f, -0.528f, -0.218f, -1.126f, -0.195f, -1.332f)
                curveToRelative(0.034f, -0.294f, 0.273f, -0.996f, 0.636f, -1.87f)
                lineToRelative(0.142f, -0.341f)
                lineToRelative(0.023f, -0.547f)
                curveToRelative(0.142f, -3.274f, 0.178f, -3.76f, 0.284f, -3.951f)
                curveToRelative(0.035f, -0.062f, 0.468f, -0.431f, 0.644f, -0.552f)
                curveToRelative(0.335f, -0.224f, 1.503f, -0.8f, 2.802f, -1.379f)
                lineToRelative(0.384f, -0.171f)
                lineToRelative(0.195f, -0.012f)
                lineToRelative(0.193f, -0.01f)
                lineToRelative(0.522f, 0.329f)
                lineToRelative(0.521f, 0.329f)
                lineToRelative(0.423f, -0.2f)
                lineToRelative(0.658f, -0.308f)
                curveToRelative(0.235f, -0.108f, 0.236f, -0.11f, 0.367f, -0.253f)
                curveToRelative(0.184f, -0.201f, 0.492f, -0.566f, 0.592f, -0.703f)
                curveToRelative(0.118f, -0.161f, 0.395f, -0.388f, 0.816f, -0.672f)
                curveToRelative(0.147f, -0.098f, 0.185f, -0.116f, 0.569f, -0.264f)
                lineToRelative(0.231f, -0.09f)
                horizontalLineToRelative(0.49f)
                curveToRelative(0.451f, 0.0f, 0.502f, 0.003f, 0.655f, 0.037f)
                curveToRelative(0.358f, 0.078f, 0.652f, 0.193f, 0.686f, 0.267f)
                curveToRelative(0.022f, 0.05f, 0.07f, 0.08f, 0.187f, 0.12f)
                curveToRelative(0.14f, 0.048f, 0.311f, 0.168f, 1.224f, 0.863f)
                curveToRelative(0.489f, 0.373f, 0.472f, 0.366f, 1.539f, 0.719f)
                lineToRelative(0.298f, 0.1f)
                lineToRelative(0.176f, 0.211f)
                curveToRelative(0.201f, 0.241f, 0.358f, 0.404f, 0.404f, 0.419f)
                curveToRelative(0.07f, 0.022f, 0.485f, -0.08f, 1.009f, -0.249f)
                curveToRelative(0.266f, -0.085f, 0.303f, -0.093f, 0.351f, -0.077f)
                curveToRelative(0.03f, 0.01f, 0.175f, 0.02f, 0.321f, 0.02f)
                curveToRelative(0.271f, 0.005f, 0.514f, 0.034f, 1.117f, 0.137f)
                curveToRelative(0.153f, 0.027f, 0.281f, 0.048f, 0.283f, 0.048f)
                curveToRelative(0.002f, 0.0f, 0.244f, 0.419f, 0.537f, 0.933f)
                curveToRelative(0.293f, 0.512f, 0.61f, 1.048f, 0.705f, 1.192f)
                curveToRelative(0.167f, 0.249f, 0.174f, 0.264f, 0.189f, 0.375f)
                curveToRelative(0.026f, 0.191f, 0.08f, 1.008f, 0.09f, 1.309f)
                lineToRelative(0.023f, 0.896f)
                curveToRelative(0.02f, 0.843f, 0.036f, 1.04f, 0.09f, 1.154f)
                curveToRelative(0.093f, 0.199f, 0.276f, 0.747f, 0.572f, 1.719f)
                lineToRelative(0.12f, 0.401f)
                lineToRelative(0.008f, 0.93f)
                lineToRelative(-0.14f, 0.728f)
                lineToRelative(-0.158f, 0.813f)
                lineToRelative(-0.016f, 0.083f)
                lineToRelative(-0.439f, 0.264f)
                lineToRelative(-0.441f, 0.265f)
                lineToRelative(-0.321f, -0.016f)
                curveToRelative(-0.179f, -0.01f, -0.335f, -0.016f, -0.349f, -0.016f)
                curveToRelative(-0.03f, 0.0f, -0.066f, 0.113f, -0.135f, 0.411f)
                curveToRelative(-0.04f, 0.176f, -0.042f, 0.178f, -0.092f, 0.187f)
                lineToRelative(-0.666f, 0.106f)
                curveToRelative(-0.92f, 0.145f, -1.037f, 0.181f, -1.341f, 0.424f)
                curveToRelative(-0.264f, 0.211f, -0.264f, 0.208f, -0.556f, 1.681f)
                arcToRelative(16.97f, 16.97f, 0.0f, false, true, -0.185f, 0.856f)
                curveToRelative(-0.105f, 0.317f, -0.941f, 1.708f, -1.246f, 2.074f)
                lineToRelative(-0.165f, 0.199f)
                lineToRelative(0.064f, 0.228f)
                curveToRelative(0.035f, 0.126f, 0.073f, 0.265f, 0.083f, 0.309f)
                curveToRelative(0.016f, 0.07f, 0.314f, 1.206f, 0.421f, 1.609f)
                lineToRelative(0.038f, 0.14f)
                lineToRelative(-0.201f, -0.084f)
                lineToRelative(-0.328f, -0.136f)
                arcToRelative(0.549f, 0.549f, 0.0f, false, false, -0.13f, -0.046f)
                curveToRelative(-0.003f, 0.004f, 0.033f, 0.15f, 0.08f, 0.327f)
                curveToRelative(0.08f, 0.288f, 0.187f, 0.763f, 0.177f, 0.773f)
                curveToRelative(-0.003f, 0.0f, -0.15f, -0.008f, -0.331f, -0.022f)
                arcToRelative(6.185f, 6.185f, 0.0f, false, false, -0.381f, -0.02f)
                lineToRelative(-0.055f, 0.005f)
                lineToRelative(-0.181f, 0.662f)
                curveToRelative(-0.1f, 0.363f, -0.184f, 0.664f, -0.187f, 0.667f)
                curveToRelative(-0.01f, 0.007f, -0.536f, -0.02f, -1.005f, -0.05f)
                curveToRelative(-0.54f, -0.035f, -0.7f, -0.032f, -0.836f, 0.017f)
                curveToRelative(-0.125f, 0.045f, -0.241f, 0.05f, -0.306f, 0.014f)
                lineToRelative(0.002f, -0.001f)
                close()
                moveTo(15.171f, 23.627f)
                curveToRelative(0.0f, -0.026f, 0.023f, -0.181f, 0.05f, -0.345f)
                curveToRelative(0.027f, -0.165f, 0.05f, -0.337f, 0.05f, -0.383f)
                curveToRelative(0.0f, -0.056f, 0.013f, -0.116f, 0.04f, -0.175f)
                curveToRelative(0.02f, -0.05f, 0.036f, -0.09f, 0.033f, -0.093f)
                curveToRelative(-0.002f, -0.002f, -0.368f, -0.03f, -0.813f, -0.062f)
                curveToRelative(-0.637f, -0.046f, -0.86f, -0.067f, -1.053f, -0.103f)
                lineToRelative(-0.244f, -0.046f)
                lineToRelative(-0.58f, 0.072f)
                curveToRelative(-0.414f, 0.05f, -0.588f, 0.078f, -0.607f, 0.095f)
                curveToRelative(-0.02f, 0.02f, -0.201f, 0.042f, -0.712f, 0.094f)
                curveToRelative(-0.376f, 0.038f, -0.717f, 0.075f, -0.756f, 0.083f)
                lineToRelative(-0.072f, 0.013f)
                lineToRelative(0.004f, 0.083f)
                curveToRelative(0.003f, 0.065f, 0.02f, 0.115f, 0.083f, 0.231f)
                curveToRelative(0.06f, 0.113f, 0.088f, 0.191f, 0.12f, 0.331f)
                curveToRelative(0.02f, 0.1f, 0.042f, 0.184f, 0.046f, 0.188f)
                curveToRelative(0.003f, 0.003f, 0.973f, 0.014f, 2.157f, 0.023f)
                curveToRelative(2.034f, 0.016f, 2.154f, 0.018f, 2.191f, 0.045f)
                curveToRelative(0.046f, 0.035f, 0.064f, 0.02f, 0.064f, -0.05f)
                lineToRelative(-0.001f, -0.001f)
                close()
                moveTo(10.389f, 22.448f)
                curveToRelative(0.873f, -0.123f, 1.226f, -0.168f, 1.572f, -0.194f)
                curveToRelative(0.387f, -0.028f, 0.897f, -0.087f, 1.259f, -0.143f)
                curveToRelative(0.057f, -0.01f, 0.248f, -0.02f, 0.424f, -0.026f)
                lineToRelative(0.321f, -0.01f)
                lineToRelative(0.377f, 0.097f)
                lineToRelative(0.379f, 0.098f)
                lineToRelative(0.682f, 0.04f)
                curveToRelative(0.377f, 0.023f, 0.687f, 0.04f, 0.69f, 0.036f)
                arcToRelative(2.93f, 2.93f, 0.0f, false, false, -0.07f, -0.229f)
                curveToRelative(-0.042f, -0.122f, -0.11f, -0.333f, -0.155f, -0.468f)
                lineToRelative(-0.077f, -0.244f)
                lineToRelative(-0.231f, -0.072f)
                lineToRelative(-0.231f, -0.073f)
                lineToRelative(-0.156f, 0.066f)
                lineToRelative(-0.156f, 0.065f)
                lineToRelative(-1.776f, 0.057f)
                lineToRelative(-1.774f, 0.058f)
                lineToRelative(-0.118f, -0.06f)
                lineToRelative(-0.118f, -0.057f)
                lineTo(9.8f, 21.389f)
                lineToRelative(-0.269f, 0.597f)
                curveToRelative(-0.148f, 0.328f, -0.271f, 0.602f, -0.276f, 0.609f)
                curveToRelative(-0.008f, 0.016f, -0.124f, 0.03f, 1.134f, -0.147f)
                close()
                moveTo(16.516f, 21.412f)
                curveToRelative(0.0f, -0.017f, -0.431f, -1.435f, -0.444f, -1.457f)
                curveToRelative(-0.007f, -0.012f, -0.05f, 0.024f, -0.115f, 0.096f)
                lineToRelative(-0.105f, 0.115f)
                lineToRelative(0.154f, 0.568f)
                lineToRelative(0.153f, 0.568f)
                lineToRelative(0.169f, 0.06f)
                curveToRelative(0.181f, 0.064f, 0.191f, 0.067f, 0.191f, 0.05f)
                close()
                moveTo(9.728f, 20.699f)
                lineToRelative(0.191f, -0.355f)
                lineToRelative(-0.057f, -0.083f)
                curveToRelative(-0.032f, -0.046f, -0.063f, -0.08f, -0.068f, -0.073f)
                curveToRelative(-0.007f, 0.006f, -0.142f, 0.238f, -0.303f, 0.515f)
                reflectiveCurveToRelative(-0.297f, 0.511f, -0.302f, 0.517f)
                curveToRelative(-0.004f, 0.01f, 0.072f, -0.026f, 0.171f, -0.075f)
                lineToRelative(0.176f, -0.09f)
                lineToRelative(0.192f, -0.356f)
                close()
                moveTo(12.685f, 20.627f)
                curveToRelative(0.106f, -0.306f, 0.193f, -0.562f, 0.193f, -0.57f)
                arcToRelative(0.856f, 0.856f, 0.0f, false, false, -0.198f, -0.075f)
                arcToRelative(3.495f, 3.495f, 0.0f, false, true, -0.201f, -0.066f)
                arcToRelative(0.578f, 0.578f, 0.0f, false, true, 0.063f, -0.11f)
                lineToRelative(0.068f, -0.104f)
                lineToRelative(0.405f, -0.02f)
                curveToRelative(0.706f, -0.033f, 1.114f, -0.155f, 1.51f, -0.451f)
                curveToRelative(0.15f, -0.11f, 0.214f, -0.128f, 0.296f, -0.085f)
                curveToRelative(0.07f, 0.04f, 0.12f, 0.128f, 0.106f, 0.191f)
                curveToRelative(-0.01f, 0.042f, -0.028f, 0.056f, -0.241f, 0.197f)
                curveToRelative(-0.201f, 0.13f, -0.876f, 0.428f, -1.114f, 0.492f)
                curveToRelative(-0.136f, 0.035f, -0.289f, 0.12f, -0.323f, 0.181f)
                curveToRelative(-0.04f, 0.066f, -0.159f, 0.92f, -0.132f, 0.947f)
                curveToRelative(0.006f, 0.006f, 1.148f, -0.04f, 1.33f, -0.056f)
                curveToRelative(0.11f, -0.008f, 0.117f, -0.01f, 0.161f, -0.067f)
                curveToRelative(0.024f, -0.032f, 0.13f, -0.153f, 0.238f, -0.267f)
                curveToRelative(0.106f, -0.113f, 0.301f, -0.333f, 0.431f, -0.488f)
                curveToRelative(0.13f, -0.154f, 0.328f, -0.381f, 0.437f, -0.502f)
                curveToRelative(0.171f, -0.189f, 0.263f, -0.318f, 0.619f, -0.857f)
                curveToRelative(0.878f, -1.324f, 0.937f, -1.441f, 1.003f, -1.969f)
                curveToRelative(0.045f, -0.375f, 0.067f, -0.447f, 0.214f, -0.697f)
                curveToRelative(0.146f, -0.249f, 0.294f, -0.965f, 0.213f, -1.033f)
                curveToRelative(-0.072f, -0.06f, -0.153f, -0.032f, -0.427f, 0.15f)
                curveToRelative(-0.512f, 0.341f, -1.039f, 0.841f, -1.114f, 1.053f)
                curveToRelative(-0.034f, 0.095f, -0.223f, 0.373f, -0.285f, 0.418f)
                lineToRelative(-0.519f, 0.369f)
                curveToRelative(-0.582f, 0.414f, -0.52f, 0.349f, -0.849f, 0.879f)
                lineToRelative(-0.11f, 0.174f)
                lineToRelative(-0.327f, 0.173f)
                lineToRelative(-0.328f, 0.171f)
                lineToRelative(-0.616f, 0.015f)
                curveToRelative(-1.23f, 0.028f, -1.288f, 0.022f, -1.943f, -0.207f)
                lineToRelative(-0.431f, -0.153f)
                lineToRelative(-0.344f, -0.303f)
                curveToRelative(-0.191f, -0.168f, -0.53f, -0.47f, -0.754f, -0.672f)
                lineToRelative(-0.407f, -0.368f)
                lineToRelative(-0.142f, -0.321f)
                arcToRelative(28.99f, 28.99f, 0.0f, false, true, -0.497f, -1.15f)
                curveToRelative(-0.084f, -0.226f, -0.09f, -0.231f, -0.275f, -0.428f)
                curveToRelative(-0.341f, -0.361f, -0.529f, -0.757f, -0.757f, -1.612f)
                curveToRelative(-0.045f, -0.165f, -0.078f, -0.259f, -0.1f, -0.281f)
                curveToRelative(-0.018f, -0.016f, -0.028f, -0.022f, -0.023f, -0.012f)
                curveToRelative(0.006f, 0.01f, 0.0f, 0.046f, -0.012f, 0.082f)
                curveToRelative(-0.157f, 0.441f, -0.209f, 0.768f, -0.249f, 1.559f)
                curveToRelative(-0.02f, 0.359f, -0.02f, 0.351f, 0.096f, 0.983f)
                curveToRelative(0.225f, 1.226f, 0.296f, 1.5f, 0.409f, 1.565f)
                curveToRelative(0.04f, 0.024f, 0.165f, 0.146f, 0.291f, 0.286f)
                curveToRelative(0.341f, 0.376f, 0.448f, 0.485f, 0.604f, 0.61f)
                curveToRelative(0.285f, 0.231f, 0.735f, 0.71f, 0.901f, 0.961f)
                curveToRelative(0.04f, 0.06f, 0.102f, 0.14f, 0.135f, 0.177f)
                curveToRelative(0.15f, 0.163f, 0.462f, 0.6f, 0.899f, 1.259f)
                lineToRelative(0.314f, 0.475f)
                lineToRelative(0.13f, -0.007f)
                curveToRelative(0.09f, -0.006f, 0.329f, 0.012f, 0.74f, 0.054f)
                curveToRelative(0.336f, 0.035f, 0.635f, 0.064f, 0.665f, 0.065f)
                horizontalLineToRelative(0.056f)
                lineToRelative(0.191f, -0.555f)
                close()
                moveTo(10.409f, 21.082f)
                arcToRelative(1.103f, 1.103f, 0.0f, false, false, -0.122f, -0.201f)
                curveToRelative(-0.075f, -0.107f, -0.14f, -0.195f, -0.15f, -0.191f)
                curveToRelative(-0.01f, 0.003f, -0.138f, 0.268f, -0.181f, 0.374f)
                curveToRelative(-0.01f, 0.031f, 0.341f, 0.044f, 0.453f, 0.018f)
                close()
                moveTo(13.175f, 18.324f)
                curveToRelative(0.046f, -0.033f, 0.127f, -0.055f, 0.376f, -0.105f)
                curveToRelative(0.311f, -0.06f, 0.375f, -0.083f, 0.628f, -0.211f)
                arcToRelative(0.309f, 0.309f, 0.0f, false, false, 0.092f, -0.11f)
                arcToRelative(0.74f, 0.74f, 0.0f, false, true, 0.11f, -0.138f)
                curveToRelative(0.04f, -0.036f, 0.055f, -0.062f, 0.055f, -0.098f)
                curveToRelative(0.0f, -0.078f, 0.227f, -0.275f, 1.091f, -0.946f)
                arcToRelative(0.9f, 0.9f, 0.0f, false, false, 0.245f, -0.268f)
                curveToRelative(0.074f, -0.11f, 0.158f, -0.211f, 0.263f, -0.309f)
                curveToRelative(0.085f, -0.08f, 0.291f, -0.284f, 0.459f, -0.451f)
                curveToRelative(0.168f, -0.171f, 0.391f, -0.376f, 0.497f, -0.462f)
                arcToRelative(3.44f, 3.44f, 0.0f, false, false, 0.241f, -0.204f)
                curveToRelative(0.03f, -0.032f, 0.157f, -0.106f, 0.335f, -0.196f)
                curveToRelative(0.159f, -0.08f, 0.295f, -0.156f, 0.301f, -0.168f)
                curveToRelative(0.018f, -0.03f, 0.09f, -0.06f, 0.508f, -0.217f)
                curveToRelative(0.889f, -0.331f, 1.479f, -0.492f, 1.79f, -0.492f)
                curveToRelative(0.08f, 0.0f, 0.096f, -0.052f, 0.067f, -0.219f)
                curveToRelative(-0.068f, -0.395f, -0.296f, -0.552f, -0.808f, -0.552f)
                horizontalLineToRelative(-0.181f)
                lineToRelative(-0.063f, -0.067f)
                curveToRelative(-0.06f, -0.065f, -0.067f, -0.087f, -0.124f, -0.325f)
                curveToRelative(-0.115f, -0.485f, -0.185f, -0.532f, -0.742f, -0.516f)
                curveToRelative(-0.435f, 0.013f, -0.552f, 0.06f, -1.754f, 0.718f)
                curveToRelative(-0.602f, 0.331f, -1.035f, 0.702f, -1.543f, 1.33f)
                arcToRelative(0.964f, 0.964f, 0.0f, false, true, -0.11f, 0.123f)
                curveToRelative(-0.311f, -0.002f, -0.303f, -0.472f, 0.017f, -0.949f)
                lineToRelative(0.106f, -0.157f)
                lineToRelative(-0.084f, -0.035f)
                curveToRelative(-0.236f, -0.107f, -0.532f, -0.123f, -0.74f, -0.04f)
                curveToRelative(-0.291f, 0.116f, -1.023f, 0.525f, -1.117f, 0.622f)
                curveToRelative(-0.098f, 0.103f, -0.187f, 0.106f, -0.187f, 0.007f)
                curveToRelative(0.0f, -0.122f, 0.114f, -0.285f, 0.289f, -0.411f)
                curveToRelative(0.04f, -0.032f, 0.11f, -0.088f, 0.153f, -0.127f)
                arcToRelative(1.63f, 1.63f, 0.0f, false, true, 0.435f, -0.261f)
                curveToRelative(0.147f, -0.06f, 0.142f, -0.052f, 0.09f, -0.15f)
                curveToRelative(-0.14f, -0.255f, -0.525f, -0.546f, -0.915f, -0.689f)
                curveToRelative(-0.05f, -0.02f, -0.169f, -0.07f, -0.263f, -0.112f)
                curveToRelative(-0.221f, -0.102f, -0.331f, -0.124f, -0.672f, -0.136f)
                curveToRelative(-0.244f, -0.01f, -0.283f, -0.014f, -0.267f, -0.033f)
                curveToRelative(0.074f, -0.09f, 0.311f, -0.133f, 0.79f, -0.144f)
                lineToRelative(0.384f, -0.01f)
                lineToRelative(0.248f, 0.11f)
                curveToRelative(0.697f, 0.301f, 0.963f, 0.462f, 1.074f, 0.645f)
                curveToRelative(0.076f, 0.128f, 0.084f, 0.133f, 0.194f, 0.112f)
                curveToRelative(0.266f, -0.05f, 0.518f, 0.032f, 0.765f, 0.249f)
                curveToRelative(0.135f, 0.12f, 0.184f, 0.13f, 0.274f, 0.063f)
                arcToRelative(0.773f, 0.773f, 0.0f, false, false, 0.273f, -0.502f)
                curveToRelative(0.035f, -0.271f, -0.06f, -1.136f, -0.153f, -1.385f)
                curveToRelative(-0.07f, -0.188f, -0.057f, -0.196f, 0.087f, -0.046f)
                curveToRelative(0.171f, 0.178f, 0.171f, 0.178f, 0.326f, -0.11f)
                curveToRelative(0.04f, -0.076f, 0.103f, -0.176f, 0.138f, -0.221f)
                curveToRelative(0.291f, -0.367f, 0.281f, -1.047f, -0.017f, -1.347f)
                curveToRelative(-0.15f, -0.15f, -0.404f, -0.291f, -0.815f, -0.446f)
                curveToRelative(-0.403f, -0.155f, -0.47f, -0.211f, -0.77f, -0.628f)
                curveToRelative(-0.361f, -0.506f, -0.425f, -0.567f, -0.724f, -0.708f)
                curveToRelative(-0.617f, -0.293f, -2.101f, -0.562f, -2.57f, -0.467f)
                curveToRelative(-0.441f, 0.09f, -1.04f, 0.447f, -1.32f, 0.789f)
                curveToRelative(-0.175f, 0.213f, -0.63f, 0.377f, -1.274f, 0.462f)
                curveToRelative(-0.84f, 0.108f, -1.254f, 0.828f, -1.041f, 1.806f)
                curveToRelative(0.04f, 0.191f, 0.038f, 0.189f, 0.165f, 0.034f)
                curveToRelative(0.405f, -0.505f, 1.209f, -0.976f, 1.93f, -1.13f)
                curveToRelative(0.575f, -0.12f, 1.475f, -0.126f, 2.01f, -0.01f)
                lineToRelative(0.096f, 0.022f)
                horizontalLineToRelative(-0.144f)
                curveToRelative(-0.75f, 0.01f, -1.904f, 0.257f, -2.722f, 0.584f)
                lineToRelative(-0.176f, 0.07f)
                lineToRelative(-0.016f, 0.087f)
                curveToRelative(-0.015f, 0.083f, -0.022f, 0.093f, -0.281f, 0.351f)
                curveToRelative(-0.536f, 0.539f, -0.69f, 0.796f, -0.775f, 1.286f)
                curveToRelative(-0.04f, 0.239f, 0.036f, 0.589f, 0.15f, 0.678f)
                curveToRelative(0.027f, 0.022f, 0.047f, 0.05f, 0.042f, 0.06f)
                arcToRelative(2.825f, 2.825f, 0.0f, false, false, -0.026f, 0.225f)
                curveToRelative(-0.076f, 0.845f, 0.323f, 1.866f, 0.96f, 2.453f)
                lineToRelative(0.144f, 0.133f)
                lineToRelative(0.108f, -0.09f)
                curveToRelative(0.317f, -0.259f, 0.859f, -0.614f, 0.888f, -0.582f)
                curveToRelative(0.043f, 0.05f, 0.034f, 0.09f, -0.033f, 0.155f)
                curveToRelative(-0.085f, 0.082f, -0.196f, 0.226f, -0.496f, 0.642f)
                lineToRelative(-0.259f, 0.361f)
                lineToRelative(0.007f, 0.104f)
                curveToRelative(0.01f, 0.13f, 0.076f, 0.337f, 0.147f, 0.451f)
                curveToRelative(0.03f, 0.046f, 0.09f, 0.15f, 0.136f, 0.229f)
                curveToRelative(0.167f, 0.284f, 0.321f, 0.52f, 0.424f, 0.642f)
                curveToRelative(0.096f, 0.117f, 0.184f, 0.241f, 0.284f, 0.401f)
                curveToRelative(0.028f, 0.046f, 0.05f, 0.064f, 0.07f, 0.06f)
                curveToRelative(0.04f, -0.01f, 0.09f, 0.026f, 0.279f, 0.204f)
                curveToRelative(0.186f, 0.171f, 0.083f, 0.122f, 0.845f, 0.408f)
                curveToRelative(0.823f, 0.309f, 1.131f, 0.369f, 1.465f, 0.286f)
                curveToRelative(0.09f, -0.022f, 0.097f, -0.022f, 0.168f, 0.015f)
                curveToRelative(0.09f, 0.047f, 0.09f, 0.047f, 0.163f, -0.002f)
                verticalLineToRelative(0.005f)
                close()
                moveTo(6.827f, 14.504f)
                curveToRelative(0.003f, -0.003f, 0.02f, -0.103f, 0.037f, -0.225f)
                curveToRelative(0.017f, -0.12f, 0.053f, -0.286f, 0.08f, -0.367f)
                lineToRelative(0.193f, -0.644f)
                curveToRelative(0.177f, -0.602f, 0.159f, -0.55f, 0.178f, -0.52f)
                curveToRelative(0.025f, 0.042f, 0.015f, -0.01f, -0.016f, -0.074f)
                arcToRelative(1.69f, 1.69f, 0.0f, false, true, -0.066f, -0.171f)
                lineToRelative(-0.034f, -0.108f)
                lineToRelative(0.034f, -0.588f)
                lineToRelative(0.034f, -0.589f)
                lineToRelative(-0.055f, -0.397f)
                arcToRelative(6.234f, 6.234f, 0.0f, false, false, -0.064f, -0.406f)
                curveToRelative(-0.032f, -0.032f, -0.464f, 0.145f, -0.599f, 0.245f)
                curveToRelative(-0.175f, 0.13f, -0.401f, 0.679f, -0.492f, 1.194f)
                curveToRelative(-0.12f, 0.694f, -0.008f, 1.647f, 0.226f, 1.916f)
                curveToRelative(0.07f, 0.08f, 0.226f, 0.378f, 0.357f, 0.68f)
                lineToRelative(0.034f, 0.077f)
                lineToRelative(0.075f, -0.01f)
                arcToRelative(0.347f, 0.347f, 0.0f, false, false, 0.078f, -0.013f)
                close()
                moveTo(21.602f, 13.194f)
                curveToRelative(0.126f, -0.088f, 0.238f, -0.177f, 0.246f, -0.196f)
                curveToRelative(0.015f, -0.037f, 0.213f, -1.099f, 0.281f, -1.507f)
                lineToRelative(0.042f, -0.257f)
                lineToRelative(-0.042f, -0.447f)
                lineToRelative(-0.042f, -0.446f)
                lineToRelative(-0.125f, -0.48f)
                curveToRelative(-0.124f, -0.475f, -0.128f, -0.484f, -0.264f, -0.755f)
                curveToRelative(-0.216f, -0.431f, -0.194f, -0.236f, -0.379f, -3.358f)
                lineToRelative(-0.035f, -0.578f)
                lineToRelative(-0.053f, -0.055f)
                curveToRelative(-0.07f, -0.075f, -0.337f, -0.458f, -0.963f, -1.388f)
                arcToRelative(14.255f, 14.255f, 0.0f, false, false, -0.546f, -0.781f)
                arcToRelative(16.04f, 16.04f, 0.0f, false, false, -0.821f, -0.146f)
                curveToRelative(-0.395f, -0.055f, -0.736f, -0.025f, -1.055f, 0.094f)
                curveToRelative(-0.128f, 0.048f, -0.14f, 0.05f, -0.201f, 0.03f)
                curveToRelative(-0.138f, -0.047f, -0.293f, -0.003f, -0.569f, 0.164f)
                lineToRelative(-0.145f, 0.087f)
                lineToRelative(-0.166f, -0.221f)
                curveToRelative(-0.191f, -0.251f, -0.194f, -0.255f, -0.57f, -0.502f)
                curveToRelative(-0.64f, -0.416f, -0.716f, -0.449f, -1.632f, -0.692f)
                curveToRelative(-0.353f, -0.094f, -0.311f, -0.062f, -0.993f, -0.742f)
                lineToRelative(-0.535f, -0.532f)
                lineToRelative(-0.585f, 0.008f)
                curveToRelative(-0.989f, 0.015f, -1.482f, 0.06f, -1.6f, 0.142f)
                curveToRelative(-0.712f, 0.508f, -1.094f, 0.888f, -1.538f, 1.531f)
                lineToRelative(-0.103f, 0.15f)
                lineToRelative(-0.386f, 0.184f)
                curveToRelative(-0.422f, 0.203f, -1.034f, 0.392f, -1.201f, 0.369f)
                curveToRelative(-0.092f, -0.012f, -0.421f, -0.18f, -0.658f, -0.341f)
                curveToRelative(-0.438f, -0.291f, -0.739f, -0.326f, -1.088f, -0.124f)
                curveToRelative(-0.284f, 0.163f, -0.483f, 0.269f, -1.286f, 0.675f)
                curveToRelative(-0.861f, 0.437f, -0.965f, 0.496f, -1.246f, 0.705f)
                lineToRelative(-0.164f, 0.123f)
                lineToRelative(-0.143f, 0.288f)
                curveToRelative(-0.311f, 0.626f, -0.305f, 0.602f, -0.321f, 1.415f)
                curveToRelative(-0.03f, 1.52f, -0.035f, 2.008f, -0.016f, 2.122f)
                curveToRelative(0.03f, 0.179f, 0.036f, 0.374f, 0.016f, 0.505f)
                curveToRelative(-0.028f, 0.171f, -0.387f, 1.387f, -0.585f, 1.977f)
                curveToRelative(-0.066f, 0.199f, -0.135f, 0.52f, -0.159f, 0.736f)
                curveToRelative(-0.01f, 0.07f, 0.0f, 0.175f, 0.036f, 0.391f)
                curveToRelative(0.026f, 0.164f, 0.07f, 0.451f, 0.097f, 0.64f)
                curveToRelative(0.066f, 0.464f, 0.12f, 0.562f, 0.358f, 0.64f)
                curveToRelative(0.209f, 0.07f, 0.309f, 0.063f, 0.732f, -0.045f)
                curveToRelative(0.793f, -0.203f, 0.813f, -0.197f, 1.134f, 0.378f)
                curveToRelative(0.078f, 0.137f, 0.112f, 0.184f, 0.143f, 0.193f)
                curveToRelative(0.105f, 0.03f, 0.725f, 0.01f, 0.866f, -0.027f)
                lineToRelative(0.194f, -0.05f)
                lineToRelative(0.056f, -0.015f)
                lineToRelative(-0.02f, -0.096f)
                arcToRelative(2.414f, 2.414f, 0.0f, false, true, -0.023f, -0.624f)
                curveToRelative(0.024f, -0.268f, 0.064f, -0.506f, 0.153f, -0.889f)
                curveToRelative(0.004f, -0.017f, -0.006f, -0.004f, -0.022f, 0.03f)
                lineToRelative(-0.03f, 0.06f)
                lineToRelative(-0.035f, -0.157f)
                arcToRelative(1.876f, 1.876f, 0.0f, false, false, -0.291f, -0.672f)
                arcToRelative(6.435f, 6.435f, 0.0f, false, true, -0.421f, -0.87f)
                lineToRelative(-0.093f, -0.231f)
                lineToRelative(0.01f, -0.161f)
                curveToRelative(0.05f, -0.718f, 0.224f, -1.186f, 0.597f, -1.595f)
                curveToRelative(0.227f, -0.248f, 0.293f, -0.351f, 0.325f, -0.522f)
                curveToRelative(0.025f, -0.13f, 0.106f, -0.807f, 0.171f, -1.395f)
                lineToRelative(0.057f, -0.547f)
                lineToRelative(0.241f, -0.715f)
                curveToRelative(0.13f, -0.394f, 0.231f, -0.722f, 0.225f, -0.728f)
                arcToRelative(9.003f, 9.003f, 0.0f, false, false, -0.693f, -0.321f)
                curveToRelative(-0.124f, -0.035f, -0.412f, -0.023f, -0.632f, 0.027f)
                curveToRelative(-0.705f, 0.161f, -1.224f, 0.532f, -1.25f, 0.893f)
                curveToRelative(-0.007f, 0.08f, -0.362f, 0.827f, -0.395f, 0.828f)
                curveToRelative(-0.02f, 0.0f, -0.074f, -0.098f, -0.093f, -0.169f)
                curveToRelative(-0.02f, -0.074f, -0.012f, -0.115f, 0.073f, -0.351f)
                curveToRelative(0.032f, -0.088f, 0.097f, -0.307f, 0.145f, -0.487f)
                curveToRelative(0.12f, -0.443f, 0.14f, -0.477f, 0.405f, -0.599f)
                lineToRelative(0.467f, -0.221f)
                curveToRelative(0.675f, -0.325f, 1.657f, -0.578f, 1.899f, -0.49f)
                curveToRelative(0.143f, 0.05f, 0.359f, 0.226f, 0.552f, 0.446f)
                lineToRelative(0.092f, 0.104f)
                lineToRelative(-0.09f, 0.246f)
                curveToRelative(-0.458f, 1.266f, -0.575f, 1.617f, -0.606f, 1.823f)
                curveToRelative(-0.071f, 0.458f, -0.066f, 1.465f, 0.008f, 1.695f)
                curveToRelative(0.058f, 0.188f, 0.054f, 0.195f, -0.223f, 0.377f)
                curveToRelative(-0.477f, 0.316f, -0.953f, 0.919f, -0.973f, 1.233f)
                curveToRelative(-0.013f, 0.211f, 0.09f, 0.634f, 0.221f, 0.888f)
                curveToRelative(0.052f, 0.105f, 0.589f, 0.913f, 0.606f, 0.913f)
                curveToRelative(0.006f, 0.0f, 0.03f, -0.04f, 0.057f, -0.09f)
                arcToRelative(1.9f, 1.9f, 0.0f, false, true, 0.704f, -0.773f)
                curveToRelative(0.316f, -0.204f, 0.317f, -0.204f, 0.341f, -0.313f)
                curveToRelative(0.161f, -0.725f, 0.425f, -1.144f, 0.88f, -1.385f)
                lineToRelative(0.197f, -0.105f)
                lineToRelative(-0.095f, -0.035f)
                curveToRelative(-0.145f, -0.053f, -0.271f, -0.143f, -0.428f, -0.308f)
                curveToRelative(-0.697f, -0.733f, -0.966f, -1.566f, -0.688f, -2.127f)
                curveToRelative(0.02f, -0.04f, 0.052f, -0.122f, 0.072f, -0.184f)
                curveToRelative(0.245f, -0.755f, 0.931f, -1.164f, 1.842f, -1.101f)
                curveToRelative(0.896f, 0.063f, 1.294f, 0.296f, 1.618f, 0.94f)
                curveToRelative(0.311f, 0.624f, 0.294f, 1.191f, -0.055f, 1.751f)
                lineToRelative(-0.066f, 0.106f)
                lineToRelative(0.06f, -0.058f)
                curveToRelative(0.068f, -0.063f, 0.766f, -0.374f, 0.946f, -0.421f)
                curveToRelative(0.268f, -0.07f, 0.659f, -0.03f, 1.894f, 0.193f)
                curveToRelative(0.499f, 0.09f, 0.584f, 0.125f, 0.823f, 0.341f)
                curveToRelative(0.05f, 0.048f, 0.09f, 0.076f, 0.09f, 0.064f)
                reflectiveCurveToRelative(-0.01f, -0.104f, -0.025f, -0.206f)
                curveToRelative(-0.083f, -0.617f, 0.034f, -1.401f, 0.269f, -1.786f)
                curveToRelative(0.284f, -0.466f, 1.375f, -0.883f, 1.974f, -0.754f)
                curveToRelative(0.301f, 0.065f, 0.769f, 0.355f, 1.021f, 0.635f)
                curveToRelative(0.032f, 0.036f, 0.06f, 0.056f, 0.06f, 0.045f)
                curveToRelative(0.0f, -0.01f, -0.02f, -0.325f, -0.04f, -0.699f)
                arcToRelative(11.12f, 11.12f, 0.0f, false, true, -0.03f, -0.689f)
                curveToRelative(0.008f, -0.006f, 0.144f, -0.084f, 0.306f, -0.174f)
                lineToRelative(0.293f, -0.161f)
                lineToRelative(0.052f, 0.04f)
                curveToRelative(0.044f, 0.032f, 0.169f, 0.063f, 0.78f, 0.191f)
                lineToRelative(0.763f, 0.164f)
                curveToRelative(0.027f, 0.006f, 0.085f, 0.09f, 0.216f, 0.307f)
                curveToRelative(0.097f, 0.164f, 0.271f, 0.448f, 0.388f, 0.632f)
                curveToRelative(0.425f, 0.68f, 0.502f, 0.856f, 0.411f, 0.941f)
                curveToRelative(-0.093f, 0.087f, -0.108f, 0.086f, -0.169f, -0.007f)
                curveToRelative(-0.03f, -0.045f, -0.201f, -0.314f, -0.379f, -0.595f)
                arcToRelative(16.068f, 16.068f, 0.0f, false, false, -0.351f, -0.539f)
                curveToRelative(-0.02f, -0.02f, -0.998f, -0.346f, -1.487f, -0.497f)
                curveToRelative(-0.239f, -0.073f, -0.492f, 1.151f, -0.434f, 2.099f)
                curveToRelative(0.02f, 0.319f, 0.02f, 0.321f, 0.291f, 0.57f)
                curveToRelative(0.169f, 0.156f, 0.858f, 1.126f, 0.993f, 1.397f)
                lineToRelative(0.067f, 0.136f)
                lineToRelative(-0.006f, 0.826f)
                lineToRelative(-0.005f, 0.825f)
                lineToRelative(-0.105f, 0.177f)
                curveToRelative(-0.441f, 0.742f, -0.694f, 1.021f, -0.985f, 1.096f)
                curveToRelative(-0.161f, 0.04f, -0.339f, 0.175f, -0.324f, 0.241f)
                curveToRelative(0.005f, 0.022f, 0.013f, 0.154f, 0.02f, 0.291f)
                curveToRelative(0.006f, 0.167f, 0.016f, 0.253f, 0.027f, 0.253f)
                curveToRelative(0.01f, 0.0f, 0.073f, -0.01f, 0.14f, -0.023f)
                curveToRelative(0.455f, -0.087f, 0.958f, -0.057f, 1.261f, 0.073f)
                curveToRelative(0.11f, 0.047f, 0.116f, 0.064f, 0.128f, 0.344f)
                curveToRelative(0.017f, 0.375f, 0.042f, 0.407f, 0.353f, 0.457f)
                curveToRelative(0.348f, 0.055f, 0.468f, 0.114f, 0.695f, 0.344f)
                lineToRelative(0.128f, 0.13f)
                lineToRelative(0.462f, 0.002f)
                lineToRelative(0.462f, 0.002f)
                lineToRelative(0.245f, -0.168f)
                close()
                moveTo(9.954f, 3.808f)
                arcToRelative(13.19f, 13.19f, 0.0f, false, false, -0.833f, -0.494f)
                curveToRelative(-0.338f, -0.171f, -0.351f, -0.201f, -0.117f, -0.309f)
                curveToRelative(0.341f, -0.157f, 0.474f, -0.11f, 0.908f, 0.315f)
                curveToRelative(0.168f, 0.165f, 0.369f, 0.349f, 0.448f, 0.411f)
                curveToRelative(0.156f, 0.118f, 0.328f, 0.275f, 0.328f, 0.297f)
                curveToRelative(0.0f, 0.027f, -0.115f, 0.14f, -0.14f, 0.14f)
                arcToRelative(8.7f, 8.7f, 0.0f, false, true, -0.594f, -0.36f)
                close()
                moveTo(13.941f, 3.998f)
                arcToRelative(0.518f, 0.518f, 0.0f, false, true, -0.235f, -0.191f)
                lineToRelative(-0.042f, -0.07f)
                lineToRelative(0.03f, -0.068f)
                curveToRelative(0.04f, -0.095f, 0.076f, -0.13f, 0.231f, -0.231f)
                curveToRelative(0.074f, -0.05f, 0.159f, -0.11f, 0.188f, -0.134f)
                curveToRelative(0.159f, -0.14f, 1.179f, -0.558f, 1.358f, -0.558f)
                curveToRelative(0.1f, 0.0f, 0.13f, 0.02f, 0.176f, 0.125f)
                arcToRelative(0.63f, 0.63f, 0.0f, false, false, 0.065f, 0.12f)
                curveToRelative(0.05f, 0.056f, -0.06f, 0.115f, -0.341f, 0.179f)
                curveToRelative(-0.15f, 0.034f, -0.502f, 0.176f, -0.818f, 0.328f)
                lineToRelative(-0.258f, 0.125f)
                lineToRelative(-0.148f, 0.201f)
                curveToRelative(-0.08f, 0.11f, -0.15f, 0.201f, -0.15f, 0.201f)
                lineTo(13.94f, 4.0f)
                lineToRelative(0.001f, -0.002f)
                close()
                moveTo(16.191f, 12.607f)
                curveToRelative(0.117f, -0.103f, 0.612f, -0.334f, 0.898f, -0.418f)
                curveToRelative(0.104f, -0.03f, 0.171f, -0.307f, 0.171f, -0.72f)
                verticalLineToRelative(-0.234f)
                lineToRelative(-0.092f, -0.191f)
                curveToRelative(-0.097f, -0.201f, -0.203f, -0.378f, -0.221f, -0.371f)
                curveToRelative(-0.006f, 0.002f, -0.203f, 0.251f, -0.437f, 0.556f)
                lineToRelative(-0.427f, 0.552f)
                lineToRelative(0.01f, 0.249f)
                lineToRelative(0.01f, 0.444f)
                curveToRelative(0.0f, 0.225f, -0.006f, 0.218f, 0.09f, 0.134f)
                lineToRelative(-0.002f, -0.001f)
                close()
                moveTo(17.83f, 10.808f)
                lineToRelative(0.344f, -0.132f)
                lineToRelative(0.112f, -0.169f)
                curveToRelative(0.391f, -0.592f, 0.512f, -0.901f, 0.529f, -1.379f)
                lineToRelative(0.01f, -0.308f)
                lineToRelative(-0.228f, -0.361f)
                curveToRelative(-0.386f, -0.607f, -0.636f, -1.018f, -0.722f, -1.187f)
                arcToRelative(0.36f, 0.36f, 0.0f, false, false, -0.062f, -0.1f)
                curveToRelative(-0.062f, -0.04f, -0.245f, 0.12f, -0.458f, 0.401f)
                curveToRelative(-0.15f, 0.201f, -0.226f, 0.254f, -0.674f, 0.478f)
                curveToRelative(-0.592f, 0.295f, -0.876f, 0.341f, -1.292f, 0.213f)
                arcToRelative(7.003f, 7.003f, 0.0f, false, false, -0.552f, -0.156f)
                curveToRelative(-0.042f, 0.0f, 0.133f, 0.206f, 0.294f, 0.347f)
                curveToRelative(0.126f, 0.11f, 0.221f, 0.161f, 0.346f, 0.181f)
                curveToRelative(0.191f, 0.03f, 0.547f, 0.231f, 1.094f, 0.612f)
                curveToRelative(0.303f, 0.214f, 0.261f, 0.133f, 0.291f, 0.55f)
                lineToRelative(0.027f, 0.351f)
                lineToRelative(0.08f, 0.078f)
                curveToRelative(0.1f, 0.098f, 0.214f, 0.251f, 0.381f, 0.51f)
                curveToRelative(0.07f, 0.112f, 0.13f, 0.205f, 0.132f, 0.205f)
                lineToRelative(0.348f, -0.134f)
                close()
                moveTo(16.111f, 7.689f)
                curveToRelative(0.446f, -0.164f, 0.704f, -0.665f, 0.527f, -1.023f)
                curveToRelative(-0.194f, -0.391f, -0.634f, -0.702f, -0.998f, -0.702f)
                curveToRelative(-0.425f, 0.0f, -0.979f, 0.482f, -0.979f, 0.853f)
                curveToRelative(0.0f, 0.008f, 0.058f, -0.038f, 0.127f, -0.104f)
                curveToRelative(0.329f, -0.311f, 0.692f, -0.346f, 1.05f, -0.105f)
                curveToRelative(0.385f, 0.258f, 0.469f, 0.77f, 0.173f, 1.064f)
                curveToRelative(-0.078f, 0.08f, -0.067f, 0.08f, 0.1f, 0.02f)
                verticalLineToRelative(-0.003f)
                close()
                moveTo(8.407f, 7.529f)
                arcToRelative(0.963f, 0.963f, 0.0f, false, true, -0.026f, -0.396f)
                curveToRelative(0.145f, -0.778f, 1.09f, -1.005f, 1.51f, -0.364f)
                lineToRelative(0.064f, 0.1f)
                lineToRelative(-0.009f, -0.129f)
                curveToRelative(-0.069f, -0.971f, -1.094f, -1.234f, -1.726f, -0.443f)
                curveToRelative(-0.356f, 0.447f, -0.299f, 1.13f, 0.105f, 1.274f)
                curveToRelative(0.103f, 0.036f, 0.107f, 0.034f, 0.08f, -0.042f)
                horizontalLineToRelative(0.002f)
                close()
                moveTo(17.267f, 7.002f)
                curveToRelative(0.261f, -0.439f, 0.226f, -1.053f, -0.088f, -1.53f)
                curveToRelative(-0.421f, -0.642f, -1.084f, -0.841f, -1.806f, -0.542f)
                curveToRelative(-0.559f, 0.231f, -0.776f, 0.517f, -0.825f, 1.081f)
                curveToRelative(-0.022f, 0.251f, -0.012f, 0.281f, 0.058f, 0.176f)
                curveToRelative(0.238f, -0.354f, 0.644f, -0.547f, 1.094f, -0.522f)
                curveToRelative(0.712f, 0.038f, 1.24f, 0.539f, 1.385f, 1.316f)
                lineToRelative(0.034f, 0.183f)
                lineToRelative(0.008f, 0.04f)
                lineToRelative(0.04f, -0.05f)
                arcToRelative(1.56f, 1.56f, 0.0f, false, false, 0.1f, -0.154f)
                verticalLineToRelative(0.002f)
                close()
                moveTo(15.836f, 7.092f)
                arcToRelative(0.125f, 0.125f, 0.0f, false, false, 0.04f, -0.096f)
                arcToRelative(0.127f, 0.127f, 0.0f, false, false, -0.04f, -0.095f)
                arcToRelative(0.128f, 0.128f, 0.0f, false, false, -0.096f, -0.04f)
                curveToRelative(-0.04f, 0.0f, -0.07f, 0.013f, -0.097f, 0.04f)
                arcToRelative(0.13f, 0.13f, 0.0f, false, false, -0.038f, 0.096f)
                curveToRelative(0.0f, 0.123f, 0.146f, 0.185f, 0.233f, 0.098f)
                lineToRelative(-0.002f, -0.003f)
                close()
                moveTo(7.618f, 6.883f)
                curveToRelative(0.138f, -0.773f, 0.732f, -1.289f, 1.48f, -1.289f)
                curveToRelative(0.485f, 0.0f, 0.838f, 0.274f, 1.043f, 0.809f)
                curveToRelative(0.054f, 0.14f, 0.06f, 0.143f, 0.087f, 0.035f)
                curveToRelative(0.07f, -0.274f, -0.01f, -0.848f, -0.163f, -1.149f)
                curveToRelative(-0.26f, -0.518f, -1.032f, -0.779f, -1.751f, -0.591f)
                curveToRelative(-0.415f, 0.106f, -0.9f, 0.64f, -0.997f, 1.097f)
                curveToRelative(-0.1f, 0.468f, -0.038f, 0.849f, 0.191f, 1.167f)
                curveToRelative(0.077f, 0.108f, 0.077f, 0.108f, 0.11f, -0.08f)
                verticalLineToRelative(0.001f)
                close()
                moveTo(9.546f, 6.883f)
                arcToRelative(0.128f, 0.128f, 0.0f, false, false, 0.04f, -0.096f)
                curveToRelative(0.0f, -0.04f, -0.013f, -0.07f, -0.04f, -0.097f)
                curveToRelative(-0.027f, -0.028f, -0.056f, -0.041f, -0.096f, -0.041f)
                reflectiveCurveToRelative(-0.07f, 0.013f, -0.096f, 0.04f)
                arcToRelative(0.128f, 0.128f, 0.0f, false, false, -0.04f, 0.097f)
                arcToRelative(0.136f, 0.136f, 0.0f, false, false, 0.232f, 0.097f)
                close()
            }
        }
        .build()
        return _packagist!!
    }

private var _packagist: ImageVector? = null
