package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Postcss: ImageVector
    get() {
        if (_postcss != null) {
            return _postcss!!
        }
        _postcss = Builder(name = "Postcss", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.6266f, 0.008f)
                curveToRelative(-0.235f, 0.008f, -0.47f, 0.0322f, -0.7053f, 0.0645f)
                curveToRelative(-0.2266f, 0.0246f, -0.4533f, 0.0649f, -0.672f, 0.0978f)
                curveToRelative(-0.2669f, 0.0323f, -0.5341f, 0.0485f, -0.8017f, 0.0812f)
                curveToRelative(-0.2512f, 0.0326f, -0.5104f, 0.0813f, -0.7613f, 0.122f)
                curveToRelative(-0.0893f, 0.0161f, -0.1787f, 0.0484f, -0.268f, 0.0644f)
                curveToRelative(-0.194f, 0.0406f, -0.3966f, 0.057f, -0.5912f, 0.122f)
                curveToRelative(-0.3479f, 0.106f, -0.6966f, 0.228f, -1.0368f, 0.3573f)
                curveToRelative(-0.3162f, 0.13f, -0.6241f, 0.2678f, -0.9237f, 0.43f)
                curveToRelative(-0.3079f, 0.17f, -0.5998f, 0.3725f, -0.8914f, 0.5677f)
                curveToRelative(-0.2759f, 0.1866f, -0.5508f, 0.3812f, -0.8187f, 0.5921f)
                curveToRelative(-0.2586f, 0.2032f, -0.502f, 0.4301f, -0.7372f, 0.6574f)
                curveToRelative(-0.1293f, 0.1293f, -0.235f, 0.2837f, -0.3567f, 0.4297f)
                curveToRelative(-0.2023f, 0.2355f, -0.4047f, 0.4623f, -0.5993f, 0.7059f)
                curveToRelative(-0.1613f, 0.2032f, -0.308f, 0.4138f, -0.462f, 0.625f)
                curveToRelative(-0.275f, 0.3726f, -0.5098f, 0.7705f, -0.7284f, 1.1682f)
                curveToRelative(-0.0893f, 0.1623f, -0.17f, 0.3246f, -0.251f, 0.4865f)
                curveToRelative(-0.1216f, 0.2432f, -0.2513f, 0.4788f, -0.3646f, 0.7304f)
                curveToRelative(-0.0812f, 0.1705f, -0.146f, 0.357f, -0.1946f, 0.5435f)
                curveToRelative(-0.113f, 0.3978f, -0.2266f, 0.8036f, -0.332f, 1.2008f)
                curveToRelative(-0.0972f, 0.3572f, -0.1217f, 0.7304f, -0.1294f, 1.0955f)
                curveToRelative(-0.0083f, 0.3245f, 0.0241f, 0.641f, 0.0564f, 0.9655f)
                curveToRelative(0.0083f, 0.0813f, -0.0399f, 0.1785f, 0.0568f, 0.2432f)
                curveToRelative(-0.0324f, 0.0893f, -0.008f, 0.1385f, 0.04f, 0.1539f)
                curveToRelative(-0.056f, 0.0893f, 0.0246f, 0.1466f, -0.0075f, 0.2279f)
                curveToRelative(-0.0083f, 0.0161f, 0.0247f, 0.0484f, 0.0401f, 0.0727f)
                curveToRelative(0.0f, 0.0246f, -0.0077f, 0.0569f, 0.0f, 0.0812f)
                curveToRelative(0.0087f, 0.073f, 0.0408f, 0.146f, 0.0408f, 0.2272f)
                curveToRelative(0.0f, 0.0567f, 0.0485f, 0.1218f, 0.0649f, 0.1787f)
                curveToRelative(0.0079f, 0.024f, 0.0f, 0.0645f, -0.0163f, 0.0808f)
                curveToRelative(-0.0486f, 0.0567f, -0.0406f, 0.1053f, 0.0323f, 0.138f)
                curveToRelative(0.041f, 0.1052f, 0.0247f, 0.1538f, 0.0166f, 0.203f)
                curveToRelative(0.016f, 0.0728f, -0.0083f, 0.0972f, 0.0f, 0.1135f)
                curveToRelative(0.0647f, 0.13f, 0.0891f, 0.2757f, 0.0968f, 0.4216f)
                curveToRelative(0.0f, 0.0326f, 0.0163f, 0.0653f, 0.0326f, 0.1057f)
                curveToRelative(0.008f, 0.0f, 0.0f, 0.1542f, 0.0f, 0.1542f)
                curveToRelative(0.04f, -0.024f, 0.0732f, -0.0323f, 0.1135f, -0.0486f)
                curveToRelative(0.0246f, 0.1053f, 0.0485f, 0.2032f, 0.0809f, 0.2924f)
                curveToRelative(0.0406f, 0.0647f, 0.0408f, 0.0967f, 0.0247f, 0.1047f)
                curveToRelative(0.0324f, 0.146f, 0.0484f, 0.284f, 0.1047f, 0.422f)
                curveToRelative(0.0f, -0.154f, -0.0155f, -0.308f, -0.04f, -0.4543f)
                curveToRelative(0.1132f, 0.0407f, 0.2105f, 0.0812f, 0.2754f, 0.0812f)
                curveToRelative(0.0083f, -0.0246f, 0.0164f, -0.0567f, 0.0248f, -0.073f)
                curveToRelative(-0.0486f, -0.0483f, -0.0892f, -0.1212f, -0.1379f, -0.1699f)
                curveToRelative(0.0162f, 0.0647f, 0.0f, 0.0892f, 0.0f, 0.1138f)
                curveToRelative(-0.0323f, -0.0166f, -0.0731f, -0.0329f, -0.1135f, -0.0492f)
                curveToRelative(0.0324f, -0.04f, 0.0649f, -0.081f, 0.1135f, -0.1294f)
                curveToRelative(0.0f, -0.0733f, -0.04f, -0.1384f, -0.1539f, -0.13f)
                curveToRelative(0.0487f, -0.0162f, 0.0973f, -0.0402f, 0.1539f, -0.0568f)
                curveToRelative(0.0893f, -0.0483f, -0.0081f, -0.1375f, -0.0081f, -0.251f)
                curveToRelative(0.008f, -0.1377f, -0.0728f, -0.2757f, -0.0972f, -0.422f)
                curveTo(0.755f, 12.52f, 0.7632f, 12.1792f, 0.739f, 11.952f)
                curveToRelative(-0.0487f, -0.0407f, -0.0892f, 0.0647f, -0.0972f, 0.073f)
                curveToRelative(0.0247f, 0.1946f, 0.0486f, 0.3891f, 0.0646f, 0.584f)
                curveToRelative(-0.0483f, -0.1623f, -0.081f, -0.3408f, -0.1213f, -0.5357f)
                curveToRelative(-0.0083f, 0.0569f, -0.0162f, 0.081f, -0.0162f, 0.1138f)
                curveToRelative(-0.04f, 0.04f, -0.008f, 0.0894f, 0.0162f, 0.146f)
                curveToRelative(-0.0566f, -0.0246f, -0.1216f, -0.016f, -0.1216f, -0.016f)
                verticalLineToRelative(0.2272f)
                curveToRelative(-0.0807f, -0.0813f, -0.1048f, -0.1462f, -0.1457f, -0.2035f)
                curveToRelative(-0.016f, -0.0647f, -0.0248f, -0.1293f, -0.0401f, -0.194f)
                curveToRelative(0.0153f, -0.0409f, 0.0f, -0.065f, 0.0f, -0.089f)
                arcToRelative(4.9287f, 4.9287f, 0.0f, false, true, -0.0245f, -0.1953f)
                curveToRelative(0.008f, -0.008f, -0.0081f, -0.1294f, -0.0081f, -0.1294f)
                curveToRelative(0.0647f, 0.008f, 0.1057f, 0.0153f, 0.146f, 0.0153f)
                curveToRelative(-0.081f, -0.1047f, -0.0247f, -0.1698f, 0.0082f, -0.2347f)
                curveToRelative(0.0162f, -0.0326f, 0.073f, -0.0401f, 0.0893f, -0.0734f)
                curveToRelative(0.0647f, -0.1217f, 0.1702f, -0.2185f, 0.1702f, -0.373f)
                curveToRelative(0.0f, -0.073f, 0.025f, -0.154f, 0.0326f, -0.2273f)
                curveToRelative(0.0162f, -0.138f, 0.0321f, -0.2758f, 0.0398f, -0.4137f)
                curveToRelative(0.0166f, -0.1786f, 1.0E-4f, -0.3573f, 0.041f, -0.5276f)
                curveToRelative(0.0653f, -0.2832f, 0.1462f, -0.5675f, 0.2351f, -0.8516f)
                curveToRelative(0.0647f, -0.2032f, 0.1382f, -0.397f, 0.2188f, -0.6003f)
                curveToRelative(0.1216f, -0.3165f, 0.235f, -0.633f, 0.389f, -0.9328f)
                curveToRelative(0.2186f, -0.4384f, 0.4698f, -0.8604f, 0.713f, -1.2902f)
                curveToRelative(0.154f, -0.2678f, 0.316f, -0.5194f, 0.4865f, -0.7789f)
                curveToRelative(0.1617f, -0.2515f, 0.3234f, -0.5111f, 0.5103f, -0.7467f)
                curveToRelative(0.2595f, -0.3325f, 0.5432f, -0.641f, 0.8591f, -0.9168f)
                curveToRelative(0.3242f, -0.2919f, 0.632f, -0.592f, 0.9801f, -0.8598f)
                arcToRelative(9.8482f, 9.8482f, 0.0f, false, true, 1.4415f, -0.9256f)
                curveToRelative(0.4135f, -0.2186f, 0.8427f, -0.3898f, 1.2722f, -0.552f)
                curveToRelative(0.2756f, -0.1053f, 0.5753f, -0.154f, 0.8592f, -0.2433f)
                curveToRelative(0.3239f, -0.1056f, 0.648f, -0.1537f, 0.9882f, -0.162f)
                curveToRelative(0.2186f, -0.008f, 0.4293f, -0.0327f, 0.6479f, -0.0571f)
                arcToRelative(16.277f, 16.277f, 0.0f, false, false, 0.6f, -0.0564f)
                arcToRelative(0.3469f, 0.3469f, 0.0f, false, false, -0.0409f, 0.0645f)
                curveToRelative(-0.0886f, 0.13f, -0.1859f, 0.26f, -0.2751f, 0.3896f)
                curveToRelative(-0.073f, 0.1056f, -0.154f, 0.2191f, -0.227f, 0.3244f)
                curveToRelative(-0.1299f, 0.171f, -0.2676f, 0.3412f, -0.389f, 0.5197f)
                curveToRelative(-0.1862f, 0.268f, -0.3567f, 0.5437f, -0.5513f, 0.8113f)
                curveToRelative(-0.194f, 0.2595f, -0.4048f, 0.5032f, -0.6074f, 0.7544f)
                curveToRelative(-0.2673f, 0.3492f, -0.5186f, 0.706f, -0.7858f, 1.0548f)
                curveToRelative(-0.2432f, 0.3325f, -0.5016f, 0.6495f, -0.7369f, 0.982f)
                curveToRelative(-0.2106f, 0.2916f, -0.3973f, 0.6004f, -0.5999f, 0.9f)
                curveToRelative(-0.2996f, 0.4464f, -0.5993f, 0.8844f, -0.8989f, 1.3309f)
                arcToRelative(83.6172f, 83.6172f, 0.0f, false, true, -0.713f, 1.014f)
                curveToRelative(-0.0163f, 0.0246f, -0.0406f, 0.0319f, -0.0646f, 0.0482f)
                curveToRelative(-0.0647f, 0.1053f, -0.0647f, 0.1623f, -0.0894f, 0.211f)
                curveToRelative(-0.0646f, 0.1215f, -0.1292f, 0.2434f, -0.2024f, 0.3573f)
                curveToRelative(-0.0407f, 0.0647f, -0.0975f, 0.1212f, -0.1461f, 0.1862f)
                curveToRelative(-0.008f, -0.0973f, 0.1292f, -0.1461f, 0.0645f, -0.268f)
                curveToRelative(-0.04f, 0.0652f, -0.081f, 0.1218f, -0.1212f, 0.1868f)
                lineToRelative(-0.0972f, 0.194f)
                curveToRelative(0.0318f, 0.0242f, 0.0863f, 0.0408f, 0.034f, 0.0874f)
                curveToRelative(-0.0054f, -0.019f, -0.0327f, -0.0318f, -0.0532f, -0.0473f)
                lineToRelative(-3.0E-4f, -4.0E-4f)
                arcToRelative(4.5465f, 4.5465f, 0.0f, false, false, -0.1937f, 0.2925f)
                curveToRelative(0.0486f, 0.0403f, 0.0726f, 0.0244f, 0.105f, -0.0326f)
                curveToRelative(0.0292f, -0.0586f, 0.0713f, -0.1043f, 0.1092f, -0.1542f)
                arcToRelative(2.28f, 2.28f, 0.0f, false, true, -0.0417f, 0.0743f)
                arcToRelative(0.2946f, 0.2946f, 0.0f, false, false, 0.0893f, -0.0815f)
                curveToRelative(0.0f, 0.0893f, -0.0487f, 0.1621f, -0.0893f, 0.235f)
                curveToRelative(-0.0324f, 0.0648f, -0.1133f, 0.1138f, -0.17f, 0.1621f)
                curveToRelative(0.008f, 0.008f, 0.0648f, 0.0327f, 0.0731f, 0.0408f)
                curveToRelative(0.073f, -0.0246f, 0.0973f, -0.0648f, 0.1057f, -0.0408f)
                curveToRelative(0.0246f, -0.0323f, 0.0484f, -0.0566f, 0.0564f, -0.0809f)
                curveToRelative(0.032f, -0.0813f, 0.0807f, -0.146f, 0.1617f, -0.1787f)
                curveToRelative(0.0326f, -0.0162f, 0.0568f, -0.0405f, 0.0812f, -0.0645f)
                curveToRelative(0.2432f, -0.2518f, 0.4941f, -0.495f, 0.7127f, -0.763f)
                curveToRelative(0.3405f, -0.414f, 0.6484f, -0.8435f, 0.973f, -1.2653f)
                curveToRelative(0.1373f, -0.1786f, 0.2997f, -0.357f, 0.4453f, -0.5276f)
                curveToRelative(0.024f, 0.1866f, 0.008f, 0.3649f, 0.0f, 0.5357f)
                curveToRelative(-0.0246f, 0.3f, -0.0405f, 0.6002f, -0.0645f, 0.9081f)
                curveToRelative(-0.0083f, 0.1216f, -2.0E-4f, 0.2432f, -0.0085f, 0.3652f)
                curveToRelative(0.0f, 0.0323f, -0.0245f, 0.0567f, -0.0245f, 0.0893f)
                curveToRelative(0.0f, 0.081f, 0.0245f, 0.1704f, 0.0245f, 0.2517f)
                curveToRelative(-0.0246f, 0.3002f, -0.0572f, 0.5919f, -0.0815f, 0.892f)
                curveToRelative(-0.0083f, 0.0647f, 0.024f, 0.13f, 0.04f, 0.1869f)
                curveToRelative(-0.04f, 0.4378f, 0.0492f, 0.9007f, -0.024f, 1.3632f)
                curveToRelative(0.0566f, -0.0893f, 0.073f, -0.1462f, 0.073f, -0.2028f)
                curveToRelative(0.0077f, -0.0487f, 0.0f, -0.0973f, 0.0f, -0.154f)
                verticalLineToRelative(-0.0811f)
                curveToRelative(0.0077f, -0.1463f, 0.0398f, -0.3001f, 0.0238f, -0.4464f)
                curveToRelative(-0.0162f, -0.1622f, -0.0164f, -0.3162f, 0.0162f, -0.4705f)
                curveToRelative(0.0163f, -0.0647f, -0.0077f, -0.146f, 0.033f, -0.2272f)
                verticalLineToRelative(0.1216f)
                curveToRelative(-0.008f, 0.4618f, 0.0083f, 0.9246f, -0.0564f, 1.387f)
                curveToRelative(-0.0083f, 0.0407f, 0.0244f, 0.114f, -0.0649f, 0.1056f)
                curveToRelative(-0.0733f, 0.146f, 0.016f, 0.2516f, -0.0646f, 0.3326f)
                curveToRelative(-0.0166f, 0.0162f, 0.0155f, 0.0893f, 0.0239f, 0.138f)
                curveToRelative(-0.0327f, 0.0975f, -0.0327f, 0.0975f, 0.016f, 0.1056f)
                curveToRelative(0.008f, 0.1785f, 0.0246f, 0.3403f, 0.0323f, 0.5109f)
                curveToRelative(0.1293f, -0.3079f, 0.0647f, -0.6251f, 0.122f, -0.9416f)
                curveToRelative(0.0079f, 0.1299f, 0.0163f, 0.2601f, 0.008f, 0.3974f)
                curveToRelative(0.0f, 0.2115f, -0.0083f, 0.4138f, -0.0162f, 0.6247f)
                curveToRelative(0.0f, 0.0407f, -0.0083f, 0.0813f, -0.0162f, 0.122f)
                curveToRelative(-0.0247f, 0.1139f, -0.0321f, 0.2272f, -0.0727f, 0.3325f)
                curveToRelative(-0.0324f, 0.0813f, -0.016f, 0.2033f, -0.016f, 0.3003f)
                verticalLineToRelative(0.3088f)
                curveToRelative(0.0323f, 0.138f, -0.0084f, 0.2108f, 0.016f, 0.2918f)
                curveToRelative(-0.0247f, 0.0816f, -0.0325f, 0.1061f, -0.0248f, 0.1304f)
                lineToRelative(0.0248f, 0.1216f)
                curveToRelative(0.1622f, -0.0162f, 0.0892f, 0.1056f, 0.1539f, 0.1702f)
                curveToRelative(-0.0487f, 0.0653f, -0.0323f, 0.0893f, -0.0323f, 0.1223f)
                curveToRelative(0.0f, 0.073f, -0.0078f, 0.138f, -0.016f, 0.211f)
                curveToRelative(0.0f, 0.1865f, -0.0082f, 0.373f, -0.0082f, 0.5516f)
                curveToRelative(0.0f, 0.0246f, 0.0081f, 0.0484f, 0.0081f, 0.0727f)
                curveToRelative(0.0f, 0.0166f, -0.008f, 0.2276f, -0.008f, 0.2276f)
                curveToRelative(0.0161f, 0.024f, -2.0E-4f, 0.0484f, -0.0249f, 0.0727f)
                curveToRelative(-0.0077f, 0.0f, -0.032f, -1.0303f, -0.032f, -1.0303f)
                horizontalLineToRelative(-0.1216f)
                curveToRelative(-0.016f, 0.4864f, 0.0248f, 0.9244f, -0.0645f, 1.3792f)
                curveToRelative(-0.0973f, 0.008f, -0.1295f, 0.024f, -0.2354f, 0.024f)
                curveToRelative(-0.2512f, 0.0f, -0.5023f, -1.0E-4f, -0.7535f, 0.008f)
                curveToRelative(-0.2999f, 0.0f, -0.5912f, 0.008f, -0.8914f, 0.008f)
                curveToRelative(-0.1453f, 0.0f, -0.2991f, 0.0167f, -0.445f, 0.0167f)
                curveToRelative(-0.1947f, 0.0f, -0.3972f, -0.0248f, -0.5912f, -0.0248f)
                curveToRelative(-0.3002f, 0.0f, -0.5919f, 0.0246f, -0.8917f, 0.0326f)
                curveToRelative(-0.2186f, 0.008f, -0.4371f, 0.008f, -0.6557f, 0.0162f)
                curveToRelative(-0.1463f, 0.008f, -0.2926f, 0.0157f, -0.438f, 0.0323f)
                curveToRelative(-0.0646f, 0.008f, -0.1214f, 0.032f, -0.2024f, 0.0564f)
                curveToRelative(-0.0246f, 0.0f, -0.0811f, -0.008f, -0.1294f, 0.0f)
                curveToRelative(-0.0816f, 0.0162f, -0.1538f, 0.0649f, -0.2354f, 0.0815f)
                curveToRelative(-0.1216f, 0.0246f, -0.154f, 0.0564f, -0.138f, 0.1783f)
                verticalLineToRelative(0.0812f)
                curveToRelative(-0.0079f, 0.016f, 0.1784f, -0.0248f, 0.1784f, -0.0248f)
                curveToRelative(-0.0166f, 0.0f, -0.0246f, 0.0487f, -0.0492f, 0.0893f)
                curveToRelative(0.0652f, -0.0246f, 0.1057f, -0.0407f, 0.1464f, -0.0567f)
                curveToRelative(0.1216f, 0.057f, 0.2268f, 0.0246f, 0.3237f, 0.0492f)
                curveToRelative(0.316f, 0.0807f, 0.64f, 0.114f, 0.9638f, 0.1457f)
                curveToRelative(0.211f, 0.0162f, 0.4135f, 0.0246f, 0.624f, 0.0323f)
                curveToRelative(0.2997f, 0.0162f, 0.5994f, 0.0326f, 0.899f, 0.0326f)
                curveToRelative(0.2512f, 0.0f, 0.4944f, -0.0245f, 0.745f, -0.0245f)
                curveToRelative(0.348f, 0.0f, 0.6971f, 0.016f, 1.0453f, 0.0245f)
                curveToRelative(0.073f, 0.0f, 0.1541f, -0.008f, 0.2351f, -0.008f)
                horizontalLineToRelative(0.5911f)
                curveToRelative(0.5271f, -0.016f, 1.0536f, -0.0247f, 1.5804f, -0.04f)
                curveToRelative(0.3002f, -0.009f, 0.6078f, -0.0247f, 0.9074f, -0.033f)
                lineToRelative(0.9237f, -0.0248f)
                curveToRelative(0.3565f, -0.008f, 0.713f, -0.008f, 1.0616f, -0.0153f)
                curveToRelative(0.2672f, 0.0f, 0.5264f, -0.009f, 0.7943f, -0.017f)
                curveToRelative(0.2992f, -0.008f, 0.6071f, -0.0322f, 0.907f, -0.0483f)
                curveToRelative(0.1623f, -0.008f, 0.3245f, -0.0247f, 0.4865f, -0.0408f)
                curveToRelative(0.1946f, -0.016f, 0.3971f, -0.04f, 0.5911f, -0.0483f)
                curveToRelative(0.2919f, -0.0166f, 0.5917f, -0.0244f, 0.8836f, -0.0408f)
                curveToRelative(0.3645f, -0.024f, 0.7292f, -0.0566f, 1.1017f, -0.0649f)
                curveToRelative(0.3405f, -0.016f, 0.6888f, -0.008f, 1.0293f, -0.016f)
                curveToRelative(0.3f, -0.008f, 0.5996f, -0.0246f, 0.9074f, -0.0326f)
                lineToRelative(0.5113f, -0.0248f)
                reflectiveCurveToRelative(0.34f, -0.008f, 0.5102f, -0.0245f)
                curveToRelative(0.2916f, -0.016f, 0.583f, -0.0484f, 0.8748f, -0.0564f)
                curveToRelative(0.186f, -0.008f, 0.3726f, 2.0E-4f, 0.5589f, -0.008f)
                curveToRelative(0.2996f, -0.008f, 0.6075f, -0.0248f, 0.9074f, -0.0248f)
                curveToRelative(0.113f, 0.0f, 0.2345f, 0.0168f, 0.3805f, 0.0248f)
                curveToRelative(-0.0647f, 0.057f, -0.1053f, 0.0891f, -0.154f, 0.1298f)
                curveToRelative(0.0324f, 0.008f, 0.0646f, 0.0247f, 0.0972f, 0.0408f)
                curveToRelative(-0.0486f, 0.0323f, -0.089f, 0.0401f, -0.129f, 0.0401f)
                curveToRelative(-0.0167f, 0.041f, -0.033f, 0.057f, -0.0493f, 0.1383f)
                horizontalLineToRelative(0.1457f)
                curveToRelative(-0.0566f, 0.0f, -0.105f, 0.073f, -0.1617f, 0.1216f)
                curveToRelative(-0.0646f, -0.0166f, -0.1219f, 0.0f, -0.1542f, 0.0893f)
                curveToRelative(0.0567f, 0.032f, 0.0488f, 0.0564f, 0.0408f, 0.0893f)
                curveToRelative(-0.0973f, 0.032f, -0.1701f, 0.0646f, -0.1292f, 0.1698f)
                curveToRelative(-0.033f, 0.0161f, -0.0734f, 0.0324f, -0.114f, 0.0567f)
                curveToRelative(-0.0401f, 0.0647f, -0.1133f, 0.081f, -0.0973f, 0.1702f)
                curveToRelative(0.0327f, 0.008f, 0.0647f, 0.025f, 0.0894f, 0.0323f)
                curveToRelative(-0.0407f, 0.0162f, -0.081f, 0.0404f, -0.1216f, 0.0564f)
                curveToRelative(-0.1457f, 0.0893f, -0.081f, 0.13f, -0.0486f, 0.1706f)
                curveToRelative(-0.0246f, 0.0162f, -0.0484f, 0.0324f, -0.0727f, 0.0408f)
                curveToRelative(0.016f, 0.073f, 0.04f, 0.0893f, 0.0482f, 0.0893f)
                arcToRelative(2.7824f, 2.7824f, 0.0f, false, false, -0.085f, 0.0678f)
                arcToRelative(0.1666f, 0.1666f, 0.0f, false, true, 0.01f, -0.0264f)
                horizontalLineToRelative(-0.0325f)
                curveToRelative(0.0f, 0.0149f, 0.003f, 0.0277f, 0.0052f, 0.0404f)
                curveToRelative(-0.0074f, 0.006f, -0.0116f, 0.009f, -0.0193f, 0.0153f)
                curveToRelative(-0.0246f, 0.073f, -0.057f, 0.1052f, -0.0893f, 0.1538f)
                curveToRelative(-0.0323f, 0.0487f, -0.0487f, 0.114f, -0.0893f, 0.1624f)
                curveToRelative(-0.17f, 0.187f, -0.2917f, 0.4064f, -0.5103f, 0.552f)
                curveToRelative(-0.0813f, 0.057f, -0.154f, 0.1299f, -0.227f, 0.2031f)
                curveToRelative(-0.1459f, 0.1377f, -0.2754f, 0.292f, -0.4293f, 0.422f)
                curveToRelative(-0.2023f, 0.1702f, -0.4124f, 0.324f, -0.6316f, 0.4783f)
                curveToRelative(-0.267f, 0.1865f, -0.5342f, 0.3734f, -0.8018f, 0.552f)
                curveToRelative(-0.1459f, 0.097f, -0.308f, 0.1699f, -0.462f, 0.2592f)
                curveToRelative(-0.154f, 0.0893f, -0.2999f, 0.1705f, -0.4538f, 0.2595f)
                curveToRelative(-0.0973f, 0.0647f, -0.1865f, 0.1539f, -0.2918f, 0.2031f)
                curveToRelative(-0.2673f, 0.114f, -0.551f, 0.211f, -0.8262f, 0.3166f)
                curveToRelative(-0.2679f, 0.114f, -0.462f, 0.2107f, -0.6645f, 0.2837f)
                curveToRelative(-0.1863f, 0.0647f, -0.3809f, 0.1139f, -0.5752f, 0.1539f)
                curveToRelative(-0.0646f, 0.0166f, -0.138f, 1.0E-4f, -0.211f, 0.009f)
                curveToRelative(-0.1379f, 0.0246f, -0.2754f, 0.0574f, -0.4134f, 0.0734f)
                curveToRelative(-0.3565f, 0.0486f, -0.7129f, 0.081f, -1.069f, 0.1297f)
                curveToRelative(-0.211f, 0.0246f, -0.4139f, 0.0647f, -0.6245f, 0.0893f)
                curveToRelative(-0.1456f, 0.008f, -0.2994f, -0.008f, -0.4453f, -0.008f)
                curveToRelative(-0.1053f, 0.0f, -0.2185f, 0.0248f, -0.3241f, 0.009f)
                curveToRelative(-0.17f, -0.0246f, -0.3404f, -0.0645f, -0.5106f, -0.0972f)
                curveToRelative(-0.04f, -0.008f, -0.0971f, -0.0248f, -0.1291f, -0.008f)
                curveToRelative(-0.0647f, 0.0326f, -0.1222f, -0.016f, -0.1872f, 0.0f)
                curveToRelative(-0.04f, 0.008f, -0.0806f, -0.0245f, -0.1213f, -0.0245f)
                curveToRelative(-0.0326f, -0.008f, -0.0731f, 0.009f, -0.1138f, 0.0f)
                curveToRelative(-0.0892f, -0.024f, -0.17f, -0.0566f, -0.268f, -0.0486f)
                curveToRelative(-0.0963f, 0.008f, -0.194f, -0.0405f, -0.2986f, -0.0645f)
                curveToRelative(-0.1463f, -0.0326f, -0.2832f, -0.0645f, -0.4298f, -0.0975f)
                curveToRelative(-0.0563f, -0.0162f, -0.1047f, -0.0407f, -0.1617f, -0.073f)
                curveToRelative(-0.2109f, 0.0f, -0.3487f, -0.008f, -0.4783f, -0.057f)
                curveToRelative(-0.1133f, -0.04f, -0.2185f, -0.0969f, -0.34f, -0.0806f)
                curveToRelative(-0.032f, 0.008f, -0.0565f, -0.008f, -0.0894f, -0.008f)
                curveToRelative(-0.0246f, -0.0326f, -0.0484f, -0.0975f, -0.0724f, -0.0975f)
                curveToRelative(-0.162f, 0.008f, -0.2592f, -0.1292f, -0.3971f, -0.1702f)
                curveToRelative(-0.0727f, -0.0246f, -0.1295f, -0.1057f, -0.2025f, -0.13f)
                curveToRelative(-0.1786f, -0.073f, -0.3237f, -0.2268f, -0.5262f, -0.2511f)
                curveToRelative(-0.0647f, -0.008f, -0.1296f, -0.041f, -0.2028f, -0.065f)
                curveToRelative(0.0246f, 0.032f, 0.0402f, 0.0567f, 0.0648f, 0.0809f)
                curveToRelative(-0.2349f, -0.114f, -0.4537f, -0.2433f, -0.6726f, -0.3652f)
                curveToRelative(-0.032f, -0.008f, -0.0562f, -0.04f, -0.0805f, -0.0567f)
                lineToRelative(-0.2189f, -0.1473f)
                curveToRelative(-0.1216f, 0.0246f, -0.1701f, -0.0244f, -0.203f, -0.0404f)
                curveToRelative(-0.2187f, -0.1539f, -0.4696f, -0.2516f, -0.6805f, -0.4219f)
                curveToRelative(-0.0893f, -0.0733f, -0.194f, -0.122f, -0.2586f, -0.2112f)
                curveToRelative(-0.114f, -0.138f, -0.2517f, -0.235f, -0.4056f, -0.316f)
                curveToRelative(-0.1213f, -0.0647f, -0.2346f, -0.138f, -0.3479f, -0.211f)
                curveToRelative(-0.057f, -0.0406f, -0.1138f, -0.0893f, -0.1138f, -0.1786f)
                curveToRelative(0.0f, -0.057f, -0.0239f, -0.1138f, -0.0968f, -0.0812f)
                curveToRelative(-0.0324f, -0.0486f, -0.0647f, -0.1053f, -0.1053f, -0.1216f)
                curveToRelative(-0.0973f, -0.04f, -0.1622f, -0.114f, -0.2351f, -0.1787f)
                curveToRelative(-0.073f, -0.0647f, -0.1292f, -0.1538f, -0.2185f, -0.1862f)
                curveToRelative(-0.1622f, -0.0647f, -0.2597f, -0.2026f, -0.3567f, -0.3162f)
                curveToRelative(-0.2272f, -0.2679f, -0.4297f, -0.5603f, -0.6403f, -0.8435f)
                curveToRelative(-0.0163f, -0.0246f, -0.0487f, -0.041f, -0.073f, -0.0652f)
                curveToRelative(0.0323f, 0.0893f, 0.073f, 0.1622f, 0.1134f, 0.2432f)
                curveToRelative(-0.0807f, -0.0323f, -0.1372f, -0.0894f, -0.1858f, -0.146f)
                curveToRelative(-0.0083f, 0.008f, 0.5585f, 0.9412f, 0.5585f, 0.9412f)
                curveToRelative(0.0492f, 0.073f, 0.0893f, 0.1462f, 0.1379f, 0.2191f)
                curveToRelative(-0.1216f, 0.008f, -0.2026f, -0.057f, -0.2432f, -0.13f)
                curveToRelative(-0.0727f, -0.1294f, -0.1537f, -0.2103f, -0.3157f, -0.1937f)
                curveToRelative(-0.016f, -0.0573f, -0.0324f, -0.1223f, -0.04f, -0.1787f)
                arcToRelative(0.6159f, 0.6159f, 0.0f, false, true, -0.1142f, -0.009f)
                curveToRelative(0.114f, 0.1786f, 0.211f, 0.3327f, 0.3163f, 0.5112f)
                curveToRelative(-0.041f, -0.0246f, -0.0646f, -0.0406f, -0.0815f, -0.0486f)
                curveToRelative(0.1456f, 0.154f, 0.251f, 0.3488f, 0.4372f, 0.4464f)
                curveToRelative(0.0407f, 0.1863f, 0.2513f, 0.2756f, 0.3f, 0.4542f)
                curveToRelative(-0.04f, -0.008f, -0.0735f, -0.0164f, -0.1142f, -0.0248f)
                curveToRelative(-0.0646f, -0.081f, -0.1376f, -0.1618f, -0.2103f, -0.251f)
                arcToRelative(0.4071f, 0.4071f, 0.0f, false, false, 0.0727f, 0.1457f)
                curveToRelative(0.0973f, 0.1216f, 0.1867f, 0.2432f, 0.3f, 0.3488f)
                curveToRelative(0.0406f, 0.0413f, 0.0972f, 0.0575f, 0.0972f, 0.1305f)
                curveToRelative(0.0646f, 0.0323f, 0.0894f, 0.04f, 0.1134f, 0.04f)
                curveToRelative(0.0166f, 0.0494f, -0.0075f, 0.1223f, 0.0894f, 0.106f)
                curveToRelative(0.0646f, 0.1216f, 0.1291f, 0.1215f, 0.2184f, 0.0812f)
                curveToRelative(0.1056f, 0.1056f, 0.1624f, 0.114f, 0.235f, 0.0492f)
                curveToRelative(0.0f, 0.04f, 0.0082f, 0.0808f, 0.0082f, 0.1135f)
                curveToRelative(0.0323f, -0.0162f, 0.0248f, -0.0405f, 0.0248f, -0.0812f)
                curveToRelative(0.04f, 0.0323f, 0.0645f, 0.0485f, 0.0805f, 0.0645f)
                curveToRelative(0.081f, 0.1139f, 0.1541f, 0.2191f, 0.2674f, 0.3084f)
                curveToRelative(0.154f, 0.13f, 0.2916f, 0.268f, 0.4369f, 0.3896f)
                curveToRelative(0.2839f, 0.2356f, 0.6006f, 0.4302f, 0.9162f, 0.6085f)
                curveToRelative(0.3892f, 0.2192f, 0.762f, 0.4545f, 1.1588f, 0.665f)
                curveToRelative(0.4778f, 0.252f, 0.9883f, 0.4227f, 1.5148f, 0.5443f)
                curveToRelative(0.1946f, 0.0407f, 0.381f, 0.0808f, 0.5758f, 0.129f)
                curveToRelative(0.1693f, 0.0494f, 0.3397f, 0.1225f, 0.51f, 0.1628f)
                curveToRelative(0.2592f, 0.0569f, 0.5265f, 0.1056f, 0.7857f, 0.1539f)
                curveToRelative(0.0564f, 0.008f, 0.114f, 0.0168f, 0.1787f, 0.0248f)
                curveToRelative(0.0723f, 0.0162f, 0.1614f, -0.0164f, 0.1777f, 0.008f)
                curveToRelative(0.0406f, 0.0647f, 0.073f, 0.032f, 0.1216f, 0.024f)
                curveToRelative(0.0567f, -0.0161f, 0.1215f, -0.0161f, 0.1862f, -0.0161f)
                curveToRelative(0.2269f, 0.008f, 0.4454f, 0.0564f, 0.6723f, 0.0404f)
                curveToRelative(0.0492f, 0.0f, 0.122f, -0.041f, 0.1627f, 0.04f)
                curveToRelative(0.0727f, -0.0322f, 0.1134f, -0.0323f, 0.1457f, -0.04f)
                curveToRelative(0.0087f, 0.0727f, -2.0E-4f, 0.0729f, -0.0157f, 0.0808f)
                curveToRelative(-0.0166f, 0.008f, -0.0407f, 0.016f, -0.073f, 0.0404f)
                curveToRelative(0.2916f, 0.0567f, 0.567f, 0.0647f, 0.8096f, 0.0f)
                curveToRelative(0.4218f, 0.0323f, 0.7864f, -0.0162f, 1.135f, -0.138f)
                curveToRelative(0.0323f, 0.0407f, 0.0567f, 0.0974f, 0.1053f, 0.0163f)
                curveToRelative(0.016f, -0.0246f, 0.0564f, -0.0328f, 0.089f, -0.0408f)
                curveToRelative(0.0727f, -0.0162f, 0.162f, -0.0488f, 0.2266f, -0.0248f)
                curveToRelative(0.0733f, 0.0246f, 0.0979f, -0.0401f, 0.1542f, -0.0401f)
                curveToRelative(0.0976f, 0.0f, 0.1866f, -0.008f, 0.2759f, -0.0245f)
                curveToRelative(0.0486f, -0.008f, 0.0972f, -0.0323f, 0.1538f, -0.0486f)
                arcToRelative(0.3938f, 0.3938f, 0.0f, false, false, -0.1786f, -0.0411f)
                arcToRelative(7.2787f, 7.2787f, 0.0f, false, true, 0.2758f, -0.1292f)
                curveToRelative(-0.0162f, 0.024f, -0.0325f, 0.0561f, -0.0645f, 0.0561f)
                horizontalLineToRelative(0.1128f)
                curveToRelative(-0.0247f, 0.0f, -0.0569f, 0.073f, -0.0972f, 0.1217f)
                curveToRelative(0.2913f, -0.073f, 0.5585f, -0.1379f, 0.818f, -0.2032f)
                curveToRelative(-0.0892f, -0.17f, 0.0971f, -0.113f, 0.1621f, -0.2106f)
                curveToRelative(-0.081f, 0.0246f, -0.162f, 0.0485f, -0.2432f, 0.0645f)
                curveToRelative(0.2755f, -0.1376f, 0.559f, -0.2592f, 0.8343f, -0.3808f)
                curveToRelative(-0.04f, 0.0486f, -0.0894f, 0.0732f, -0.1617f, 0.1141f)
                curveToRelative(0.0486f, 0.008f, 0.081f, 0.008f, 0.1053f, 0.0153f)
                curveToRelative(0.1293f, 0.0409f, 0.0973f, -0.0806f, 0.1376f, -0.1539f)
                curveToRelative(0.154f, 0.0f, 0.2185f, -0.024f, 0.2915f, -0.0486f)
                curveToRelative(0.081f, -0.0246f, 0.162f, -0.0488f, 0.2432f, -0.0812f)
                curveToRelative(0.1293f, -0.0567f, 0.2509f, -0.1293f, 0.3805f, -0.194f)
                curveToRelative(0.0247f, -0.009f, 0.0649f, 0.0f, 0.0975f, 0.0f)
                curveToRelative(0.0893f, -0.0573f, 0.1211f, -0.1058f, 0.1454f, -0.0978f)
                curveToRelative(0.114f, 0.0162f, 0.194f, -0.0244f, 0.2266f, -0.1291f)
                curveToRelative(0.0096f, -0.007f, 0.0144f, -0.0101f, 0.0232f, -0.0166f)
                curveToRelative(0.0325f, 0.0715f, 0.0975f, 0.0794f, 0.2028f, 0.007f)
                curveToRelative(-0.065f, 0.0f, -0.1299f, -0.008f, -0.1865f, -0.0161f)
                curveToRelative(-0.006f, 0.0f, -0.0081f, 0.004f, -0.0115f, 0.006f)
                curveToRelative(0.0405f, -0.03f, 0.0778f, -0.0586f, 0.11f, -0.0783f)
                curveToRelative(0.1779f, -0.0973f, 0.3476f, -0.1945f, 0.5262f, -0.2918f)
                curveToRelative(0.0646f, 0.0f, 0.0974f, 1.0E-4f, 0.1134f, -0.008f)
                curveToRelative(0.106f, -0.0493f, 0.203f, -0.1054f, 0.3f, -0.1624f)
                curveToRelative(-0.0246f, -0.008f, -0.0809f, -0.04f, -0.0809f, -0.04f)
                arcToRelative(1.055f, 1.055f, 0.0f, false, false, 0.154f, -0.0409f)
                curveToRelative(0.1939f, -0.2278f, 0.4618f, -0.3819f, 0.664f, -0.5605f)
                curveToRelative(0.0894f, -0.008f, 0.0894f, -0.0322f, 0.0894f, -0.0482f)
                curveToRelative(0.032f, -0.0407f, 0.0647f, -0.0893f, 0.1047f, -0.122f)
                curveToRelative(0.1786f, -0.1622f, 0.3725f, -0.3001f, 0.5347f, -0.4704f)
                curveToRelative(0.235f, -0.2358f, 0.4617f, -0.4795f, 0.6723f, -0.731f)
                curveToRelative(0.194f, -0.2272f, 0.3894f, -0.454f, 0.5514f, -0.7056f)
                curveToRelative(0.2269f, -0.3488f, 0.4211f, -0.706f, 0.6237f, -1.0714f)
                curveToRelative(0.146f, -0.2592f, 0.2757f, -0.5187f, 0.422f, -0.7782f)
                curveToRelative(0.0152f, -0.0246f, 0.048f, -0.0571f, 0.0723f, -0.0571f)
                curveToRelative(0.2186f, -0.0246f, 0.438f, -0.04f, 0.6485f, -0.0645f)
                curveToRelative(0.0487f, -0.008f, 0.1053f, -0.0403f, 0.1539f, -0.065f)
                curveToRelative(-0.0246f, -0.0406f, -0.0405f, -0.089f, -0.0646f, -0.1297f)
                curveToRelative(-0.0326f, -0.0493f, -0.0811f, -0.0893f, -0.1137f, -0.1386f)
                curveToRelative(-0.032f, -0.04f, -0.0566f, -0.0892f, -0.0809f, -0.1376f)
                curveToRelative(-0.0246f, -0.04f, -0.0487f, -0.0729f, -0.073f, -0.1141f)
                curveToRelative(-0.0493f, -0.0893f, -0.0976f, -0.1785f, -0.1386f, -0.2752f)
                curveToRelative(-0.008f, -0.0246f, -0.0246f, -0.0647f, -0.016f, -0.0893f)
                curveToRelative(0.1459f, -0.3162f, 0.2027f, -0.6567f, 0.3403f, -0.9732f)
                curveToRelative(0.1377f, -0.3245f, 0.1786f, -0.6897f, 0.2433f, -1.0385f)
                curveToRelative(0.0566f, -0.3325f, 0.089f, -0.6652f, 0.129f, -0.9977f)
                curveToRelative(0.0247f, -0.2352f, 0.0573f, -0.4625f, 0.065f, -0.6977f)
                curveToRelative(0.0492f, -0.3732f, 0.0324f, -0.7223f, 0.0244f, -1.0714f)
                curveToRelative(-0.0079f, -0.308f, -0.0247f, -0.6244f, -0.04f, -0.9329f)
                lineToRelative(-7.0E-4f, -0.001f)
                curveToRelative(-0.0161f, -0.3164f, -0.0242f, -0.6328f, -0.0568f, -0.949f)
                curveToRelative(-0.0566f, -0.4301f, -0.1133f, -0.8684f, -0.2106f, -1.2902f)
                curveToRelative(-0.073f, -0.3488f, -0.194f, -0.6815f, -0.316f, -1.014f)
                curveToRelative(-0.1539f, -0.3895f, -0.3078f, -0.787f, -0.5024f, -1.16f)
                curveToRelative(-0.3159f, -0.6005f, -0.729f, -1.1361f, -1.1099f, -1.6959f)
                curveToRelative(-0.2518f, -0.3571f, -0.5758f, -0.6491f, -0.819f, -1.0143f)
                curveToRelative(-0.1376f, -0.2109f, -0.3403f, -0.389f, -0.5429f, -0.551f)
                curveToRelative(-0.3242f, -0.2602f, -0.6643f, -0.4956f, -1.0045f, -0.7225f)
                curveToRelative(-0.2593f, -0.1786f, -0.5184f, -0.3489f, -0.7943f, -0.5031f)
                curveToRelative(-0.2186f, -0.1222f, -0.4535f, -0.2195f, -0.6804f, -0.3251f)
                curveToRelative(-0.2593f, -0.1216f, -0.5106f, -0.268f, -0.8021f, -0.3247f)
                curveToRelative(-0.0733f, -0.0153f, -0.138f, -0.04f, -0.211f, -0.0645f)
                curveToRelative(-0.1862f, -0.0647f, -0.3644f, -0.1377f, -0.551f, -0.1947f)
                curveToRelative(-0.2832f, -0.0893f, -0.5588f, -0.1944f, -0.8507f, -0.2677f)
                curveToRelative(-0.2826f, -0.073f, -0.5744f, -0.1214f, -0.8663f, -0.1623f)
                curveToRelative(-0.3239f, -0.0477f, -0.6559f, -0.0645f, -0.9804f, -0.0962f)
                curveToRelative(-0.2106f, -0.0246f, -0.4211f, -0.0487f, -0.6237f, -0.0567f)
                curveToRelative(-0.3079f, -0.0161f, -0.6237f, -0.0161f, -0.9315f, -0.0241f)
                curveToRelative(-0.154f, -0.008f, -0.316f, -0.0246f, -0.4699f, -0.0162f)
                close()
                moveTo(12.3207f, 0.948f)
                curveToRelative(0.1056f, 0.0166f, 0.2033f, 0.0328f, 0.3003f, 0.041f)
                lineToRelative(0.389f, 0.0246f)
                curveToRelative(0.2916f, 0.0237f, 0.5832f, 0.0402f, 0.8745f, 0.0802f)
                curveToRelative(0.2432f, 0.0329f, 0.4866f, 0.0816f, 0.7378f, 0.122f)
                curveToRelative(0.5351f, 0.0892f, 1.0614f, 0.2353f, 1.5719f, 0.4055f)
                curveToRelative(0.2999f, 0.0973f, 0.5911f, 0.2273f, 0.8836f, 0.349f)
                curveToRelative(0.6558f, 0.2678f, 1.2799f, 0.5922f, 1.8956f, 0.9327f)
                curveToRelative(0.194f, 0.1056f, 0.308f, 0.2758f, 0.4532f, 0.43f)
                curveToRelative(0.211f, 0.2193f, 0.4218f, 0.4383f, 0.624f, 0.6652f)
                curveToRelative(0.2347f, 0.2679f, 0.4533f, 0.5438f, 0.6806f, 0.8197f)
                curveToRelative(0.2022f, 0.2432f, 0.4127f, 0.4865f, 0.6159f, 0.7304f)
                curveToRelative(0.0646f, 0.073f, 0.1138f, 0.1622f, 0.1698f, 0.2432f)
                curveToRelative(0.1293f, 0.1949f, 0.2754f, 0.3815f, 0.3887f, 0.5921f)
                curveToRelative(0.0807f, 0.1545f, 0.1295f, 0.3332f, 0.1862f, 0.5034f)
                curveToRelative(0.0806f, 0.2516f, 0.162f, 0.4948f, 0.2432f, 0.7463f)
                curveToRelative(0.0563f, 0.1866f, 0.1044f, 0.3819f, 0.145f, 0.5758f)
                curveToRelative(0.0327f, 0.1303f, 0.025f, 0.2679f, 0.065f, 0.3972f)
                curveToRelative(0.0492f, 0.1712f, 0.0f, 0.3573f, 0.0492f, 0.5282f)
                curveToRelative(0.0077f, 0.0162f, 0.0155f, 0.0404f, 0.0241f, 0.0567f)
                curveToRelative(0.0324f, 0.032f, 0.0565f, 0.0648f, 0.0077f, 0.1134f)
                curveToRelative(-0.0077f, 0.008f, -0.0077f, 0.04f, 0.0f, 0.0645f)
                curveToRelative(0.0166f, -0.016f, 0.0248f, -0.0324f, 0.0411f, -0.0567f)
                curveToRelative(0.0f, 0.0162f, 0.0076f, 0.025f, 0.0076f, 0.0326f)
                curveToRelative(0.0f, 0.032f, -0.0083f, 0.0645f, 0.0f, 0.0968f)
                curveToRelative(0.0f, 0.0161f, 0.016f, 0.0401f, 0.0241f, 0.0567f)
                curveToRelative(0.0163f, -0.0166f, 0.0323f, -0.0246f, 0.0646f, -0.0492f)
                curveToRelative(0.073f, 0.2762f, 0.0815f, 0.5518f, 0.0815f, 0.8357f)
                curveToRelative(0.0f, 0.2678f, 0.0481f, 0.5357f, -0.0649f, 0.7952f)
                curveToRelative(0.024f, -0.0893f, -0.0325f, -0.1707f, -0.008f, -0.2517f)
                lineToRelative(0.0032f, 0.002f)
                curveToRelative(-0.0083f, 0.0f, -0.0565f, -0.0494f, -0.0645f, -0.0574f)
                curveToRelative(-0.0083f, 0.0246f, 0.0f, 0.0485f, -0.0163f, 0.0812f)
                curveToRelative(-0.0083f, -0.024f, -0.0648f, -0.0157f, -0.0648f, -0.0398f)
                curveToRelative(-0.0083f, 0.1133f, 0.0484f, 0.2268f, 0.04f, 0.3404f)
                curveToRelative(0.0247f, -0.0162f, 0.1218f, -0.0246f, 0.1461f, -0.0486f)
                curveToRelative(0.0083f, 0.008f, 0.0246f, 0.0161f, 0.0326f, 0.0161f)
                curveToRelative(-0.1622f, 0.122f, -0.1215f, 0.2433f, -0.0485f, 0.3818f)
                curveToRelative(0.016f, 0.032f, 0.0646f, 0.0967f, 0.016f, 0.1617f)
                curveToRelative(-0.016f, 0.0162f, 0.0083f, 0.0647f, 0.0162f, 0.1057f)
                horizontalLineToRelative(0.0239f)
                verticalLineToRelative(0.0157f)
                lineToRelative(-0.073f, 0.0245f)
                curveToRelative(-0.0161f, -0.0246f, -0.1132f, -0.0725f, -0.1132f, -0.1138f)
                verticalLineToRelative(0.4144f)
                curveToRelative(0.081f, 0.0246f, 0.0811f, 0.1377f, 0.1134f, 0.1946f)
                arcToRelative(0.2405f, 0.2405f, 0.0f, false, false, 0.033f, -0.0645f)
                lineToRelative(0.008f, 0.008f)
                curveToRelative(-0.0082f, 0.0487f, -0.0162f, 0.0971f, -0.0325f, 0.1461f)
                curveToRelative(-0.016f, 0.0727f, -0.0324f, 0.1377f, -0.0401f, 0.2106f)
                curveToRelative(0.0f, 0.008f, 0.0156f, 0.0246f, 0.0156f, 0.0323f)
                curveToRelative(-0.0886f, 0.2032f, -0.04f, 0.4298f, -0.0724f, 0.6404f)
                curveToRelative(-0.0246f, 0.154f, 0.0f, 0.3173f, -0.0162f, 0.4793f)
                curveToRelative(-0.0166f, 0.138f, -0.0495f, 0.2836f, -0.0815f, 0.4216f)
                curveToRelative(-0.0083f, 0.0246f, -0.0245f, 0.0326f, -0.0646f, 0.0489f)
                curveToRelative(0.0161f, -0.0973f, 0.0081f, -0.1625f, -0.008f, -0.2517f)
                curveToRelative(-0.0088f, 0.0f, -0.114f, -0.0567f, -0.1223f, -0.0567f)
                curveToRelative(0.0f, 0.1139f, 0.0647f, 0.2681f, 0.0893f, 0.3974f)
                curveToRelative(-0.0246f, -0.008f, -0.1217f, -0.0649f, -0.1294f, -0.0649f)
                curveToRelative(-0.0166f, 0.0973f, -0.0168f, 0.2273f, -0.0248f, 0.3326f)
                curveToRelative(-0.0083f, 0.0813f, -0.0807f, 0.154f, -0.089f, 0.2432f)
                curveToRelative(0.0f, 0.0493f, 0.0566f, 0.0814f, 0.0486f, 0.1627f)
                horizontalLineToRelative(0.0645f)
                curveToRelative(0.0f, -0.162f, 0.0734f, -0.308f, 0.0734f, -0.4786f)
                horizontalLineToRelative(0.0238f)
                curveToRelative(0.0083f, 0.0162f, 0.0328f, 0.0328f, 0.0248f, 0.0408f)
                curveToRelative(-0.0162f, 0.0893f, -0.0494f, 0.1865f, -0.0408f, 0.2758f)
                curveToRelative(0.0f, 0.0487f, 0.0402f, 0.0972f, 0.0248f, 0.1539f)
                curveToRelative(-0.0166f, 0.0493f, -0.0246f, 0.0976f, -0.0329f, 0.1705f)
                curveToRelative(-0.0083f, -0.0406f, -0.0162f, -0.0565f, -0.0162f, -0.0808f)
                curveToRelative(-0.008f, 0.0f, -0.081f, -0.008f, -0.0894f, -0.008f)
                curveToRelative(-0.0079f, 0.0487f, 0.057f, 0.0973f, 0.0486f, 0.138f)
                curveToRelative(-0.0079f, 0.008f, -0.016f, 0.008f, -0.0323f, 0.0161f)
                lineToRelative(-0.2673f, -0.3896f)
                arcToRelative(81.9295f, 81.9295f, 0.0f, false, true, -0.6322f, -0.9328f)
                arcToRelative(1.9488f, 1.9488f, 0.0f, false, true, -0.1464f, -0.2432f)
                curveToRelative(-0.251f, -0.4305f, -0.5265f, -0.8442f, -0.8344f, -1.2416f)
                curveToRelative(-0.2346f, -0.3f, -0.4218f, -0.6251f, -0.6403f, -0.9407f)
                curveToRelative(-0.202f, -0.3002f, -0.4046f, -0.5925f, -0.6071f, -0.893f)
                curveToRelative(-0.073f, -0.097f, -0.162f, -0.1862f, -0.227f, -0.2918f)
                curveToRelative(-0.2102f, -0.3326f, -0.397f, -0.6734f, -0.607f, -1.006f)
                curveToRelative(-0.1786f, -0.276f, -0.3727f, -0.5439f, -0.5592f, -0.8115f)
                curveToRelative(-0.0647f, -0.0893f, -0.1294f, -0.187f, -0.1947f, -0.2843f)
                curveToRelative(-0.0079f, -0.0153f, -0.016f, -0.0314f, -0.016f, -0.0558f)
                curveToRelative(-0.0163f, -0.1785f, -0.0325f, -0.3572f, -0.0405f, -0.5275f)
                curveToRelative(0.0f, -0.1623f, 0.0163f, -0.3244f, 0.0163f, -0.495f)
                verticalLineToRelative(-0.1468f)
                curveToRelative(0.0f, -0.0407f, 0.0076f, -0.073f, 0.0076f, -0.1138f)
                curveToRelative(0.0077f, -0.008f, 0.016f, -0.0243f, 0.024f, -0.0323f)
                curveToRelative(-0.2348f, 0.0f, -0.478f, -0.009f, -0.713f, 0.0f)
                curveToRelative(-0.154f, 0.008f, -0.2348f, -0.0573f, -0.34f, -0.1709f)
                curveToRelative(-0.308f, -0.3488f, -0.535f, -0.7462f, -0.8022f, -1.1193f)
                curveToRelative(-0.2512f, -0.3572f, -0.5105f, -0.7063f, -0.7698f, -1.0551f)
                curveToRelative(-0.2109f, -0.2839f, -0.4219f, -0.5596f, -0.6322f, -0.8435f)
                curveToRelative(-0.2352f, -0.3245f, -0.4617f, -0.649f, -0.7049f, -0.9736f)
                curveToRelative(-0.2919f, -0.3891f, -0.5918f, -0.779f, -0.8914f, -1.1682f)
                curveToRelative(-0.1385f, -0.1786f, -0.2924f, -0.3488f, -0.4464f, -0.5357f)
                close()
                moveTo(11.5689f, 1.3738f)
                curveToRelative(0.0173f, 0.003f, 0.0337f, 0.0175f, 0.0499f, 0.0378f)
                curveToRelative(0.2186f, 0.2759f, 0.437f, 0.5598f, 0.6556f, 0.8357f)
                curveToRelative(0.1626f, 0.2032f, 0.3247f, 0.3972f, 0.4787f, 0.6084f)
                curveToRelative(0.1863f, 0.2598f, 0.3644f, 0.5194f, 0.551f, 0.779f)
                curveToRelative(0.2106f, 0.3f, 0.4212f, 0.6004f, 0.6237f, 0.9083f)
                curveToRelative(0.308f, 0.4547f, 0.5995f, 0.909f, 0.9074f, 1.3632f)
                curveToRelative(0.227f, 0.3325f, 0.4537f, 0.6573f, 0.6723f, 0.9899f)
                horizontalLineToRelative(-0.4137f)
                curveToRelative(-0.3806f, -0.008f, -0.7698f, -0.0401f, -1.1503f, -0.0241f)
                curveToRelative(-0.5185f, 0.0246f, -1.045f, 0.0813f, -1.5634f, 0.122f)
                curveToRelative(-0.6564f, 0.0568f, -1.3207f, 0.0644f, -1.9765f, 0.0644f)
                curveToRelative(-0.2355f, 0.0f, -0.4703f, 0.033f, -0.705f, 0.0492f)
                curveToRelative(-0.2838f, 0.0161f, -0.5595f, 0.0324f, -0.843f, 0.0401f)
                curveToRelative(-0.3326f, 0.0166f, -0.6558f, 0.0246f, -0.9883f, 0.033f)
                curveToRelative(-0.1866f, 0.008f, -0.3808f, 0.0f, -0.5833f, 0.0f)
                verticalLineToRelative(-0.002f)
                curveToRelative(0.2586f, -0.3572f, 0.5265f, -0.7141f, 0.7857f, -1.079f)
                curveToRelative(0.081f, -0.1062f, 0.1457f, -0.2198f, 0.2266f, -0.325f)
                curveToRelative(0.0247f, -0.0327f, 0.0572f, -0.049f, 0.0975f, -0.0816f)
                lineToRelative(-0.0081f, -0.0153f)
                curveToRelative(0.0323f, -0.041f, 0.0645f, -0.0739f, 0.0809f, -0.106f)
                curveToRelative(0.0412f, -0.0646f, 0.0658f, -0.1379f, 0.098f, -0.2109f)
                curveToRelative(0.008f, -0.0153f, 0.0324f, -0.0316f, 0.0324f, -0.0316f)
                curveToRelative(0.1139f, 0.0567f, 0.1138f, -0.0647f, 0.1539f, -0.1056f)
                arcToRelative(5.568f, 5.568f, 0.0f, false, false, 0.2106f, -0.2514f)
                curveToRelative(0.0486f, -0.0647f, 0.0973f, -0.1217f, 0.138f, -0.1946f)
                curveToRelative(0.0078f, -0.0246f, -0.0165f, -0.0646f, -0.0249f, -0.0975f)
                horizontalLineToRelative(-0.0238f)
                curveToRelative(0.0246f, -0.016f, 0.0487f, -0.0401f, 0.073f, -0.0567f)
                curveToRelative(0.008f, 0.0f, 0.008f, -2.0E-4f, 0.0161f, -0.008f)
                arcToRelative(4.632f, 4.632f, 0.0f, false, true, 0.1457f, -0.211f)
                curveToRelative(0.097f, -0.1293f, 0.2023f, -0.2594f, 0.3156f, -0.3727f)
                curveToRelative(-0.016f, 0.04f, -0.0322f, 0.0808f, -0.0485f, 0.1132f)
                curveToRelative(0.0083f, 0.0f, 0.0083f, 0.008f, 0.0162f, 0.008f)
                curveToRelative(0.0973f, -0.13f, 0.2027f, -0.2516f, 0.3f, -0.3818f)
                curveToRelative(-0.0083f, -0.008f, -0.0164f, -0.016f, -0.0248f, -0.016f)
                curveToRelative(-0.04f, 0.0406f, -0.0725f, 0.0813f, -0.1132f, 0.122f)
                curveToRelative(-0.0079f, -0.008f, -0.0162f, -0.0163f, -0.0247f, -0.0163f)
                curveToRelative(0.0815f, -0.1056f, 0.1625f, -0.211f, 0.2432f, -0.3326f)
                curveToRelative(0.0162f, 0.0246f, 0.0325f, 0.0567f, 0.0645f, 0.1217f)
                curveToRelative(0.033f, -0.081f, 0.0654f, -0.1377f, 0.0894f, -0.1947f)
                curveToRelative(-0.024f, 0.0246f, -0.0562f, 0.0487f, -0.0806f, 0.0734f)
                lineTo(9.998f, 3.504f)
                lineToRelative(0.146f, -0.2184f)
                curveToRelative(0.154f, -0.2193f, 0.3078f, -0.4466f, 0.4617f, -0.6658f)
                curveToRelative(0.057f, -0.081f, 0.1294f, -0.1457f, 0.1787f, -0.227f)
                curveToRelative(0.154f, -0.3078f, 0.3973f, -0.5518f, 0.5833f, -0.8356f)
                curveToRelative(0.0406f, -0.0567f, 0.097f, -0.1053f, 0.1457f, -0.154f)
                curveToRelative(0.02f, -0.0245f, 0.0382f, -0.033f, 0.0554f, -0.03f)
                close()
                moveTo(9.2843f, 4.5345f)
                curveToRelative(-0.0484f, 0.0323f, -0.0893f, 0.0567f, -0.1376f, 0.0893f)
                lineToRelative(-4.0E-4f, 4.0E-4f)
                curveToRelative(-0.0083f, 0.008f, -0.0164f, 0.008f, -0.0085f, 0.008f)
                curveToRelative(0.0083f, 0.04f, 0.0083f, 0.073f, 0.0163f, 0.1294f)
                curveToRelative(0.057f, -0.0816f, 0.0971f, -0.1463f, 0.1464f, -0.211f)
                close()
                moveTo(16.1221f, 7.8762f)
                curveToRelative(0.0727f, 0.0f, 0.1133f, 0.0247f, 0.154f, 0.0893f)
                curveToRelative(0.0726f, 0.1216f, 0.1456f, 0.2432f, 0.2265f, 0.3652f)
                curveToRelative(0.0083f, 0.016f, 0.0248f, 0.0399f, 0.0248f, 0.0645f)
                curveToRelative(0.0f, 0.1785f, -2.0E-4f, 0.3652f, 0.0077f, 0.5438f)
                curveToRelative(0.0077f, 0.1866f, 0.025f, 0.3651f, 0.0323f, 0.5517f)
                curveToRelative(0.0f, 0.1866f, -0.0164f, 0.3812f, -0.0081f, 0.5758f)
                curveToRelative(0.0083f, 0.2762f, 0.0162f, 0.5602f, 0.0162f, 0.8435f)
                lineToRelative(0.0013f, 6.0E-4f)
                verticalLineToRelative(0.0734f)
                curveToRelative(-0.0079f, 0.0f, -0.016f, 0.008f, -0.0322f, 0.008f)
                curveToRelative(-0.0324f, -0.1139f, -0.0647f, -0.2356f, -0.1054f, -0.3492f)
                curveToRelative(-0.0809f, -0.2355f, -0.1703f, -0.4711f, -0.3162f, -0.6817f)
                curveToRelative(-0.1626f, -0.227f, -0.308f, -0.462f, -0.4705f, -0.6975f)
                curveToRelative(-0.04f, -0.0569f, -0.0974f, -0.1055f, -0.146f, -0.1538f)
                curveToRelative(-0.1703f, -0.187f, -0.3403f, -0.3818f, -0.559f, -0.5194f)
                arcToRelative(6.6159f, 6.6159f, 0.0f, false, false, -1.013f, -0.5198f)
                curveToRelative(-0.0972f, -0.04f, -0.1863f, -0.0894f, -0.2833f, -0.146f)
                horizontalLineToRelative(0.194f)
                lineTo(15.2306f, 7.9f)
                curveToRelative(0.2999f, -0.008f, 0.5918f, -0.008f, 0.8914f, -0.0241f)
                close()
                moveTo(10.0381f, 8.0878f)
                curveToRelative(0.0587f, -0.001f, 0.1174f, 8.0E-4f, 0.178f, 0.008f)
                curveToRelative(-0.1293f, 0.0653f, -0.2594f, 0.1303f, -0.3727f, 0.2113f)
                curveToRelative(-0.146f, 0.0973f, -0.2831f, 0.227f, -0.4294f, 0.3325f)
                curveToRelative(-0.1462f, 0.1053f, -0.2758f, 0.2354f, -0.3971f, 0.3734f)
                curveToRelative(-0.154f, 0.1862f, -0.3242f, 0.3483f, -0.4865f, 0.5269f)
                curveToRelative(-0.1139f, 0.1299f, -0.243f, 0.2517f, -0.34f, 0.3896f)
                curveToRelative(-0.1377f, 0.1786f, -0.2594f, 0.3723f, -0.389f, 0.5755f)
                curveToRelative(0.0406f, -0.771f, 0.0894f, -1.5331f, 0.0567f, -2.312f)
                lineToRelative(7.0E-4f, 6.0E-4f)
                curveToRelative(0.3808f, -0.0162f, 0.7451f, -0.0407f, 1.1183f, -0.057f)
                curveToRelative(0.291f, -0.0163f, 0.591f, -0.0249f, 0.8823f, -0.0409f)
                curveToRelative(0.0608f, -0.004f, 0.12f, -0.008f, 0.1787f, -0.008f)
                close()
                moveTo(12.0707f, 8.5025f)
                curveToRelative(0.2423f, 0.008f, 0.4854f, 0.008f, 0.7284f, 0.0241f)
                curveToRelative(0.1052f, 0.008f, 0.2026f, 0.0322f, 0.3f, 0.0645f)
                curveToRelative(0.1212f, 0.041f, 0.2508f, 0.0975f, 0.3644f, 0.154f)
                curveToRelative(0.1377f, 0.0738f, 0.2672f, 0.1545f, 0.3972f, 0.2438f)
                curveToRelative(0.2349f, 0.154f, 0.4537f, 0.3244f, 0.6886f, 0.4623f)
                curveToRelative(0.2269f, 0.138f, 0.405f, 0.3245f, 0.551f, 0.5357f)
                curveToRelative(0.1786f, 0.2513f, 0.3807f, 0.4786f, 0.4617f, 0.7868f)
                lineToRelative(0.1213f, 0.5357f)
                curveToRelative(0.0246f, 0.0973f, 0.0814f, 0.1945f, 0.057f, 0.3078f)
                curveToRelative(-0.041f, 0.2032f, -0.0733f, 0.4143f, -0.1056f, 0.6172f)
                curveToRelative(-0.016f, 0.0816f, -0.0321f, 0.1632f, -0.0238f, 0.2432f)
                curveToRelative(0.0153f, 0.2525f, -0.0817f, 0.4709f, -0.1787f, 0.698f)
                curveToRelative(-0.0326f, 0.073f, -0.0813f, 0.1464f, -0.1216f, 0.2273f)
                curveToRelative(0.0079f, 0.008f, 0.0565f, 0.0326f, 0.0645f, 0.0326f)
                lineToRelative(0.073f, -0.1457f)
                curveToRelative(0.0084f, 0.0f, 0.0084f, -2.0E-4f, 0.0163f, 0.008f)
                curveToRelative(-0.0406f, 0.1133f, -0.0728f, 0.2353f, -0.1138f, 0.3489f)
                curveToRelative(-0.0967f, 0.2515f, -0.194f, 0.5109f, -0.3156f, 0.7541f)
                curveToRelative(-0.0647f, 0.138f, -0.1785f, 0.2516f, -0.2592f, 0.3818f)
                curveToRelative(-0.0807f, 0.1133f, -0.1456f, 0.2351f, -0.2266f, 0.3407f)
                curveToRelative(-0.073f, 0.0893f, -0.1456f, 0.1786f, -0.2432f, 0.2433f)
                curveToRelative(-0.2186f, 0.1622f, -0.4456f, 0.3246f, -0.6805f, 0.4545f)
                curveToRelative(-0.1456f, 0.0893f, -0.316f, 0.1377f, -0.478f, 0.1783f)
                lineToRelative(0.0022f, -0.001f)
                curveToRelative(-0.2595f, 0.0647f, -0.5264f, 0.1382f, -0.7942f, 0.1706f)
                curveToRelative(-0.2266f, 0.0326f, -0.4619f, 0.0245f, -0.6968f, 0.0245f)
                curveToRelative(-0.2112f, 0.0f, -0.4138f, -0.008f, -0.6244f, -0.0245f)
                curveToRelative(-0.235f, -0.024f, -0.4699f, -0.0486f, -0.6968f, -0.1542f)
                curveToRelative(-0.1948f, -0.0893f, -0.3971f, -0.1701f, -0.591f, -0.2677f)
                curveToRelative(-0.1953f, -0.0973f, -0.3895f, -0.2108f, -0.5358f, -0.3893f)
                curveToRelative(-0.1047f, -0.1303f, -0.2509f, -0.2353f, -0.3805f, -0.3489f)
                arcToRelative(0.3826f, 0.3826f, 0.0f, false, false, 0.1702f, 0.235f)
                curveToRelative(-0.0406f, 0.0488f, -0.0974f, 0.0247f, -0.1787f, -0.1056f)
                curveToRelative(-0.024f, 0.0162f, -0.0482f, 0.0246f, -0.0645f, 0.0326f)
                curveToRelative(0.0246f, -0.057f, 0.0487f, -0.1137f, 0.073f, -0.162f)
                curveToRelative(-0.0323f, -0.0647f, -0.073f, -0.1382f, -0.1053f, -0.2035f)
                arcToRelative(6.823f, 6.823f, 0.0f, false, true, -0.1865f, -0.324f)
                curveToRelative(-0.0162f, -0.0247f, -0.0162f, -0.0488f, -0.0323f, -0.073f)
                curveToRelative(-0.0406f, -0.0488f, -0.0811f, -0.0975f, -0.1138f, -0.1461f)
                curveToRelative(-0.0646f, -0.097f, -0.1211f, -0.2024f, -0.2021f, -0.3f)
                curveToRelative(0.0f, 0.0246f, 0.0081f, 0.0485f, 0.0081f, 0.0812f)
                curveToRelative(-0.0083f, 0.0f, -0.0162f, 0.008f, -0.0162f, 0.008f)
                lineToRelative(-0.1705f, -0.4137f)
                curveToRelative(-0.008f, 0.0f, -0.008f, -2.0E-4f, -0.016f, 0.008f)
                lineToRelative(0.1453f, 0.5357f)
                curveToRelative(-0.0079f, 0.0f, -0.0158f, 0.008f, -0.0244f, 0.008f)
                curveToRelative(-0.0237f, -0.032f, -0.048f, -0.0646f, -0.0646f, -0.1047f)
                curveToRelative(-0.016f, -0.0653f, -0.065f, -0.0654f, -0.105f, -0.041f)
                curveToRelative(-0.0246f, 0.0161f, -0.0409f, 0.0731f, -0.0326f, 0.0974f)
                curveToRelative(0.057f, 0.138f, 0.122f, 0.2758f, 0.1869f, 0.4138f)
                arcToRelative(0.965f, 0.965f, 0.0f, false, false, 0.0564f, 0.1379f)
                curveToRelative(0.0083f, 0.0162f, 0.0326f, 0.032f, 0.0326f, 0.0564f)
                curveToRelative(0.0326f, 0.0647f, 0.0571f, 0.1295f, 0.0975f, 0.1868f)
                curveToRelative(0.073f, 0.0973f, 0.154f, 0.1945f, 0.2269f, 0.2918f)
                curveToRelative(0.0724f, 0.0973f, 0.1369f, 0.2033f, 0.2018f, 0.3003f)
                curveToRelative(0.008f, 0.0162f, 0.0324f, 0.0162f, 0.0401f, 0.0245f)
                curveToRelative(0.041f, 0.1216f, 0.1786f, 0.2107f, 0.2759f, 0.162f)
                curveToRelative(0.0246f, 0.1866f, 0.2268f, 0.2515f, 0.3077f, 0.4301f)
                arcToRelative(3.702f, 3.702f, 0.0f, false, true, -0.2347f, -0.1056f)
                curveToRelative(-0.0083f, 0.008f, -0.0083f, 0.016f, -0.0166f, 0.0323f)
                curveToRelative(0.0973f, 0.0486f, 0.1947f, 0.0972f, 0.2833f, 0.1539f)
                curveToRelative(0.0816f, 0.0493f, 0.1625f, 0.0979f, 0.2354f, 0.1542f)
                curveToRelative(0.0973f, 0.0893f, 0.211f, 0.1385f, 0.348f, 0.1705f)
                curveToRelative(-0.0075f, -0.0247f, -0.0154f, -0.0329f, -0.0154f, -0.0329f)
                curveToRelative(0.2266f, 0.1056f, 0.4618f, 0.2191f, 0.6397f, 0.3078f)
                curveToRelative(-0.8427f, 0.0166f, -1.742f, 0.0329f, -2.6739f, 0.0492f)
                curveToRelative(0.0f, -0.154f, -0.0081f, -0.3003f, -0.0081f, -0.4545f)
                curveToRelative(0.0f, -0.0647f, 0.0162f, -0.1216f, 0.0077f, -0.1865f)
                curveToRelative(-0.0246f, -0.3726f, -0.0247f, -0.7464f, -0.073f, -1.1115f)
                curveToRelative(-0.0483f, -0.3892f, -0.0484f, -0.7707f, -0.04f, -1.1608f)
                curveToRelative(0.0077f, -0.2102f, -0.0084f, -0.4291f, -0.0167f, -0.6403f)
                curveToRelative(0.0f, -0.2839f, 2.0E-4f, -0.5602f, 0.0089f, -0.8435f)
                curveToRelative(0.0f, -0.0407f, 0.0162f, -0.0732f, 0.0326f, -0.1141f)
                horizontalLineToRelative(0.0248f)
                curveToRelative(0.0077f, 0.0166f, -1.0E-4f, 0.0409f, 0.0153f, 0.0492f)
                curveToRelative(0.0246f, 0.0246f, 0.0652f, 0.0647f, 0.0815f, 0.0567f)
                curveToRelative(0.0483f, -0.0326f, 0.1213f, -0.0645f, 0.1376f, -0.1138f)
                curveToRelative(0.04f, -0.097f, 0.0567f, -0.2027f, 0.0567f, -0.3f)
                curveToRelative(0.0f, -0.0727f, 0.0325f, -0.1212f, 0.0645f, -0.1702f)
                curveToRelative(0.0166f, -0.0246f, 0.0248f, -0.0485f, 0.0411f, -0.0808f)
                curveToRelative(-0.0323f, -0.0246f, -0.0647f, -0.0407f, -0.1053f, -0.073f)
                curveToRelative(0.0327f, -0.0893f, 0.0245f, -0.1949f, 0.146f, -0.2432f)
                curveToRelative(0.0161f, -0.008f, 0.0163f, -0.0494f, 0.0249f, -0.0734f)
                curveToRelative(0.0077f, -0.0656f, 0.015f, -0.1385f, 0.0238f, -0.2031f)
                curveToRelative(0.016f, 0.0246f, 0.0247f, 0.0322f, 0.04f, 0.0483f)
                curveToRelative(0.0087f, -0.0161f, 0.0167f, -0.0248f, 0.0167f, -0.0248f)
                curveToRelative(0.0f, -0.032f, -0.008f, -0.097f, 0.0f, -0.097f)
                curveToRelative(0.0973f, -0.0161f, 0.0566f, -0.1215f, 0.1053f, -0.1701f)
                curveToRelative(0.0077f, -0.009f, -0.0081f, -0.033f, -0.0081f, -0.0492f)
                curveToRelative(0.0f, -0.0161f, -2.0E-4f, -0.0401f, 0.0077f, -0.0401f)
                curveToRelative(0.113f, -0.0246f, 0.097f, -0.1462f, 0.1699f, -0.2031f)
                curveToRelative(0.0246f, -0.0162f, 0.0325f, -0.0402f, 0.0649f, -0.0812f)
                curveToRelative(0.0646f, 0.1133f, -0.0488f, 0.1704f, -0.0568f, 0.2513f)
                curveToRelative(0.1374f, -0.081f, 0.1779f, -0.2756f, 0.0969f, -0.3325f)
                arcToRelative(0.4815f, 0.4815f, 0.0f, false, false, 0.0893f, -0.0893f)
                curveToRelative(0.0893f, -0.0973f, 0.1861f, -0.1864f, 0.2674f, -0.2837f)
                curveToRelative(0.057f, -0.0727f, 0.0894f, -0.1621f, 0.146f, -0.235f)
                curveToRelative(0.0327f, -0.0407f, 0.0972f, -0.073f, 0.1458f, -0.0976f)
                curveToRelative(0.146f, -0.0807f, 0.2834f, -0.1698f, 0.3727f, -0.3078f)
                curveToRelative(0.0162f, -0.0162f, 0.0405f, -0.0326f, 0.0645f, -0.0489f)
                curveToRelative(0.0247f, -0.0162f, 0.0732f, -0.016f, 0.0812f, -0.0404f)
                curveToRelative(0.0083f, -0.016f, -0.016f, -0.0569f, -0.0323f, -0.0812f)
                curveToRelative(0.032f, -0.0162f, 0.0648f, -0.0485f, 0.1295f, -0.0812f)
                curveToRelative(-0.0247f, 0.0487f, -0.0323f, 0.0811f, -0.0486f, 0.1138f)
                lineToRelative(0.0398f, 0.0401f)
                curveToRelative(0.0732f, -0.0566f, 0.1865f, -0.1212f, 0.2595f, -0.1698f)
                curveToRelative(0.0f, -0.008f, -0.0404f, -0.0401f, -0.0404f, -0.0401f)
                curveToRelative(-0.0484f, 0.0246f, -0.1214f, 0.0648f, -0.194f, 0.0975f)
                curveToRelative(0.0153f, -0.0246f, 0.0153f, -0.041f, 0.0244f, -0.049f)
                curveToRelative(0.113f, -0.073f, 0.2263f, -0.1458f, 0.348f, -0.203f)
                curveToRelative(0.2832f, -0.1294f, 0.567f, -0.2593f, 0.8506f, -0.3809f)
                curveToRelative(0.0486f, -0.0246f, 0.1141f, -0.008f, 0.1705f, -0.008f)
                curveToRelative(0.024f, 0.0f, 0.04f, -1.0E-4f, 0.0645f, -0.008f)
                curveToRelative(0.1293f, -0.0407f, 0.2594f, -0.0812f, 0.389f, -0.1138f)
                arcToRelative(0.6768f, 0.6768f, 0.0f, false, true, 0.1784f, -0.024f)
                close()
                moveTo(11.7554f, 8.6232f)
                curveToRelative(-0.089f, 0.0409f, -0.1618f, 0.073f, -0.2348f, 0.1056f)
                horizontalLineToRelative(-3.0E-4f)
                curveToRelative(0.0f, 0.008f, -0.0403f, 0.073f, -0.0326f, 0.073f)
                curveToRelative(0.0406f, -0.008f, 0.1297f, -0.0729f, 0.1783f, -0.0812f)
                curveToRelative(0.0243f, 0.0f, 0.0569f, 0.008f, 0.0815f, 0.0166f)
                curveToRelative(0.0f, -0.0326f, -1.0E-4f, -0.0655f, 0.0077f, -0.1141f)
                close()
                moveTo(17.6134f, 10.0043f)
                curveToRelative(0.081f, 0.1053f, 0.17f, 0.2031f, 0.2267f, 0.3078f)
                curveToRelative(0.1866f, 0.3411f, 0.4294f, 0.6334f, 0.6563f, 0.9416f)
                curveToRelative(0.1946f, 0.2679f, 0.3728f, 0.5598f, 0.5514f, 0.8357f)
                curveToRelative(0.2186f, 0.3325f, 0.429f, 0.6648f, 0.6478f, 0.9974f)
                curveToRelative(0.162f, 0.2518f, 0.3328f, 0.5034f, 0.5021f, 0.747f)
                curveToRelative(0.154f, 0.2185f, 0.3164f, 0.4297f, 0.4784f, 0.641f)
                curveToRelative(0.1373f, 0.1865f, 0.2833f, 0.3732f, 0.4209f, 0.5598f)
                curveToRelative(0.1622f, 0.2272f, 0.3242f, 0.454f, 0.4864f, 0.6733f)
                curveToRelative(0.0807f, 0.1133f, 0.17f, 0.2267f, 0.2586f, 0.3404f)
                curveToRelative(0.0493f, 0.0647f, 0.1219f, 0.1142f, 0.1705f, 0.1542f)
                arcToRelative(0.0627f, 0.0627f, 0.0f, false, true, -0.032f, -0.008f)
                curveToRelative(0.0247f, 0.0323f, 0.0402f, 0.0567f, 0.0568f, 0.073f)
                curveToRelative(0.0893f, 0.0487f, 0.0972f, 0.0973f, 0.0486f, 0.1705f)
                lineToRelative(6.0E-4f, -0.002f)
                curveToRelative(-0.0079f, 0.0162f, -0.0246f, 0.0326f, -0.0323f, 0.0492f)
                curveToRelative(-0.0083f, -0.0166f, -0.0083f, -0.0408f, -0.0162f, -0.0737f)
                curveToRelative(-0.0486f, 0.1302f, -0.154f, 0.0652f, -0.227f, 0.0652f)
                curveToRelative(-0.4371f, 0.008f, -0.883f, 0.008f, -1.3207f, 0.008f)
                curveToRelative(-0.4212f, 0.0f, -0.8504f, 1.0E-4f, -1.2716f, 0.008f)
                curveToRelative(-0.138f, 0.0f, -0.284f, 0.0324f, -0.422f, 0.0408f)
                curveToRelative(-0.3318f, 0.0161f, -0.6641f, 0.0246f, -0.9963f, 0.0323f)
                curveToRelative(-0.0247f, 0.0f, -0.0484f, -0.0401f, -0.089f, -0.0727f)
                curveToRelative(-0.008f, 0.0162f, -0.025f, 0.0407f, -0.049f, 0.073f)
                curveToRelative(-0.0087f, -0.016f, -0.0244f, -0.0321f, -0.0407f, -0.0564f)
                arcToRelative(0.4478f, 0.4478f, 0.0f, false, true, -0.0248f, 0.0645f)
                horizontalLineToRelative(-0.0235f)
                curveToRelative(-0.0162f, -0.1133f, -0.0486f, -0.2187f, -0.0486f, -0.3326f)
                curveToRelative(0.0f, -0.2432f, 0.0246f, -0.4861f, 0.0323f, -0.73f)
                curveToRelative(0.0083f, -0.1133f, 0.0f, -0.2188f, 0.0f, -0.3247f)
                curveToRelative(0.0327f, 0.0246f, 0.057f, 0.0412f, 0.0894f, 0.0649f)
                arcToRelative(0.692f, 0.692f, 0.0f, false, true, 0.0485f, -0.0802f)
                reflectiveCurveToRelative(-0.0162f, -0.008f, -0.0326f, -0.0245f)
                curveToRelative(0.0153f, -0.008f, 0.0323f, -0.0246f, 0.0323f, -0.0326f)
                curveToRelative(0.0079f, -0.0246f, 0.0245f, -0.049f, 0.0245f, -0.065f)
                curveToRelative(0.0f, -0.057f, -0.0165f, -0.1055f, -0.0245f, -0.1538f)
                curveToRelative(0.0079f, 0.0f, 0.0159f, 1.0E-4f, 0.0245f, -0.008f)
                lineToRelative(0.0482f, 0.2432f)
                horizontalLineToRelative(0.0248f)
                curveToRelative(-0.0326f, -0.0563f, 0.0727f, -0.1055f, -0.0162f, -0.1702f)
                curveToRelative(-0.008f, -0.008f, 0.0077f, -0.0569f, 0.0077f, -0.0812f)
                curveToRelative(-0.0247f, -0.0483f, -0.04f, -0.097f, -0.0646f, -0.162f)
                curveToRelative(0.008f, -0.008f, 0.0324f, -0.0162f, 0.0567f, -0.0245f)
                curveToRelative(-0.0323f, -0.0161f, -0.0568f, -0.0321f, -0.0811f, -0.0401f)
                curveToRelative(0.081f, -0.0733f, 0.081f, -0.114f, 0.008f, -0.195f)
                curveToRelative(0.0167f, -0.008f, 0.0327f, -0.008f, 0.0327f, -0.0153f)
                curveToRelative(0.0f, -0.0733f, 0.0f, -0.1461f, -0.016f, -0.2185f)
                curveToRelative(-0.0163f, -0.0819f, 0.0247f, -0.1786f, -0.0972f, -0.2279f)
                arcToRelative(0.2307f, 0.2307f, 0.0f, false, false, 0.0322f, 0.0645f)
                reflectiveCurveToRelative(-0.0245f, 0.008f, -0.0485f, 0.0248f)
                curveToRelative(-0.1053f, -0.0976f, -0.0403f, -0.228f, -0.065f, -0.3736f)
                curveToRelative(0.0567f, 0.0162f, 0.0973f, 0.0326f, 0.1377f, 0.0492f)
                curveToRelative(-0.0163f, -0.0573f, -0.0566f, -0.122f, -0.0809f, -0.195f)
                horizontalLineToRelative(-0.033f)
                verticalLineToRelative(-0.5357f)
                curveToRelative(0.0f, 0.008f, 0.0568f, 0.008f, 0.0894f, 0.0166f)
                curveToRelative(0.0f, -0.008f, 0.0076f, -0.0164f, 0.0076f, -0.0248f)
                curveToRelative(-0.0246f, -0.0323f, -0.0567f, -0.0647f, -0.089f, -0.1053f)
                lineToRelative(0.0162f, -0.0162f)
                curveToRelative(-0.0646f, -0.0807f, -0.0322f, -0.1938f, -0.0322f, -0.2185f)
                verticalLineToRelative(-0.568f)
                curveToRelative(0.0813f, 0.0814f, -0.0401f, 0.1865f, 0.0812f, 0.2351f)
                verticalLineToRelative(-0.0808f)
                horizontalLineToRelative(-0.0085f)
                curveToRelative(-0.008f, -0.1216f, -0.008f, -0.2432f, -0.016f, -0.3651f)
                horizontalLineToRelative(-0.0161f)
                curveToRelative(-0.0083f, 0.0166f, -0.0083f, 0.0244f, -0.0166f, 0.0408f)
                horizontalLineToRelative(-0.016f)
                close()
                moveTo(3.9618f, 10.6678f)
                curveToRelative(-0.0966f, 0.1136f, -0.1859f, 0.2274f, -0.2751f, 0.3404f)
                horizontalLineToRelative(-0.001f)
                curveToRelative(0.016f, 0.008f, 0.0401f, 0.0652f, 0.0568f, 0.0815f)
                curveToRelative(0.089f, -0.1216f, 0.2106f, -0.2757f, 0.3f, -0.3896f)
                curveToRelative(-0.0084f, -0.008f, -0.0729f, -0.0243f, -0.0806f, -0.0323f)
                close()
                moveTo(3.419f, 11.0656f)
                curveToRelative(-0.0487f, 0.0727f, -0.1698f, 0.2029f, -0.2185f, 0.2758f)
                curveToRelative(0.008f, 0.008f, 0.097f, -0.0324f, 0.105f, -0.0238f)
                curveToRelative(0.0486f, -0.073f, 0.0972f, -0.1544f, 0.1458f, -0.2276f)
                curveToRelative(-0.0159f, -0.008f, -0.024f, -0.0166f, -0.0323f, -0.0245f)
                close()
                moveTo(3.4513f, 11.0901f)
                lineToRelative(3.0E-4f, 3.0E-4f)
                verticalLineToRelative(-6.0E-4f)
                lineToRelative(-3.0E-4f, 3.0E-4f)
                close()
                moveTo(3.5885f, 11.1869f)
                curveToRelative(-0.0483f, 0.0333f, -0.0967f, 0.074f, -0.1454f, 0.1063f)
                curveToRelative(0.0162f, 0.016f, 0.0162f, 0.0247f, 0.0162f, 0.0408f)
                curveToRelative(-0.0646f, -0.008f, -0.0893f, 0.0245f, -0.1216f, 0.1131f)
                curveToRelative(-0.008f, 0.0246f, -0.0487f, 0.0325f, -0.0893f, 0.0645f)
                curveToRelative(-0.008f, 0.0166f, -0.0159f, 0.0575f, -0.0323f, 0.0978f)
                lineToRelative(0.0081f, 0.008f)
                arcToRelative(0.1243f, 0.1243f, 0.0f, false, true, -0.0404f, 0.0248f)
                curveToRelative(-0.0487f, 0.0483f, -0.1056f, 0.0893f, -0.1542f, 0.1376f)
                curveToRelative(-0.008f, 0.0246f, -0.016f, 0.0487f, -0.016f, 0.073f)
                curveToRelative(0.0569f, -0.0567f, 0.1539f, -0.1623f, 0.2269f, -0.2273f)
                lineToRelative(0.0084f, 0.008f)
                curveToRelative(0.0324f, -0.0487f, 0.0567f, -0.097f, 0.0894f, -0.1457f)
                curveToRelative(0.0077f, 0.008f, 0.0077f, 0.0159f, 0.016f, 0.0245f)
                curveToRelative(-0.0246f, 0.0647f, -0.0487f, 0.1375f, -0.073f, 0.2025f)
                curveToRelative(-0.017f, 0.008f, -0.0414f, 0.0246f, -0.0414f, 0.0162f)
                curveToRelative(-0.0323f, 0.0246f, -0.0567f, 0.0565f, -0.0894f, 0.0808f)
                lineToRelative(-0.1454f, 0.097f)
                curveToRelative(-0.081f, 0.073f, -0.162f, 0.1378f, -0.2514f, 0.211f)
                curveToRelative(-0.0566f, 0.0893f, -0.113f, 0.1703f, -0.1783f, 0.2759f)
                curveToRelative(0.0976f, -0.0246f, 0.1218f, 0.0166f, 0.1138f, 0.0978f)
                curveToRelative(0.1133f, 0.016f, 0.1215f, -0.073f, 0.1539f, -0.138f)
                curveToRelative(0.008f, -0.0165f, 0.0162f, -0.0493f, 0.0323f, -0.0573f)
                curveToRelative(0.073f, -0.0647f, 0.154f, -0.1213f, 0.235f, -0.1862f)
                curveToRelative(0.0163f, -0.0162f, 0.0163f, -0.0494f, 0.0163f, -0.0734f)
                curveToRelative(0.0f, -0.008f, -0.041f, -0.008f, -0.0653f, -0.0162f)
                curveToRelative(0.073f, -0.0813f, 0.1784f, -0.2185f, 0.2511f, -0.3078f)
                curveToRelative(0.0407f, -0.0246f, 0.0812f, -0.0575f, 0.0812f, -0.0818f)
                curveToRelative(-0.0066f, -0.0745f, 0.032f, -0.1036f, 0.0828f, -0.1301f)
                curveToRelative(-0.0378f, 0.1753f, -0.144f, 0.3252f, -0.252f, 0.356f)
                curveToRelative(0.0323f, 0.0162f, 0.0647f, 0.0328f, 0.0893f, 0.0248f)
                curveToRelative(0.024f, -0.008f, 0.0401f, -0.0494f, 0.0564f, -0.0734f)
                lineToRelative(0.2185f, -0.3162f)
                lineToRelative(0.0733f, -0.122f)
                lineToRelative(-0.0323f, -0.0326f)
                lineToRelative(-3.0E-4f, 0.001f)
                curveToRelative(-0.0323f, 0.0567f, -0.0648f, 0.1054f, -0.0971f, 0.1624f)
                lineToRelative(-0.0277f, -0.014f)
                curveToRelative(9.0E-4f, -5.0E-4f, 0.0018f, -0.001f, 0.0027f, -0.002f)
                curveToRelative(-0.0326f, -0.0246f, -0.041f, -0.0484f, -0.041f, -0.0564f)
                lineToRelative(3.0E-4f, -0.001f)
                curveToRelative(0.0086f, -0.0246f, 0.0247f, -0.0487f, 0.041f, -0.073f)
                curveToRelative(0.0161f, 0.0f, 0.0402f, -0.008f, 0.0402f, -0.008f)
                curveToRelative(0.033f, -0.0567f, 0.0329f, -0.0974f, 0.0652f, -0.146f)
                curveToRelative(-0.008f, -0.008f, -0.0164f, -0.008f, -0.0248f, -0.0163f)
                close()
                moveTo(17.6471f, 12.1849f)
                lineToRelative(-7.0E-4f, 4.0E-4f)
                curveToRelative(-6.0E-4f, 0.002f, 0.0f, 0.004f, -6.0E-4f, 0.006f)
                curveToRelative(6.0E-4f, -0.002f, 5.0E-4f, -0.004f, 0.0013f, -0.006f)
                close()
                moveTo(17.6458f, 12.1909f)
                arcToRelative(0.229f, 0.229f, 0.0f, false, false, -0.0072f, 0.0668f)
                curveToRelative(0.0f, -0.0223f, 0.001f, -0.0447f, 0.0072f, -0.0668f)
                close()
                moveTo(17.6386f, 12.3383f)
                verticalLineToRelative(0.008f)
                curveToRelative(0.0083f, 0.008f, 0.009f, 0.008f, 0.016f, 6.0E-4f)
                curveToRelative(-0.0079f, 0.0f, -0.0079f, 2.0E-4f, -0.016f, -0.008f)
                close()
                moveTo(17.6386f, 12.3545f)
                curveToRelative(-0.0237f, 0.008f, -0.0483f, 0.008f, -0.0809f, 0.0162f)
                curveToRelative(0.0397f, 0.0151f, 0.0791f, 0.0238f, 0.0809f, 0.0391f)
                close()
                moveTo(17.6386f, 12.4099f)
                verticalLineToRelative(0.002f)
                lineToRelative(6.0E-4f, -6.0E-4f)
                curveToRelative(0.0f, -4.0E-4f, -6.0E-4f, -7.0E-4f, -6.0E-4f, -0.001f)
                close()
                moveTo(16.4472f, 13.8318f)
                curveToRelative(-0.0162f, 0.9249f, 0.0893f, 1.8333f, 0.2106f, 2.7502f)
                curveToRelative(-0.9153f, 0.0323f, -1.8474f, 0.0645f, -2.787f, 0.0972f)
                lineToRelative(3.0E-4f, -3.0E-4f)
                curveToRelative(0.3642f, -0.154f, 0.664f, -0.3726f, 0.939f, -0.6244f)
                curveToRelative(0.041f, -0.0406f, 0.0814f, -0.0808f, 0.1301f, -0.1138f)
                curveToRelative(0.3405f, -0.2106f, 0.5912f, -0.5027f, 0.8184f, -0.8272f)
                curveToRelative(0.2592f, -0.3731f, 0.4294f, -0.7952f, 0.6403f, -1.1927f)
                arcToRelative(0.8439f, 0.8439f, 0.0f, false, true, 0.0483f, -0.089f)
                close()
                moveTo(17.5815f, 13.9052f)
                arcToRelative(0.5457f, 0.5457f, 0.0f, false, true, 0.0326f, 0.0812f)
                curveToRelative(0.04f, -0.008f, 0.0567f, -0.008f, 0.0727f, -0.0162f)
                curveToRelative(0.0f, -0.008f, -1.0E-4f, -0.0159f, 0.0081f, -0.0245f)
                lineToRelative(-3.0E-4f, -3.0E-4f)
                curveToRelative(-0.024f, -0.008f, -0.0562f, -0.0238f, -0.1132f, -0.0401f)
                close()
                moveTo(17.605f, 13.9789f)
                curveToRelative(-0.001f, 0.0f, -0.0031f, 0.002f, -0.0072f, 0.006f)
                lineToRelative(3.0E-4f, 0.001f)
                curveToRelative(0.0077f, 0.0f, 0.016f, 0.008f, 0.016f, 0.008f)
                lineToRelative(-0.008f, -0.009f)
                curveToRelative(0.0f, -0.004f, 0.0f, -0.006f, -0.001f, -0.006f)
                close()
                moveTo(1.07f, 14.0105f)
                curveToRelative(-0.0161f, 0.0f, -0.065f, 0.0246f, -0.073f, 0.0326f)
                curveToRelative(0.0324f, 0.081f, 0.073f, 0.1704f, 0.1054f, 0.2517f)
                curveToRelative(0.0079f, -0.008f, 0.0565f, -0.0323f, 0.0645f, -0.0323f)
                curveToRelative(-0.0325f, -0.081f, -0.0646f, -0.1703f, -0.0968f, -0.252f)
                close()
                moveTo(0.8425f, 14.3434f)
                curveToRelative(-0.024f, 0.0407f, -0.0484f, 0.0808f, -0.04f, 0.1128f)
                curveToRelative(0.0f, 0.0243f, 0.0402f, 0.0484f, 0.0648f, 0.073f)
                curveToRelative(2.0E-4f, -0.008f, 0.0078f, -0.0159f, 0.016f, -0.0235f)
                curveToRelative(-0.016f, -0.0569f, -0.0241f, -0.1057f, -0.0407f, -0.1624f)
                close()
                moveTo(22.4996f, 14.3514f)
                curveToRelative(0.0f, 0.0161f, 0.008f, 0.0398f, 0.0f, 0.0564f)
                close()
                moveTo(1.2638f, 14.5298f)
                curveToRelative(-0.008f, 0.0f, -0.0647f, 0.0243f, -0.0727f, 0.0326f)
                curveToRelative(0.0646f, 0.1376f, 0.1293f, 0.284f, 0.194f, 0.4219f)
                lineToRelative(3.0E-4f, -4.0E-4f)
                curveToRelative(0.0083f, 0.0f, 0.073f, -0.0323f, 0.073f, -0.0323f)
                curveToRelative(-0.0652f, -0.1385f, -0.1053f, -0.2926f, -0.1946f, -0.4219f)
                close()
                moveTo(1.1021f, 14.8542f)
                curveToRelative(0.0f, 0.032f, -0.0408f, 0.024f, -0.0408f, 0.0564f)
                curveToRelative(-0.048f, 0.0f, -0.0886f, -0.008f, -0.1291f, -0.008f)
                curveToRelative(-0.008f, 0.008f, 0.0243f, 0.0569f, 0.0326f, 0.0652f)
                horizontalLineToRelative(0.1699f)
                curveToRelative(0.0f, -0.041f, -0.0078f, -0.0731f, -0.0078f, -0.1138f)
                close()
                moveTo(8.5551f, 15.1704f)
                curveToRelative(0.0894f, 0.138f, 0.179f, 0.2679f, 0.276f, 0.3972f)
                horizontalLineToRelative(3.0E-4f)
                lineToRelative(-0.0081f, 0.008f)
                curveToRelative(-0.017f, -0.008f, -0.0414f, -0.0161f, -0.0574f, -0.0323f)
                lineToRelative(-0.1943f, -0.2925f)
                curveToRelative(-0.016f, -0.024f, -0.025f, -0.0485f, -0.0163f, -0.0809f)
                close()
                moveTo(17.5981f, 15.6087f)
                lineToRelative(-3.0E-4f, 3.0E-4f)
                curveToRelative(-0.0079f, 0.0973f, -0.0162f, 0.1703f, -0.0162f, 0.2432f)
                curveToRelative(0.0f, 0.0162f, 0.0164f, 0.0483f, 0.0248f, 0.0483f)
                curveToRelative(0.016f, 0.009f, 0.0482f, -0.008f, 0.0645f, -0.0153f)
                curveToRelative(0.008f, -0.008f, 0.016f, -0.0243f, 0.016f, -0.0326f)
                curveToRelative(-0.0243f, -0.0166f, -0.048f, -0.0245f, -0.0726f, -0.0414f)
                curveToRelative(0.1539f, -0.081f, 0.0f, -0.1215f, -0.016f, -0.2025f)
                close()
                moveTo(3.4845f, 20.2004f)
                curveToRelative(0.0884f, 0.0976f, 0.1777f, 0.195f, 0.2667f, 0.3006f)
                curveToRelative(-0.0487f, -0.0246f, -0.1054f, -0.0407f, -0.1294f, -0.0734f)
                curveToRelative(-0.0567f, -0.0647f, -0.1051f, -0.1378f, -0.1618f, -0.2025f)
                close()
                moveTo(3.8245f, 20.4847f)
                curveToRelative(0.0247f, 0.0406f, 0.0406f, 0.0893f, 0.0646f, 0.138f)
                curveToRelative(-0.1133f, -0.008f, -0.17f, -0.057f, -0.1376f, -0.1217f)
                curveToRelative(0.0246f, -0.008f, 0.0491f, -0.008f, 0.073f, -0.0162f)
                close()
                moveTo(19.2594f, 21.7269f)
                curveToRelative(-0.0653f, 0.0153f, -0.114f, 0.0241f, -0.154f, 0.0401f)
                curveToRelative(-0.0165f, 0.0326f, -0.0329f, 0.0567f, -0.0492f, 0.089f)
                curveToRelative(0.0083f, 0.0f, 0.0164f, 0.008f, 0.0248f, 0.0162f)
                curveToRelative(0.0487f, -0.0487f, 0.105f, -0.089f, 0.1784f, -0.1454f)
                close()
                moveTo(18.8449f, 21.9529f)
                curveToRelative(-0.0892f, 0.057f, -0.1862f, 0.1136f, -0.2755f, 0.1702f)
                curveToRelative(0.008f, 0.008f, 0.008f, 0.0168f, 0.0166f, 0.0248f)
                curveToRelative(0.1133f, -0.0243f, 0.2026f, -0.0814f, 0.2918f, -0.146f)
                lineToRelative(-3.0E-4f, -7.0E-4f)
                curveToRelative(-0.0079f, -0.0162f, -0.0243f, -0.033f, -0.0326f, -0.0483f)
                close()
                moveTo(14.8763f, 23.4954f)
                curveToRelative(-0.3726f, 0.1053f, -0.4944f, 0.1212f, -0.535f, 0.0645f)
                curveToRelative(0.1864f, -0.0246f, 0.3571f, -0.0406f, 0.535f, -0.0645f)
                close()
                moveTo(14.3246f, 23.5681f)
                curveToRelative(0.0083f, 0.0161f, 0.0083f, 0.0322f, 0.0162f, 0.0482f)
                curveToRelative(-0.0486f, 0.0f, -0.081f, 0.0168f, -0.1216f, 0.0245f)
                lineToRelative(-3.0E-4f, -3.0E-4f)
                curveToRelative(-0.113f, 0.0246f, -0.2346f, 0.0411f, -0.3479f, 0.0574f)
                curveToRelative(-0.0407f, 0.008f, -0.0893f, 0.0488f, -0.1053f, -0.0245f)
                curveToRelative(-0.0162f, 0.008f, -0.0326f, 0.008f, -0.0486f, 0.0166f)
                curveToRelative(0.04f, 0.1213f, 0.1378f, 0.0237f, 0.2188f, 0.0724f)
                curveToRelative(-0.1786f, 0.0246f, -0.3479f, 0.0409f, -0.5184f, 0.0649f)
                verticalLineToRelative(-0.0161f)
                curveToRelative(0.0492f, -0.008f, 0.1055f, -0.0164f, 0.1539f, -0.0248f)
                verticalLineToRelative(-0.0241f)
                curveToRelative(-0.0807f, -0.008f, -0.1617f, -0.0162f, -0.2433f, -0.0162f)
                curveToRelative(-0.0237f, 0.0f, -0.0565f, 0.0328f, -0.0808f, 0.0408f)
                curveToRelative(-0.0324f, 0.008f, -0.0647f, 0.0162f, -0.1053f, 0.0162f)
                curveToRelative(-0.1377f, 0.008f, -0.275f, 0.008f, -0.405f, 0.0161f)
                curveToRelative(-0.0083f, 0.0f, -0.0246f, -0.008f, -0.0326f, -0.008f)
                verticalLineToRelative(-0.0248f)
                curveToRelative(0.5428f, -0.0727f, 1.0773f, -0.1455f, 1.6201f, -0.2185f)
                close()
                moveTo(12.6314f, 23.7784f)
                verticalLineToRelative(0.0238f)
                arcToRelative(4.3587f, 4.3587f, 0.0f, false, true, -0.4535f, 0.0486f)
                verticalLineToRelative(-0.0238f)
                curveToRelative(0.154f, -0.016f, 0.2996f, -0.0326f, 0.4535f, -0.0486f)
                close()
            }
        }
        .build()
        return _postcss!!
    }

private var _postcss: ImageVector? = null
