package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Postgresql: ImageVector
    get() {
        if (_postgresql != null) {
            return _postgresql!!
        }
        _postgresql = Builder(name = "Postgresql", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.086f, 0.0f)
                arcToRelative(10.134f, 10.134f, 0.0f, false, false, -2.755f, 0.403f)
                lineToRelative(-0.063f, 0.02f)
                arcToRelative(10.922f, 10.922f, 0.0f, false, false, -1.71f, -0.165f)
                curveTo(11.38f, 0.238f, 10.368f, 0.524f, 9.552f, 1.0f)
                curveTo(8.748f, 0.721f, 7.08f, 0.24f, 5.322f, 0.336f)
                curveToRelative(-1.224f, 0.067f, -2.56f, 0.44f, -3.55f, 1.484f)
                curveTo(0.785f, 2.865f, 0.262f, 4.482f, 0.372f, 6.682f)
                curveToRelative(0.03f, 0.607f, 0.204f, 1.597f, 0.49f, 2.88f)
                curveToRelative(0.288f, 1.281f, 0.69f, 2.782f, 1.194f, 4.151f)
                curveToRelative(0.503f, 1.37f, 1.054f, 2.6f, 1.915f, 3.436f)
                curveToRelative(0.43f, 0.42f, 1.022f, 0.771f, 1.72f, 0.742f)
                curveToRelative(0.49f, -0.02f, 0.933f, -0.235f, 1.315f, -0.552f)
                curveToRelative(0.186f, 0.245f, 0.385f, 0.352f, 0.566f, 0.451f)
                curveToRelative(0.228f, 0.125f, 0.45f, 0.21f, 0.68f, 0.266f)
                curveToRelative(0.413f, 0.103f, 1.12f, 0.241f, 1.948f, 0.1f)
                curveToRelative(0.282f, -0.047f, 0.579f, -0.139f, 0.875f, -0.27f)
                curveToRelative(0.01f, 0.33f, 0.024f, 0.653f, 0.037f, 0.98f)
                curveToRelative(0.04f, 1.036f, 0.067f, 1.993f, 0.378f, 2.832f)
                curveToRelative(0.05f, 0.137f, 0.187f, 0.843f, 0.727f, 1.466f)
                curveToRelative(0.54f, 0.624f, 1.598f, 1.013f, 2.803f, 0.755f)
                curveToRelative(0.85f, -0.182f, 1.93f, -0.51f, 2.649f, -1.532f)
                curveToRelative(0.71f, -1.01f, 1.03f, -2.459f, 1.093f, -4.809f)
                arcToRelative(4.73f, 4.73f, 0.0f, false, true, 0.055f, -0.336f)
                lineToRelative(0.169f, 0.015f)
                horizontalLineToRelative(0.02f)
                curveToRelative(0.907f, 0.041f, 1.89f, -0.088f, 2.713f, -0.47f)
                curveToRelative(0.728f, -0.337f, 1.279f, -0.678f, 1.68f, -1.283f)
                curveToRelative(0.1f, -0.15f, 0.21f, -0.33f, 0.24f, -0.643f)
                curveToRelative(0.03f, -0.312f, -0.15f, -0.8f, -0.446f, -1.025f)
                curveToRelative(-0.595f, -0.452f, -0.97f, -0.28f, -1.37f, -0.197f)
                arcToRelative(6.27f, 6.27f, 0.0f, false, true, -1.202f, 0.146f)
                curveToRelative(1.156f, -1.947f, 1.985f, -4.015f, 2.458f, -5.845f)
                curveToRelative(0.28f, -1.08f, 0.437f, -2.076f, 0.45f, -2.947f)
                curveToRelative(0.013f, -0.87f, -0.058f, -1.642f, -0.58f, -2.309f)
                curveTo(21.318f, 0.6f, 19.025f, 0.024f, 17.25f, 0.004f)
                curveToRelative(-0.055f, 0.0f, -0.11f, -0.002f, -0.165f, 0.0f)
                close()
                moveTo(17.039f, 0.64f)
                curveToRelative(1.678f, -0.016f, 3.822f, 0.455f, 5.36f, 2.422f)
                curveToRelative(0.347f, 0.442f, 0.45f, 1.088f, 0.438f, 1.884f)
                curveToRelative(-0.013f, 0.795f, -0.16f, 1.747f, -0.43f, 2.79f)
                curveToRelative(-0.521f, 2.02f, -1.507f, 4.375f, -2.896f, 6.488f)
                arcToRelative(0.756f, 0.756f, 0.0f, false, false, 0.158f, 0.086f)
                curveToRelative(0.29f, 0.12f, 0.95f, 0.223f, 2.27f, -0.048f)
                curveToRelative(0.332f, -0.07f, 0.575f, -0.117f, 0.827f, 0.075f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, true, 0.183f, 0.425f)
                arcToRelative(0.704f, 0.704f, 0.0f, false, true, -0.13f, 0.336f)
                curveToRelative(-0.255f, 0.383f, -0.758f, 0.746f, -1.403f, 1.045f)
                curveToRelative(-0.571f, 0.266f, -1.39f, 0.405f, -2.116f, 0.413f)
                curveToRelative(-0.364f, 0.004f, -0.7f, -0.024f, -0.985f, -0.113f)
                lineToRelative(-0.018f, -0.007f)
                curveToRelative(-0.11f, 1.06f, -0.363f, 3.153f, -0.528f, 4.108f)
                curveToRelative(-0.132f, 0.77f, -0.363f, 1.382f, -0.804f, 1.84f)
                curveToRelative(-0.44f, 0.458f, -1.063f, 0.734f, -1.901f, 0.914f)
                curveToRelative(-1.038f, 0.223f, -1.795f, -0.017f, -2.283f, -0.428f)
                curveToRelative(-0.487f, -0.41f, -0.71f, -0.954f, -0.844f, -1.287f)
                curveToRelative(-0.092f, -0.23f, -0.14f, -0.528f, -0.186f, -0.926f)
                curveToRelative(-0.046f, -0.398f, -0.08f, -0.885f, -0.103f, -1.434f)
                arcToRelative(51.426f, 51.426f, 0.0f, false, true, -0.03f, -2.523f)
                arcToRelative(3.061f, 3.061f, 0.0f, false, true, -1.552f, 0.76f)
                curveToRelative(-0.69f, 0.117f, -1.304f, 0.002f, -1.671f, -0.09f)
                arcToRelative(2.276f, 2.276f, 0.0f, false, true, -0.52f, -0.2f)
                curveToRelative(-0.17f, -0.092f, -0.332f, -0.195f, -0.44f, -0.398f)
                arcToRelative(0.56f, 0.56f, 0.0f, false, true, -0.057f, -0.38f)
                arcToRelative(0.61f, 0.61f, 0.0f, false, true, 0.218f, -0.332f)
                curveToRelative(0.198f, -0.16f, 0.46f, -0.25f, 0.855f, -0.333f)
                curveToRelative(0.719f, -0.148f, 0.97f, -0.249f, 1.123f, -0.37f)
                curveToRelative(0.13f, -0.104f, 0.277f, -0.314f, 0.537f, -0.622f)
                arcToRelative(1.16f, 1.16f, 0.0f, false, true, -0.003f, -0.04f)
                arcToRelative(2.96f, 2.96f, 0.0f, false, true, -1.33f, -0.359f)
                curveToRelative(-0.15f, 0.158f, -0.916f, 0.968f, -1.85f, 2.092f)
                curveToRelative(-0.393f, 0.47f, -0.827f, 0.74f, -1.285f, 0.76f)
                curveToRelative(-0.458f, 0.02f, -0.872f, -0.212f, -1.224f, -0.553f)
                curveToRelative(-0.703f, -0.683f, -1.264f, -1.858f, -1.753f, -3.186f)
                curveToRelative(-0.488f, -1.328f, -0.885f, -2.807f, -1.167f, -4.067f)
                curveToRelative(-0.283f, -1.26f, -0.45f, -2.276f, -0.474f, -2.766f)
                curveToRelative(-0.105f, -2.082f, 0.382f, -3.485f, 1.217f, -4.37f)
                curveToRelative(0.836f, -0.885f, 1.982f, -1.22f, 3.099f, -1.284f)
                curveToRelative(2.005f, -0.115f, 3.909f, 0.584f, 4.294f, 0.734f)
                curveToRelative(0.742f, -0.504f, 1.698f, -0.818f, 2.892f, -0.798f)
                arcToRelative(7.39f, 7.39f, 0.0f, false, true, 1.68f, 0.218f)
                lineToRelative(0.02f, -0.009f)
                arcToRelative(6.854f, 6.854f, 0.0f, false, true, 0.74f, -0.214f)
                arcToRelative(9.626f, 9.626f, 0.0f, false, true, 2.07f, -0.25f)
                close()
                moveTo(17.191f, 1.31f)
                horizontalLineToRelative(-0.146f)
                arcToRelative(8.74f, 8.74f, 0.0f, false, false, -1.704f, 0.192f)
                curveToRelative(1.246f, 0.552f, 2.187f, 1.402f, 2.85f, 2.25f)
                arcToRelative(8.44f, 8.44f, 0.0f, false, true, 1.132f, 1.92f)
                curveToRelative(0.11f, 0.264f, 0.184f, 0.487f, 0.226f, 0.66f)
                curveToRelative(0.02f, 0.087f, 0.035f, 0.16f, 0.04f, 0.236f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, true, -0.012f, 0.144f)
                curveToRelative(0.0f, 0.003f, -0.005f, 0.01f, -0.006f, 0.013f)
                curveToRelative(0.03f, 0.876f, -0.187f, 1.47f, -0.213f, 2.306f)
                curveToRelative(-0.02f, 0.606f, 0.135f, 1.318f, 0.173f, 2.095f)
                curveToRelative(0.036f, 0.73f, -0.052f, 1.532f, -0.526f, 2.32f)
                curveToRelative(0.04f, 0.047f, 0.076f, 0.095f, 0.114f, 0.143f)
                curveToRelative(1.254f, -1.975f, 2.158f, -4.16f, 2.64f, -6.023f)
                curveToRelative(0.258f, -1.003f, 0.395f, -1.912f, 0.407f, -2.632f)
                curveToRelative(0.01f, -0.72f, -0.124f, -1.242f, -0.295f, -1.46f)
                curveToRelative(-1.342f, -1.716f, -3.158f, -2.153f, -4.68f, -2.165f)
                close()
                moveTo(12.401f, 1.566f)
                curveToRelative(-1.182f, 0.003f, -2.03f, 0.36f, -2.673f, 0.895f)
                curveToRelative(-0.663f, 0.553f, -1.108f, 1.31f, -1.4f, 2.085f)
                curveToRelative(-0.347f, 0.92f, -0.466f, 1.81f, -0.513f, 2.414f)
                lineToRelative(0.013f, -0.008f)
                curveToRelative(0.357f, -0.2f, 0.826f, -0.4f, 1.328f, -0.516f)
                curveToRelative(0.502f, -0.115f, 1.043f, -0.15f, 1.533f, 0.04f)
                reflectiveCurveToRelative(0.895f, 0.636f, 1.042f, 1.314f)
                curveToRelative(0.704f, 3.257f, -0.22f, 4.468f, -0.56f, 5.382f)
                arcToRelative(9.61f, 9.61f, 0.0f, false, false, -0.33f, 1.013f)
                curveToRelative(0.043f, -0.01f, 0.086f, -0.022f, 0.129f, -0.026f)
                curveToRelative(0.24f, -0.02f, 0.428f, 0.06f, 0.54f, 0.108f)
                curveToRelative(0.342f, 0.142f, 0.577f, 0.44f, 0.704f, 0.78f)
                curveToRelative(0.033f, 0.09f, 0.057f, 0.185f, 0.07f, 0.284f)
                arcToRelative(0.336f, 0.336f, 0.0f, false, true, 0.02f, 0.127f)
                arcToRelative(55.14f, 55.14f, 0.0f, false, false, 0.014f, 3.738f)
                curveToRelative(0.023f, 0.538f, 0.057f, 1.012f, 0.1f, 1.386f)
                curveToRelative(0.043f, 0.373f, 0.104f, 0.657f, 0.143f, 0.753f)
                curveToRelative(0.128f, 0.32f, 0.315f, 0.74f, 0.653f, 1.024f)
                curveToRelative(0.338f, 0.284f, 0.823f, 0.474f, 1.709f, 0.284f)
                curveToRelative(0.768f, -0.165f, 1.242f, -0.394f, 1.559f, -0.723f)
                curveToRelative(0.316f, -0.329f, 0.505f, -0.787f, 0.626f, -1.488f)
                curveToRelative(0.18f, -1.05f, 0.545f, -4.095f, 0.589f, -4.668f)
                curveToRelative(-0.02f, -0.432f, 0.044f, -0.764f, 0.182f, -1.017f)
                curveToRelative(0.142f, -0.26f, 0.362f, -0.419f, 0.552f, -0.505f)
                curveToRelative(0.095f, -0.043f, 0.184f, -0.072f, 0.257f, -0.093f)
                arcToRelative(5.956f, 5.956f, 0.0f, false, false, -0.243f, -0.325f)
                arcToRelative(4.456f, 4.456f, 0.0f, false, true, -0.666f, -1.099f)
                arcToRelative(8.296f, 8.296f, 0.0f, false, false, -0.257f, -0.483f)
                curveToRelative(-0.133f, -0.24f, -0.301f, -0.54f, -0.477f, -0.877f)
                curveToRelative(-0.352f, -0.675f, -0.735f, -1.493f, -0.934f, -2.29f)
                curveToRelative(-0.198f, -0.796f, -0.227f, -1.62f, 0.28f, -2.2f)
                curveToRelative(0.45f, -0.517f, 1.24f, -0.73f, 2.427f, -0.61f)
                curveToRelative(-0.035f, -0.106f, -0.056f, -0.193f, -0.115f, -0.333f)
                arcToRelative(7.817f, 7.817f, 0.0f, false, false, -1.041f, -1.764f)
                curveToRelative(-1.005f, -1.285f, -2.632f, -2.559f, -5.146f, -2.6f)
                lineTo(12.4f, 1.568f)
                close()
                moveTo(5.759f, 1.618f)
                curveToRelative(-0.127f, 0.0f, -0.254f, 0.004f, -0.38f, 0.011f)
                curveToRelative(-1.01f, 0.058f, -1.965f, 0.351f, -2.648f, 1.075f)
                curveToRelative(-0.684f, 0.724f, -1.134f, 1.911f, -1.036f, 3.876f)
                curveToRelative(0.019f, 0.372f, 0.18f, 1.414f, 0.459f, 2.652f)
                curveToRelative(0.277f, 1.238f, 0.67f, 2.695f, 1.142f, 3.982f)
                curveToRelative(0.473f, 1.287f, 1.046f, 2.407f, 1.59f, 2.937f)
                curveToRelative(0.274f, 0.265f, 0.512f, 0.372f, 0.728f, 0.363f)
                curveToRelative(0.217f, -0.01f, 0.478f, -0.135f, 0.797f, -0.518f)
                arcToRelative(43.244f, 43.244f, 0.0f, false, true, 1.81f, -2.048f)
                arcToRelative(3.497f, 3.497f, 0.0f, false, true, -1.167f, -3.15f)
                curveToRelative(0.103f, -0.739f, 0.117f, -1.43f, 0.105f, -1.976f)
                curveToRelative(-0.012f, -0.532f, -0.05f, -0.886f, -0.05f, -1.107f)
                arcToRelative(0.336f, 0.336f, 0.0f, false, true, 0.0f, -0.019f)
                verticalLineToRelative(-0.005f)
                lineToRelative(-0.001f, -0.006f)
                arcTo(9.893f, 9.893f, 0.0f, false, true, 7.7f, 4.307f)
                curveToRelative(0.28f, -0.744f, 0.697f, -1.5f, 1.322f, -2.112f)
                curveToRelative(-0.614f, -0.202f, -1.704f, -0.51f, -2.884f, -0.568f)
                arcToRelative(7.603f, 7.603f, 0.0f, false, false, -0.38f, -0.01f)
                close()
                moveTo(18.157f, 6.9f)
                curveToRelative(-0.68f, 0.01f, -1.06f, 0.184f, -1.26f, 0.413f)
                curveToRelative(-0.283f, 0.325f, -0.31f, 0.895f, -0.134f, 1.597f)
                curveToRelative(0.175f, 0.703f, 0.537f, 1.49f, 0.877f, 2.142f)
                curveToRelative(0.17f, 0.327f, 0.335f, 0.621f, 0.468f, 0.86f)
                curveToRelative(0.134f, 0.24f, 0.232f, 0.41f, 0.292f, 0.555f)
                curveToRelative(0.055f, 0.134f, 0.116f, 0.252f, 0.178f, 0.362f)
                curveToRelative(0.263f, -0.555f, 0.31f, -1.1f, 0.283f, -1.668f)
                curveToRelative(-0.035f, -0.703f, -0.198f, -1.422f, -0.174f, -2.15f)
                curveToRelative(0.027f, -0.85f, 0.195f, -1.405f, 0.21f, -2.063f)
                arcToRelative(5.793f, 5.793f, 0.0f, false, false, -0.74f, -0.048f)
                close()
                moveTo(9.923f, 7.015f)
                arcToRelative(2.82f, 2.82f, 0.0f, false, false, -0.616f, 0.074f)
                arcToRelative(4.665f, 4.665f, 0.0f, false, false, -1.153f, 0.45f)
                arcToRelative(2.417f, 2.417f, 0.0f, false, false, -0.35f, 0.227f)
                lineToRelative(-0.021f, 0.02f)
                curveToRelative(0.006f, 0.146f, 0.035f, 0.5f, 0.047f, 1.021f)
                curveToRelative(0.012f, 0.57f, -0.002f, 1.297f, -0.112f, 2.084f)
                curveToRelative(-0.24f, 1.71f, 1.002f, 3.126f, 2.46f, 3.128f)
                curveToRelative(0.085f, -0.35f, 0.225f, -0.707f, 0.365f, -1.082f)
                curveToRelative(0.406f, -1.094f, 1.205f, -1.892f, 0.532f, -5.006f)
                curveToRelative(-0.11f, -0.51f, -0.328f, -0.716f, -0.628f, -0.832f)
                arcToRelative(1.474f, 1.474f, 0.0f, false, false, -0.524f, -0.084f)
                close()
                moveTo(17.84f, 7.219f)
                horizontalLineToRelative(0.05f)
                arcToRelative(0.878f, 0.878f, 0.0f, false, true, 0.18f, 0.022f)
                curveToRelative(0.054f, 0.012f, 0.1f, 0.03f, 0.138f, 0.055f)
                arcToRelative(0.164f, 0.164f, 0.0f, false, true, 0.075f, 0.11f)
                lineToRelative(-0.001f, 0.008f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, true, -0.035f, 0.135f)
                arcToRelative(0.668f, 0.668f, 0.0f, false, true, -0.11f, 0.15f)
                arcToRelative(0.677f, 0.677f, 0.0f, false, true, -0.386f, 0.212f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, -0.41f, -0.103f)
                arcToRelative(0.608f, 0.608f, 0.0f, false, true, -0.13f, -0.118f)
                arcToRelative(0.26f, 0.26f, 0.0f, false, true, -0.063f, -0.127f)
                arcToRelative(0.17f, 0.17f, 0.0f, false, true, 0.042f, -0.128f)
                arcToRelative(0.384f, 0.384f, 0.0f, false, true, 0.117f, -0.09f)
                curveToRelative(0.096f, -0.054f, 0.226f, -0.094f, 0.373f, -0.116f)
                curveToRelative(0.055f, -0.008f, 0.109f, -0.012f, 0.16f, -0.013f)
                close()
                moveTo(10.02f, 7.387f)
                curveToRelative(0.053f, 0.0f, 0.109f, 0.005f, 0.166f, 0.013f)
                curveToRelative(0.153f, 0.021f, 0.289f, 0.062f, 0.393f, 0.122f)
                arcToRelative(0.446f, 0.446f, 0.0f, false, true, 0.133f, 0.106f)
                arcToRelative(0.223f, 0.223f, 0.0f, false, true, 0.054f, 0.17f)
                arcToRelative(0.302f, 0.302f, 0.0f, false, true, -0.075f, 0.154f)
                arcToRelative(0.649f, 0.649f, 0.0f, false, true, -0.143f, 0.13f)
                arcToRelative(0.64f, 0.64f, 0.0f, false, true, -0.448f, 0.113f)
                arcToRelative(0.728f, 0.728f, 0.0f, false, true, -0.42f, -0.228f)
                arcToRelative(0.71f, 0.71f, 0.0f, false, true, -0.118f, -0.164f)
                arcToRelative(0.28f, 0.28f, 0.0f, false, true, -0.041f, -0.177f)
                curveToRelative(0.015f, -0.108f, 0.104f, -0.164f, 0.19f, -0.195f)
                arcToRelative(0.866f, 0.866f, 0.0f, false, true, 0.308f, -0.04f)
                close()
                moveTo(19.08f, 14.73f)
                lineToRelative(-0.003f, 0.001f)
                curveToRelative(-0.147f, 0.053f, -0.268f, 0.075f, -0.37f, 0.12f)
                arcToRelative(0.452f, 0.452f, 0.0f, false, false, -0.24f, 0.214f)
                curveToRelative(-0.062f, 0.115f, -0.116f, 0.32f, -0.1f, 0.666f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, false, 0.148f, 0.07f)
                curveToRelative(0.17f, 0.052f, 0.458f, 0.086f, 0.778f, 0.081f)
                curveToRelative(0.638f, -0.007f, 1.423f, -0.156f, 1.84f, -0.35f)
                arcToRelative(3.95f, 3.95f, 0.0f, false, false, 0.943f, -0.615f)
                horizontalLineToRelative(-0.001f)
                curveToRelative(-1.393f, 0.288f, -2.18f, 0.211f, -2.663f, 0.012f)
                arcToRelative(1.315f, 1.315f, 0.0f, false, true, -0.332f, -0.2f)
                close()
                moveTo(11.049f, 14.824f)
                horizontalLineToRelative(-0.021f)
                curveToRelative(-0.053f, 0.005f, -0.13f, 0.023f, -0.28f, 0.188f)
                curveToRelative(-0.347f, 0.39f, -0.47f, 0.635f, -0.756f, 0.864f)
                curveToRelative(-0.287f, 0.228f, -0.66f, 0.35f, -1.405f, 0.503f)
                arcToRelative(1.918f, 1.918f, 0.0f, false, false, -0.461f, 0.144f)
                curveToRelative(0.029f, 0.024f, 0.026f, 0.03f, 0.07f, 0.053f)
                curveToRelative(0.109f, 0.06f, 0.249f, 0.113f, 0.362f, 0.142f)
                curveToRelative(0.32f, 0.08f, 0.846f, 0.173f, 1.395f, 0.08f)
                curveToRelative(0.549f, -0.094f, 1.12f, -0.357f, 1.607f, -1.04f)
                curveToRelative(0.084f, -0.118f, 0.093f, -0.292f, 0.024f, -0.479f)
                curveToRelative(-0.07f, -0.187f, -0.223f, -0.348f, -0.331f, -0.393f)
                arcToRelative(0.653f, 0.653f, 0.0f, false, false, -0.204f, -0.06f)
                close()
            }
        }
        .build()
        return _postgresql!!
    }

private var _postgresql: ImageVector? = null
