package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Presto: ImageVector
    get() {
        if (_presto != null) {
            return _presto!!
        }
        _presto = Builder(name = "Presto", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.3716f, 0.0f)
                curveTo(0.6184f, 0.0f, 9.0E-4f, 0.618f, 9.0E-4f, 1.3724f)
                verticalLineToRelative(21.256f)
                curveTo(9.0E-4f, 23.3825f, 0.6184f, 24.0f, 1.3716f, 24.0f)
                horizontalLineToRelative(21.256f)
                curveToRelative(0.7545f, 0.0f, 1.3715f, -0.6175f, 1.3715f, -1.3716f)
                lineTo(23.9991f, 1.3724f)
                curveToRelative(0.0f, -0.754f, -0.617f, -1.3724f, -1.3715f, -1.3724f)
                close()
                moveTo(13.3312f, 4.4849f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, 0.032f, 0.0f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, 0.854f, 0.854f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, -0.854f, 0.854f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, -0.854f, -0.854f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, 0.822f, -0.854f)
                close()
                moveTo(8.8854f, 4.5789f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.007f, 0.0f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.76f, 0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.76f, 0.759f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.759f, -0.759f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.752f, -0.76f)
                close()
                moveTo(4.4218f, 4.6739f)
                arcToRelative(0.6645f, 0.6645f, 0.0f, false, true, 0.664f, 0.665f)
                arcToRelative(0.6645f, 0.6645f, 0.0f, false, true, -0.664f, 0.664f)
                arcToRelative(0.6645f, 0.6645f, 0.0f, false, true, -0.6649f, -0.664f)
                arcToRelative(0.6645f, 0.6645f, 0.0f, false, true, 0.665f, -0.665f)
                close()
                moveTo(15.5984f, 6.6252f)
                arcToRelative(0.9486f, 0.9486f, 0.0f, false, true, 0.949f, 0.949f)
                arcToRelative(0.9486f, 0.9486f, 0.0f, false, true, -0.949f, 0.948f)
                arcToRelative(0.9486f, 0.9486f, 0.0f, false, true, -0.949f, -0.948f)
                arcToRelative(0.9486f, 0.9486f, 0.0f, false, true, 0.949f, -0.949f)
                close()
                moveTo(11.0958f, 6.7192f)
                arcToRelative(0.8545f, 0.8545f, 0.0f, false, true, 0.032f, 0.0f)
                arcToRelative(0.8545f, 0.8545f, 0.0f, false, true, 0.8549f, 0.854f)
                arcToRelative(0.8545f, 0.8545f, 0.0f, false, true, -0.8549f, 0.855f)
                arcToRelative(0.8545f, 0.8545f, 0.0f, false, true, -0.8549f, -0.855f)
                arcToRelative(0.8545f, 0.8545f, 0.0f, false, true, 0.823f, -0.854f)
                close()
                moveTo(6.65f, 6.8142f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.0071f, 0.0f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.76f, 0.759f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.76f, 0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.759f, -0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.752f, -0.759f)
                close()
                moveTo(17.817f, 8.7655f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, 0.0177f, 0.0f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, 1.043f, 1.0431f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, -1.043f, 1.044f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, -1.044f, -1.044f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, 1.0262f, -1.043f)
                close()
                moveTo(13.3631f, 8.8605f)
                arcToRelative(0.9486f, 0.9486f, 0.0f, false, true, 0.949f, 0.949f)
                arcToRelative(0.9486f, 0.9486f, 0.0f, false, true, -0.949f, 0.9481f)
                arcToRelative(0.9486f, 0.9486f, 0.0f, false, true, -0.949f, -0.948f)
                arcToRelative(0.9486f, 0.9486f, 0.0f, false, true, 0.949f, -0.949f)
                close()
                moveTo(8.8925f, 8.9546f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, 0.8549f, 0.854f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, -0.855f, 0.854f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, -0.854f, -0.854f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, 0.854f, -0.854f)
                close()
                moveTo(20.069f, 10.906f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, 1.139f, 1.139f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, -1.139f, 1.138f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, -1.139f, -1.138f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, 1.139f, -1.139f)
                close()
                moveTo(15.5992f, 11.001f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, 1.0431f, 1.044f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, -1.043f, 1.043f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, -1.044f, -1.043f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, 1.044f, -1.044f)
                close()
                moveTo(11.1277f, 11.095f)
                arcToRelative(0.949f, 0.949f, 0.0f, false, true, 0.9499f, 0.949f)
                arcToRelative(0.949f, 0.949f, 0.0f, false, true, -0.9499f, 0.949f)
                arcToRelative(0.949f, 0.949f, 0.0f, false, true, -0.949f, -0.949f)
                arcToRelative(0.949f, 0.949f, 0.0f, false, true, 0.949f, -0.949f)
                close()
                moveTo(17.8337f, 13.1413f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, 1.139f, 1.139f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, -1.139f, 1.138f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, -1.139f, -1.138f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, 1.139f, -1.139f)
                close()
                moveTo(13.3453f, 13.2363f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, 0.0177f, 0.0f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, 1.044f, 1.043f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, -1.044f, 1.044f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, -1.044f, -1.044f)
                arcToRelative(1.0436f, 1.0436f, 0.0f, false, true, 1.0263f, -1.043f)
                close()
                moveTo(8.8853f, 13.5203f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.007f, 0.0f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.76f, 0.759f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.76f, 0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.759f, -0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.752f, -0.759f)
                close()
                moveTo(15.5646f, 15.3766f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, 0.0337f, 0.0f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, 1.139f, 1.138f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, -1.139f, 1.139f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, -1.139f, -1.139f)
                arcToRelative(1.1386f, 1.1386f, 0.0f, false, true, 1.1053f, -1.138f)
                close()
                moveTo(6.65f, 15.7556f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.007f, 0.0f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.76f, 0.759f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.76f, 0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.759f, -0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.752f, -0.759f)
                close()
                moveTo(11.1206f, 15.7556f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.0071f, 0.0f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.76f, 0.759f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.76f, 0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.759f, -0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.7519f, -0.759f)
                close()
                moveTo(4.4157f, 17.99f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.007f, 0.0f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.76f, 0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.76f, 0.759f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.7599f, -0.759f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.7528f, -0.76f)
                close()
                moveTo(8.8854f, 17.9909f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.007f, 0.0f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.76f, 0.759f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.76f, 0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, -0.759f, -0.76f)
                arcToRelative(0.7595f, 0.7595f, 0.0f, false, true, 0.752f, -0.759f)
                close()
                moveTo(13.3631f, 17.9918f)
                arcToRelative(0.7591f, 0.7591f, 0.0f, false, true, 0.538f, 0.222f)
                curveToRelative(0.2954f, 0.2963f, 0.2954f, 0.7773f, 0.0f, 1.0732f)
                arcToRelative(0.7603f, 0.7603f, 0.0f, false, true, -1.075f, 0.0f)
                curveToRelative(-0.296f, -0.2959f, -0.296f, -0.777f, 0.0f, -1.0733f)
                arcToRelative(0.7563f, 0.7563f, 0.0f, false, true, 0.537f, -0.222f)
                close()
            }
        }
        .build()
        return _presto!!
    }

private var _presto: ImageVector? = null
