package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.ReduxSaga: ImageVector
    get() {
        if (_reduxSaga != null) {
            return _reduxSaga!!
        }
        _reduxSaga = Builder(name = "ReduxSaga", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.871f, 4.678f)
                arcToRelative(3.315f, 3.315f, 0.0f, false, false, -1.953f, 0.631f)
                curveTo(4.455f, 6.35f, 3.724f, 8.235f, 3.534f, 10.007f)
                curveToRelative(-0.204f, 1.938f, 0.23f, 4.166f, 1.398f, 5.638f)
                curveToRelative(-0.194f, 0.57f, 0.193f, 1.202f, 0.793f, 1.268f)
                arcToRelative(0.975f, 0.975f, 0.0f, false, false, 1.06f, -0.713f)
                curveToRelative(0.197f, -0.66f, -0.425f, -1.342f, -1.13f, -1.189f)
                curveToRelative(-0.982f, -1.321f, -1.29f, -3.038f, -1.186f, -4.653f)
                curveToRelative(0.125f, -1.576f, 0.683f, -3.255f, 1.985f, -4.245f)
                curveToRelative(0.81f, -0.602f, 1.828f, -0.622f, 2.65f, -0.075f)
                curveToRelative(1.107f, 0.742f, 1.763f, 2.132f, 1.97f, 3.43f)
                lineToRelative(0.51f, 0.199f)
                lineToRelative(0.551f, 0.288f)
                curveToRelative(-0.198f, -1.888f, -1.097f, -3.866f, -2.576f, -4.774f)
                arcToRelative(3.149f, 3.149f, 0.0f, false, false, -1.688f, -0.503f)
                close()
                moveTo(17.386f, 8.624f)
                arcToRelative(8.752f, 8.752f, 0.0f, false, false, -3.056f, 0.526f)
                arcToRelative(0.968f, 0.968f, 0.0f, false, false, -1.246f, 0.27f)
                curveToRelative(-0.394f, 0.505f, -0.162f, 1.297f, 0.475f, 1.495f)
                curveToRelative(0.615f, 0.211f, 1.29f, -0.284f, 1.265f, -0.918f)
                arcToRelative(7.778f, 7.778f, 0.0f, false, true, 2.839f, -0.403f)
                curveToRelative(1.575f, 0.07f, 3.665f, 0.654f, 4.626f, 2.148f)
                curveToRelative(0.076f, 0.119f, 0.165f, 0.404f, 0.521f, 0.4f)
                arcToRelative(0.484f, 0.484f, 0.0f, false, false, 0.422f, -0.7f)
                curveToRelative(-0.526f, -0.99f, -1.522f, -1.725f, -2.636f, -2.194f)
                curveToRelative(-0.984f, -0.412f, -2.095f, -0.62f, -3.21f, -0.624f)
                close()
                moveTo(6.326f, 9.341f)
                curveToRelative(-0.455f, -0.003f, -0.93f, 0.296f, -0.979f, 0.933f)
                curveToRelative(0.012f, 1.233f, 1.657f, 1.33f, 1.912f, 0.24f)
                curveToRelative(1.887f, -0.271f, 3.894f, 0.584f, 5.3f, 1.717f)
                curveToRelative(0.973f, 0.77f, 1.852f, 1.993f, 2.072f, 3.083f)
                curveToRelative(0.162f, 0.071f, 0.61f, 0.265f, 1.002f, 0.306f)
                curveToRelative(-0.146f, -1.638f, -1.215f, -3.101f, -2.452f, -4.127f)
                curveToRelative(-1.568f, -1.33f, -4.123f, -2.328f, -6.218f, -1.903f)
                arcToRelative(0.912f, 0.912f, 0.0f, false, false, -0.636f, -0.249f)
                close()
                moveTo(2.908f, 11.201f)
                curveToRelative(-0.866f, 0.609f, -1.65f, 1.36f, -2.185f, 2.282f)
                curveTo(0.008f, 14.668f, -0.312f, 16.24f, 0.4f, 17.499f)
                curveToRelative(0.66f, 1.218f, 2.082f, 1.78f, 3.41f, 1.812f)
                arcToRelative(7.263f, 7.263f, 0.0f, false, false, 2.265f, -0.297f)
                curveToRelative(2.104f, -0.59f, 4.373f, -2.222f, 5.274f, -4.362f)
                arcToRelative(0.964f, 0.964f, 0.0f, false, false, 0.79f, -0.705f)
                curveToRelative(0.2f, -0.72f, -0.463f, -1.372f, -1.169f, -1.191f)
                curveToRelative(-0.686f, 0.175f, -0.966f, 1.012f, -0.522f, 1.54f)
                curveToRelative(-0.607f, 1.389f, -1.8f, 2.449f, -3.112f, 3.161f)
                curveToRelative(-1.493f, 0.804f, -3.306f, 1.188f, -4.758f, 0.659f)
                curveToRelative(-0.93f, -0.304f, -1.642f, -1.13f, -1.618f, -2.215f)
                curveToRelative(0.0f, -1.297f, 0.924f, -2.677f, 2.062f, -3.573f)
                curveToRelative(-0.118f, -0.538f, -0.107f, -0.74f, -0.114f, -1.128f)
                close()
                moveTo(23.011f, 12.731f)
                arcToRelative(0.938f, 0.938f, 0.0f, false, false, -0.672f, 0.292f)
                curveToRelative(-0.344f, 0.327f, -0.364f, 0.902f, -0.092f, 1.248f)
                curveToRelative(-0.546f, 0.823f, -1.508f, 1.384f, -2.455f, 1.706f)
                curveToRelative(-1.855f, 0.613f, -4.111f, 0.503f, -5.798f, -0.38f)
                arcToRelative(4.48f, 4.48f, 0.0f, false, true, -0.99f, -0.674f)
                curveToRelative(-0.141f, -0.128f, -0.183f, -0.157f, -0.296f, -0.188f)
                curveToRelative(-0.5f, -0.105f, -0.783f, 0.486f, -0.457f, 0.808f)
                curveToRelative(1.269f, 1.189f, 3.037f, 1.706f, 4.744f, 1.777f)
                curveToRelative(0.664f, 0.024f, 1.33f, -0.02f, 1.983f, -0.14f)
                curveToRelative(1.622f, -0.302f, 3.318f, -1.107f, 4.168f, -2.521f)
                curveToRelative(0.639f, -0.072f, 1.038f, -0.775f, 0.769f, -1.344f)
                arcToRelative(0.958f, 0.958f, 0.0f, false, false, -0.904f, -0.584f)
                close()
                moveTo(14.265f, 17.245f)
                curveToRelative(-0.83f, 1.12f, -2.646f, 1.45f, -4.75f, 0.723f)
                curveToRelative(-0.19f, 0.13f, -0.302f, 0.214f, -0.433f, 0.3f)
                curveToRelative(-0.13f, 0.087f, -0.29f, 0.17f, -0.607f, 0.366f)
                curveToRelative(2.558f, 1.032f, 5.444f, 1.076f, 6.739f, -1.082f)
                arcToRelative(3.39f, 3.39f, 0.0f, false, true, -0.949f, -0.307f)
                close()
            }
        }
        .build()
        return _reduxSaga!!
    }

private var _reduxSaga: ImageVector? = null
