package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Textpattern: ImageVector
    get() {
        if (_textpattern != null) {
            return _textpattern!!
        }
        _textpattern = Builder(name = "Textpattern", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveToRelative(3.638f, 10.8f)
                horizontalLineToRelative(-0.559f)
                reflectiveCurveToRelative(-0.918f, -0.776f, -1.872f, -1.692f)
                reflectiveCurveToRelative(-1.207f, -1.387f, -1.207f, -1.387f)
                verticalLineToRelative(-0.559f)
                lineToRelative(7.162f, -7.162f)
                horizontalLineToRelative(0.559f)
                reflectiveCurveToRelative(0.744f, 0.61f, 1.631f, 1.448f)
                reflectiveCurveToRelative(1.448f, 1.63f, 1.448f, 1.63f)
                verticalLineToRelative(0.559f)
                lineToRelative(-2.193f, 2.193f)
                lineToRelative(4.397f, 4.117f)
                reflectiveCurveToRelative(2.431f, -2.431f, 3.272f, -3.271f)
                reflectiveCurveToRelative(1.736f, -2.719f, 1.736f, -2.719f)
                lineToRelative(2.346f, -2.346f)
                lineToRelative(0.61f, -0.413f)
                lineToRelative(3.032f, 3.033f)
                lineToRelative(-0.414f, 0.611f)
                lineToRelative(-2.344f, 2.344f)
                reflectiveCurveToRelative(-1.606f, 0.684f, -2.718f, 1.737f)
                reflectiveCurveToRelative(-3.34f, 3.34f, -3.34f, 3.34f)
                reflectiveCurveToRelative(1.933f, 2.146f, 4.057f, 4.27f)
                curveToRelative(2.146f, 2.146f, 4.484f, 4.271f, 4.651f, 4.426f)
                curveToRelative(0.334f, 0.309f, -0.347f, 1.373f, -0.906f, 2.027f)
                reflectiveCurveToRelative(-0.857f, 0.697f, -1.247f, 0.901f)
                curveToRelative(-0.39f, 0.205f, -0.836f, -0.051f, -0.836f, -0.051f)
                reflectiveCurveToRelative(-2.056f, -2.261f, -4.082f, -4.304f)
                curveToRelative(-1.975f, -1.991f, -4.559f, -4.349f, -4.559f, -4.349f)
                reflectiveCurveToRelative(-6.646f, 6.645f, -7.079f, 7.078f)
                curveToRelative(-0.433f, 0.434f, -0.597f, 1.089f, -0.597f, 1.089f)
                lineToRelative(-0.649f, 0.65f)
                reflectiveCurveToRelative(-0.701f, -0.396f, -1.553f, -1.255f)
                reflectiveCurveToRelative(-1.182f, -1.487f, -1.182f, -1.487f)
                lineToRelative(0.646f, -0.646f)
                reflectiveCurveToRelative(0.598f, -0.084f, 1.088f, -0.597f)
                reflectiveCurveToRelative(7.01f, -7.009f, 7.01f, -7.009f)
                lineToRelative(-4.119f, -4.398f)
                close()
                moveTo(20.905f, 23.84f)
                curveToRelative(-0.02f, -0.019f, -0.034f, -0.033f, 0.0f, 0.0f)
                close()
                moveTo(17.449f, 8.756f)
                lineTo(17.902f, 8.303f)
                curveToRelative(0.86f, -0.86f, 3.194f, -1.392f, 3.194f, -1.392f)
                lineToRelative(2.26f, -2.26f)
                lineToRelative(0.258f, -0.381f)
                lineToRelative(-2.682f, -2.682f)
                lineToRelative(-0.381f, 0.258f)
                lineToRelative(-2.261f, 2.261f)
                reflectiveCurveToRelative(-0.942f, 1.925f, -1.802f, 2.784f)
                lineToRelative(-0.423f, 0.423f)
                lineToRelative(-0.03f, 0.03f)
                lineToRelative(-12.887f, 12.887f)
                curveToRelative(-0.491f, 0.492f, -1.147f, 0.655f, -1.147f, 0.655f)
                lineToRelative(-0.409f, 0.41f)
                reflectiveCurveToRelative(0.551f, 0.787f, 1.004f, 1.24f)
                curveToRelative(0.453f, 0.454f, 0.765f, 0.647f, 0.765f, 0.647f)
                lineToRelative(0.462f, -0.475f)
                reflectiveCurveToRelative(0.246f, -0.573f, 0.737f, -1.065f)
                close()
                moveTo(12.793f, 10.162f)
                lineTo(8.995f, 6.585f)
                reflectiveCurveToRelative(-0.626f, 0.197f, -1.088f, 0.815f)
                reflectiveCurveToRelative(-0.488f, 1.125f, -0.066f, 1.547f)
                curveToRelative(0.423f, 0.422f, 3.085f, 3.082f, 3.085f, 3.082f)
                close()
                moveTo(15.435f, 12.98f)
                reflectiveCurveToRelative(-0.714f, 0.181f, -1.097f, 0.746f)
                reflectiveCurveToRelative(-0.359f, 0.927f, 0.052f, 1.339f)
                curveToRelative(0.412f, 0.412f, 2.378f, 2.199f, 3.888f, 3.718f)
                reflectiveCurveToRelative(3.746f, 3.864f, 4.004f, 4.04f)
                curveToRelative(0.26f, 0.177f, 0.26f, 0.177f, 0.26f, 0.177f)
                reflectiveCurveToRelative(0.389f, -0.303f, 0.668f, -0.702f)
                reflectiveCurveToRelative(0.627f, -0.981f, 0.462f, -1.132f)
                curveToRelative(-0.166f, -0.152f, -1.828f, -1.669f, -4.027f, -3.81f)
                reflectiveCurveToRelative(-4.21f, -4.376f, -4.21f, -4.376f)
                close()
                moveTo(0.299f, 7.287f)
                verticalLineToRelative(0.339f)
                reflectiveCurveToRelative(0.369f, 0.523f, 1.36f, 1.514f)
                reflectiveCurveToRelative(1.514f, 1.36f, 1.514f, 1.36f)
                horizontalLineToRelative(0.339f)
                lineToRelative(-0.091f, -0.257f)
                reflectiveCurveToRelative(-0.766f, -0.399f, -1.615f, -1.249f)
                curveToRelative(-0.85f, -0.85f, -1.25f, -1.616f, -1.25f, -1.616f)
                reflectiveCurveToRelative(2.058f, -2.009f, 3.442f, -3.393f)
                curveToRelative(1.385f, -1.385f, 3.379f, -3.428f, 3.379f, -3.428f)
                reflectiveCurveToRelative(0.737f, 0.429f, 1.587f, 1.279f)
                reflectiveCurveToRelative(1.279f, 1.586f, 1.279f, 1.586f)
                lineToRelative(0.257f, 0.091f)
                verticalLineToRelative(-0.339f)
                reflectiveCurveToRelative(-0.369f, -0.523f, -1.36f, -1.514f)
                reflectiveCurveToRelative(-1.514f, -1.36f, -1.514f, -1.36f)
                horizontalLineToRelative(-0.339f)
                close()
            }
        }
        .build()
        return _textpattern!!
    }

private var _textpattern: ImageVector? = null
