package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Vauxhall: ImageVector
    get() {
        if (_vauxhall != null) {
            return _vauxhall!!
        }
        _vauxhall = Builder(name = "Vauxhall", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.002f, 24.0f)
                curveTo(5.375f, 24.001f, 0.002f, 18.63f, 0.0f, 12.002f)
                curveTo(-0.001f, 5.375f, 5.37f, 0.002f, 11.998f, 0.0f)
                reflectiveCurveToRelative(12.0f, 5.37f, 12.002f, 11.998f)
                curveToRelative(0.007f, 6.621f, -5.375f, 12.007f, -11.998f, 12.002f)
                close()
                moveTo(15.8f, 5.371f)
                curveToRelative(0.338f, 0.022f, 0.658f, 0.038f, 0.978f, 0.066f)
                arcToRelative(4.12f, 4.12f, 0.0f, false, true, 1.496f, 0.386f)
                arcToRelative(0.774f, 0.774f, 0.0f, false, true, 0.413f, 0.414f)
                curveToRelative(0.05f, 0.15f, 0.074f, 0.306f, 0.076f, 0.464f)
                curveToRelative(0.0f, 0.14f, 0.034f, 0.213f, 0.185f, 0.25f)
                curveToRelative(0.351f, 0.091f, 0.699f, 0.204f, 1.044f, 0.314f)
                curveToRelative(0.395f, 0.096f, 0.694f, 0.42f, 0.759f, 0.822f)
                curveToRelative(0.053f, 0.28f, 0.062f, 0.568f, 0.028f, 0.853f)
                arcToRelative(6.958f, 6.958f, 0.0f, false, true, -0.238f, 0.962f)
                curveToRelative(0.0f, 0.053f, -0.066f, 0.094f, -0.1f, 0.138f)
                arcToRelative(0.872f, 0.872f, 0.0f, false, true, -0.132f, -0.132f)
                curveToRelative(-0.054f, -0.09f, -0.091f, -0.194f, -0.141f, -0.288f)
                arcToRelative(0.73f, 0.73f, 0.0f, false, false, -0.612f, -0.417f)
                arcToRelative(8.532f, 8.532f, 0.0f, false, false, -2.02f, 0.038f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, false, -0.206f, 0.1f)
                curveToRelative(0.063f, 0.04f, 0.122f, 0.085f, 0.185f, 0.12f)
                arcToRelative(0.496f, 0.496f, 0.0f, false, false, 0.135f, 0.03f)
                lineToRelative(0.815f, 0.154f)
                arcToRelative(0.79f, 0.79f, 0.0f, false, true, 0.627f, 0.477f)
                curveToRelative(0.072f, 0.172f, 0.035f, 0.241f, -0.144f, 0.263f)
                horizontalLineToRelative(-0.213f)
                curveToRelative(-0.562f, 0.044f, -1.123f, 0.072f, -1.681f, 0.135f)
                curveToRelative(-0.41f, 0.044f, -0.561f, 0.244f, -0.574f, 0.658f)
                curveToRelative(-0.029f, 0.911f, 0.023f, 1.823f, 0.154f, 2.725f)
                arcToRelative(2.565f, 2.565f, 0.0f, false, false, 1.326f, 2.023f)
                arcToRelative(29.746f, 29.746f, 0.0f, false, false, 3.214f, 1.567f)
                curveToRelative(0.107f, 0.047f, 0.166f, 0.032f, 0.217f, -0.075f)
                curveToRelative(0.16f, -0.313f, 0.332f, -0.646f, 0.482f, -0.975f)
                curveToRelative(0.5f, -1.063f, 0.818f, -2.203f, 0.941f, -3.37f)
                arcToRelative(10.38f, 10.38f, 0.0f, false, false, -0.085f, -2.647f)
                arcToRelative(11.046f, 11.046f, 0.0f, false, false, -1.204f, -3.65f)
                arcToRelative(10.912f, 10.912f, 0.0f, false, false, -3.449f, -3.741f)
                arcToRelative(10.347f, 10.347f, 0.0f, false, false, -4.954f, -1.828f)
                arcToRelative(11.097f, 11.097f, 0.0f, false, false, -3.299f, 0.182f)
                arcToRelative(10.662f, 10.662f, 0.0f, false, false, -6.356f, 3.995f)
                curveToRelative(-0.15f, 0.174f, 0.092f, 0.232f, 0.239f, 0.207f)
                horizontalLineToRelative(5.989f)
                curveToRelative(0.279f, 0.0f, 0.313f, 0.063f, 0.172f, 0.313f)
                curveToRelative(-1.07f, 1.882f, -2.14f, 3.763f, -3.208f, 5.645f)
                arcToRelative(0.558f, 0.558f, 0.0f, false, true, -0.542f, 0.313f)
                lineTo(1.432f, 11.862f)
                curveToRelative(-0.226f, 0.0f, -0.235f, 0.0f, -0.238f, 0.232f)
                curveToRelative(0.004f, 0.855f, 0.109f, 1.707f, 0.314f, 2.537f)
                curveToRelative(0.035f, 0.17f, 0.137f, 0.32f, 0.282f, 0.417f)
                arcToRelative(3.393f, 3.393f, 0.0f, false, false, 1.966f, 0.627f)
                horizontalLineToRelative(4.01f)
                arcToRelative(0.176f, 0.176f, 0.0f, false, false, 0.201f, -0.144f)
                curveToRelative(0.035f, -0.144f, 0.078f, -0.286f, 0.12f, -0.427f)
                curveToRelative(0.07f, -0.187f, -0.201f, -0.136f, -0.286f, -0.14f)
                curveToRelative(-0.22f, 0.0f, -0.44f, -0.023f, -0.659f, -0.045f)
                curveToRelative(-0.208f, 0.015f, -0.181f, -0.195f, -0.103f, -0.332f)
                curveToRelative(0.354f, -0.752f, 0.7f, -1.511f, 1.063f, -2.26f)
                curveToRelative(0.129f, -0.291f, 0.37f, -0.517f, 0.668f, -0.628f)
                curveToRelative(0.266f, -0.097f, 0.53f, -0.213f, 0.79f, -0.332f)
                curveToRelative(0.06f, -0.029f, 0.097f, -0.104f, 0.144f, -0.154f)
                arcToRelative(0.627f, 0.627f, 0.0f, false, false, -0.179f, -0.085f)
                curveToRelative(-0.188f, -0.018f, -0.379f, -0.015f, -0.567f, -0.034f)
                curveToRelative(-0.188f, -0.019f, -0.2f, -0.097f, -0.12f, -0.232f)
                curveToRelative(0.383f, -0.627f, 0.766f, -1.27f, 1.158f, -1.9f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.599f, -0.427f)
                arcToRelative(4.61f, 4.61f, 0.0f, false, false, 0.536f, -0.178f)
                arcToRelative(0.94f, 0.94f, 0.0f, false, false, 0.213f, -0.157f)
                lineToRelative(-0.025f, -0.057f)
                curveToRelative(-0.176f, -0.025f, -0.351f, -0.047f, -0.527f, -0.075f)
                curveToRelative(-0.175f, -0.028f, -0.185f, -0.106f, -0.1f, -0.238f)
                curveToRelative(0.085f, -0.132f, 0.141f, -0.213f, 0.21f, -0.314f)
                arcToRelative(4.293f, 4.293f, 0.0f, false, true, 1.254f, -1.351f)
                curveToRelative(0.462f, -0.276f, 0.97f, -0.467f, 1.499f, -0.565f)
                arcToRelative(0.683f, 0.683f, 0.0f, false, false, 0.289f, -0.156f)
                curveToRelative(0.743f, -0.662f, 1.44f, -1.38f, 2.2f, -2.032f)
                curveToRelative(-0.137f, 0.67f, -0.238f, 1.31f, -0.344f, 1.96f)
                close()
                moveTo(2.56f, 6.604f)
                lineToRelative(0.022f, 0.134f)
                curveToRelative(0.314f, 1.314f, 0.605f, 2.628f, 0.9f, 3.945f)
                curveToRelative(0.025f, 0.107f, 0.072f, 0.135f, 0.179f, 0.132f)
                horizontalLineToRelative(1.687f)
                arcToRelative(0.279f, 0.279f, 0.0f, false, false, 0.294f, -0.17f)
                curveToRelative(0.728f, -1.298f, 1.46f, -2.593f, 2.195f, -3.885f)
                curveToRelative(0.025f, -0.043f, 0.044f, -0.087f, 0.079f, -0.153f)
                lineTo(6.778f, 6.607f)
                arcToRelative(0.42f, 0.42f, 0.0f, false, false, -0.417f, 0.244f)
                curveToRelative(-0.52f, 0.922f, -1.047f, 1.84f, -1.567f, 2.76f)
                lineToRelative(-0.091f, 0.14f)
                curveToRelative(-0.22f, -0.94f, -0.433f, -1.865f, -0.646f, -2.78f)
                curveToRelative(-0.094f, -0.418f, -0.06f, -0.358f, -0.455f, -0.361f)
                lineToRelative(-1.04f, -0.006f)
                close()
                moveTo(3.187f, 18.243f)
                curveToRelative(0.958f, 1.52f, 2.473f, 2.693f, 4.076f, 3.502f)
                arcToRelative(0.176f, 0.176f, 0.0f, false, false, 0.22f, -0.028f)
                curveToRelative(0.364f, -0.299f, 0.73f, -0.594f, 1.097f, -0.887f)
                lineToRelative(0.386f, -0.314f)
                arcToRelative(15.253f, 15.253f, 0.0f, false, true, -0.777f, -0.95f)
                arcToRelative(0.483f, 0.483f, 0.0f, false, false, -0.295f, -0.213f)
                lineToRelative(-3.876f, -0.916f)
                lineToRelative(-0.83f, -0.194f)
                close()
                moveTo(18.125f, 6.983f)
                curveToRelative(-0.088f, -0.019f, -0.14f, -0.038f, -0.191f, -0.044f)
                curveToRelative(-0.263f, -0.034f, -0.53f, -0.05f, -0.787f, -0.11f)
                arcToRelative(0.825f, 0.825f, 0.0f, false, false, -0.724f, 0.189f)
                curveToRelative(-0.035f, 0.025f, -0.072f, 0.072f, -0.066f, 0.103f)
                arcToRelative(0.141f, 0.141f, 0.0f, false, false, 0.09f, 0.088f)
                curveToRelative(0.314f, 0.097f, 0.628f, 0.197f, 0.957f, 0.27f)
                arcToRelative(0.408f, 0.408f, 0.0f, false, false, 0.314f, -0.066f)
                curveToRelative(0.145f, -0.133f, 0.28f, -0.277f, 0.404f, -0.43f)
                horizontalLineToRelative(0.003f)
                close()
            }
        }
        .build()
        return _vauxhall!!
    }

private var _vauxhall: ImageVector? = null
