package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.WarnerbrosDot: ImageVector
    get() {
        if (_warnerbrosDot != null) {
            return _warnerbrosDot!!
        }
        _warnerbrosDot = Builder(name = "WarnerbrosDot", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.5798f, 10.2379f)
                curveToRelative(-0.5236f, 0.0f, -0.9992f, 0.201f, -2.4648f, 1.2525f)
                verticalLineToRelative(5.6593f)
                curveToRelative(2.5407f, -2.8547f, 3.2641f, -4.808f, 3.2641f, -5.81f)
                curveToRelative(-0.0026f, -0.7013f, -0.3264f, -1.1018f, -0.7993f, -1.1018f)
                close()
                moveTo(16.7796f, 6.4815f)
                curveToRelative(0.0f, -1.0047f, -1.1458f, -1.8286f, -2.6646f, -1.9284f)
                verticalLineToRelative(5.234f)
                curveToRelative(1.9165f, -1.1267f, 2.664f, -2.2566f, 2.664f, -3.3056f)
                close()
                moveTo(21.2894f, 4.2604f)
                curveToRelative(-0.0246f, -0.0998f, -0.05f, -0.1373f, -0.0999f, -0.15f)
                lineToRelative(-1.796f, -0.4763f)
                lineToRelative(-0.249f, -1.0268f)
                curveToRelative(-0.0127f, -0.0503f, -0.0254f, -0.0878f, -0.0747f, -0.0998f)
                lineToRelative(-1.8439f, -0.501f)
                lineToRelative(-0.2238f, -0.9773f)
                arcToRelative(0.1372f, 0.1372f, 0.0f, false, false, -0.1f, -0.1253f)
                lineTo(12.1154f, 0.0111f)
                arcToRelative(0.6414f, 0.6414f, 0.0f, false, false, -0.2372f, 0.0f)
                lineToRelative(-4.789f, 0.8928f)
                arcToRelative(0.1372f, 0.1372f, 0.0f, false, false, -0.0998f, 0.1253f)
                lineToRelative(-0.2245f, 0.9773f)
                lineToRelative(-1.8432f, 0.5003f)
                curveToRelative(-0.05f, 0.012f, -0.062f, 0.0496f, -0.0747f, 0.0998f)
                lineToRelative(-0.249f, 1.0268f)
                lineToRelative(-1.7914f, 0.477f)
                curveToRelative(-0.0493f, 0.0127f, -0.0746f, 0.0502f, -0.0992f, 0.15f)
                arcToRelative(12.9347f, 12.9347f, 0.0f, false, false, -0.2245f, 2.4301f)
                curveToRelative(0.0f, 7.214f, 3.737f, 13.4768f, 9.3174f, 17.209f)
                arcTo(0.2493f, 0.2493f, 0.0f, false, false, 12.0f, 24.0f)
                arcToRelative(0.2493f, 0.2493f, 0.0f, false, false, 0.1999f, -0.1005f)
                curveToRelative(5.5803f, -3.7322f, 9.3173f, -9.995f, 9.3173f, -17.209f)
                arcToRelative(12.9906f, 12.9906f, 0.0f, false, false, -0.2284f, -2.4301f)
                close()
                moveTo(11.2972f, 20.5812f)
                curveToRelative(0.0f, 0.0503f, -0.05f, 0.075f, -0.0992f, 0.0248f)
                curveToRelative(-1.3703f, -1.5774f, -2.2916f, -3.5058f, -2.9144f, -5.6097f)
                lineToRelative(-0.9466f, 0.6028f)
                curveToRelative(-0.2491f, 0.1755f, -0.4483f, 0.1005f, -0.5995f, -0.1748f)
                curveToRelative(-1.2704f, -2.254f, -2.0924f, -5.9614f, -2.167f, -8.565f)
                arcToRelative(0.4522f, 0.4522f, 0.0f, false, true, 0.1246f, -0.3255f)
                arcToRelative(11.8352f, 11.8352f, 0.0f, false, true, 1.0958f, -1.1521f)
                curveToRelative(0.0746f, -0.075f, 0.1499f, -0.0255f, 0.1499f, 0.0998f)
                curveToRelative(0.0f, 3.2057f, 0.5475f, 6.1858f, 1.4195f, 8.1396f)
                curveToRelative(0.0746f, 0.15f, 0.1492f, 0.15f, 0.2492f, 0.075f)
                lineToRelative(0.2737f, -0.1754f)
                curveToRelative(-0.5229f, -2.329f, -0.822f, -5.4343f, -0.7474f, -9.0158f)
                curveToRelative(0.0f, -0.1253f, 0.0253f, -0.1755f, 0.1f, -0.225f)
                arcToRelative(8.7268f, 8.7268f, 0.0f, false, true, 1.195f, -0.6264f)
                curveToRelative(0.1246f, -0.0502f, 0.1499f, -0.0247f, 0.1499f, 0.075f)
                curveToRelative(-0.0706f, 5.2086f, 0.3544f, 8.8136f, 1.2743f, 11.6938f)
                curveToRelative(0.0247f, 0.075f, 0.0993f, 0.0495f, 0.0993f, -0.0255f)
                curveToRelative(-0.05f, -1.0516f, -0.05f, -1.978f, -0.05f, -3.1053f)
                lineToRelative(-0.0493f, -8.991f)
                curveToRelative(0.0f, -0.0998f, 0.0247f, -0.15f, 0.1246f, -0.1748f)
                arcToRelative(9.9022f, 9.9022f, 0.0f, false, true, 1.245f, -0.2257f)
                arcToRelative(0.0664f, 0.0664f, 0.0f, false, true, 0.0557f, 0.019f)
                arcToRelative(0.0672f, 0.0672f, 0.0f, false, true, 0.019f, 0.056f)
                close()
                moveTo(12.7921f, 20.606f)
                curveToRelative(-0.05f, 0.0503f, -0.1f, 0.0255f, -0.1f, -0.0248f)
                lineTo(12.6921f, 2.9757f)
                arcToRelative(0.0672f, 0.0672f, 0.0f, false, true, 0.019f, -0.056f)
                arcToRelative(0.0664f, 0.0664f, 0.0f, false, true, 0.0557f, -0.019f)
                curveToRelative(3.3373f, 0.2257f, 5.4797f, 1.6283f, 5.4797f, 3.6565f)
                arcToRelative(3.4113f, 3.4113f, 0.0f, false, true, -0.872f, 2.2774f)
                curveToRelative(1.0958f, 0.3007f, 1.5195f, 1.1273f, 1.5195f, 2.2292f)
                curveToRelative(0.002f, 1.9538f, -1.4176f, 5.185f, -6.1f, 9.5422f)
                close()
            }
        }
        .build()
        return _warnerbrosDot!!
    }

private var _warnerbrosDot: ImageVector? = null
